$---------------------------------------------------------------------MDI_HEADER
[MDI_HEADER]
 FILE_TYPE     =  'tpl'
 FILE_VERSION  =  13.9
 FILE_FORMAT   =  'ASCII'
 HEADER_SIZE   =  9
(COMMENTS)
{comment_string}
'ADAMS/Car body template'
$----------------------------------------------------------------TEMPLATE_HEADER
[TEMPLATE_HEADER]
 TEMPLATE_NAME  =  '_baja_body'
 MAJOR_ROLE     =  'body'
 TIMESTAMP      =  '2006/03/08,11:12:21'
 HEADER_SIZE    =  6
!
!-------------------------- Default Units for Model ---------------------------!
!
!
defaults units  &
   length = mm  &
   angle = deg  &
   force = newton  &
   mass = kg  &
   time = sec
!
defaults units  &
   coordinate_system_type = cartesian  &
   orientation_type = body313
!
!------------------------ Default Attributes for Model ------------------------!
!
!
defaults attributes  &
   inheritance = bottom_up  &
   icon_visibility = off  &
   grid_visibility = off  &
   size_of_icons = 50.0  &
   spacing_for_grid = 50.0
!
!------------------------------ Adams/View Model ------------------------------!
!
!
model create  &
   model_name = _baja_body  &
   title = "ADAMS/Car template"
!
view erase
!
!-------------------------------- Data storage --------------------------------!
!
!
data_element create variable  &
   variable_name = ._baja_body._cv_solver_variable  &
   comments = "Dummy for communicators"  &
   initial_condition = 0.0  &
   function = ""
!
data_element attributes  &
   data_element_name = ._baja_body._cv_solver_variable  &
   visibility = off
!
data_element create array ic_array  &
   array_name = ._baja_body._cv_array  &
   comments = "Dummy for communicators"  &
   size = 1  &
   numbers = 0.0
!
data_element attributes  &
   data_element_name = ._baja_body._cv_array  &
   visibility = off
!
data_element create spline  &
   spline_name = ._baja_body._cv_spline  &
   comments = "Dummy for communicators"  &
   x = 1.0, 2.0, 3.0, 4.0  &
   y = 1.0, 2.0, 3.0, 4.0, 1.0, 2.0, 3.0, 4.0  &
   z = 1.0, 2.0  &
   linear_extrapolate = no
!
data_element attributes  &
   data_element_name = ._baja_body._cv_spline  &
   visibility = off
!
data_element create string  &
   string_name = ._baja_body.minor_role_string  &
   comments = "Memory for ADAMS/Car minor role for solver"  &
   string = "unassigned"
!
data_element attributes  &
   data_element_name = ._baja_body.minor_role_string  &
   visibility = off
!
!--------------------------------- Materials ----------------------------------!
!
!
material create  &
   material_name = ._baja_body.steel  &
   youngs_modulus = 2.07E+005  &
   poissons_ratio = 0.29  &
   density = 7.801E-006
!
!-------------------------------- Rigid Parts ---------------------------------!
!
! Create parts and their dependent markers and graphics
!
!----------------------------------- ground -----------------------------------!
!
!
! ****** Ground Part ******
!
part modify rigid_body name_and_position  &
   part_name = ground
!
defaults model  &
   part_name = ground
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_body.ground
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = ._baja_body.ground.origo  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker create  &
   marker_name = ._baja_body.ground._cv_marker  &
   comments = "Dummy for communicators"  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._baja_body.ground._cv_marker  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._baja_body.ground.cfs_path_reference  &
   location = -2000.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._baja_body.ground.cfs_path_reference  &
   color = MAIZE
!
! ****** Points for current part ******
!
point create  &
   point_name = ._baja_body.ground.hpl_swing_arm_to_body  &
   location = 25.4, -304.8, -25.4
!
point create  &
   point_name = ._baja_body.ground.hpr_swing_arm_to_body  &
   location = 25.4, 304.8, -25.4
!
point create  &
   point_name = ._baja_body.ground.hpr_shock_mount  &
   location = -1060.45, 177.8, 457.2
!
point create  &
   point_name = ._baja_body.ground.hpl_shock_mount  &
   location = -1060.45, -177.8, 457.2
!
point create  &
   point_name = ._baja_body.ground.hpl_uca_mount  &
   location = -965.2, -198.12, 215.9
!
point create  &
   point_name = ._baja_body.ground.hpr_uca_mount  &
   location = -965.2, 198.12, 215.9
!
point create  &
   point_name = ._baja_body.ground.hpl_uca_front_mount  &
   location = -1143.0, -198.12, 246.38
!
point create  &
   point_name = ._baja_body.ground.hpr_uca_front_mount  &
   location = -1143.0, 198.12, 246.38
!
point create  &
   point_name = ._baja_body.ground.hpl_lca_rear_mount  &
   location = -965.2, -198.12, -12.7
!
point create  &
   point_name = ._baja_body.ground.hpr_lca_rear_mount  &
   location = -965.2, 198.12, -12.7
!
point create  &
   point_name = ._baja_body.ground.hpl_lca_front_mount  &
   location = -1143.0, -198.12, 17.78
!
point create  &
   point_name = ._baja_body.ground.hpr_lca_front_mount  &
   location = -1143.0, 198.12, 17.78
!
point create  &
   point_name = ._baja_body.ground.hpl_rear_shock_mount  &
   location = 25.4, -304.8, 304.8
!
point create  &
   point_name = ._baja_body.ground.hpr_rear_shock_mount  &
   location = 25.4, 304.8, 304.8
!
point create  &
   point_name = ._baja_body.ground.hps_path_reference  &
   location = -2000.0, 0.0, 0.0
!
! ****** Graphics for current part ******
!
!---------------------------------- _cv_part ----------------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_body.ground
!
part create rigid_body name_and_position  &
   part_name = ._baja_body._cv_part  &
   comments = "Dummy for communicators"  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_body._cv_part
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = ._baja_body._cv_part.marker  &
   comments = "Dummy for communicators"  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._baja_body._cv_part.marker  &
   visibility = off  &
   name_visibility = off
!
part create rigid_body mass_properties  &
   part_name = ._baja_body._cv_part  &
   mass = 0.0  &
   center_of_mass_marker = ._baja_body._cv_part.marker  &
   ixx = 0.0  &
   iyy = 0.0  &
   izz = 0.0  &
   ixy = 0.0  &
   izx = 0.0  &
   iyz = 0.0
!
part attributes  &
   part_name = ._baja_body._cv_part  &
   visibility = off  &
   name_visibility = off
!
!--------------------------------- ges_frame ----------------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_body.ground
!
part create rigid_body name_and_position  &
   part_name = ._baja_body.ges_frame  &
   location = 0.0, 0.0, 0.0  &
   orientation = 90.0d, 0.0d, 0.0d
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_body.ges_frame
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = ._baja_body.ges_frame.cm  &
   location = 4.8261130884, 351.5814123527, 250.3380939253  &
   orientation = 270.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._baja_body.ges_frame.cm  &
   visibility = on  &
   name_visibility = on
!
marker create  &
   marker_name = ._baja_body.ges_frame.inertia_frame  &
   location = 4.8261130884, 351.5814123527, 250.3380939253  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker create  &
   marker_name = ._baja_body.ges_frame.MARKER_3  &
   location = 0.0, 0.0, -25.4  &
   orientation = 0.0d, 90.0d, 0.0d
!
marker attributes  &
   marker_name = ._baja_body.ges_frame.MARKER_3  &
   visibility = off
!
marker create  &
   marker_name = ._baja_body.ges_frame.coomarker_1  &
   location = 0.0, 2000.0, 0.0  &
   orientation = 270.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._baja_body.ges_frame.coomarker_1  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._baja_body.ges_frame.coomarker_2  &
   location = 4.8261130884, 351.5814123527, 250.3380939253  &
   orientation = 90.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._baja_body.ges_frame.coomarker_2  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._baja_body.ges_frame.coomarker_3  &
   location = 0.0, 2000.0, 0.0  &
   orientation = 270.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._baja_body.ges_frame.coomarker_3  &
   visibility = off  &
   name_visibility = off
!
part create rigid_body mass_properties  &
   part_name = ._baja_body.ges_frame  &
   mass = 42.9186083435  &
   center_of_mass_marker = ._baja_body.ges_frame.cm  &
   ixx = 1.3559683943E+007  &
   iyy = 6.0369112847E+006  &
   izz = 9.9781600252E+006  &
   ixy = 0.0  &
   izx = 0.0  &
   iyz = 0.0
!
! ****** Graphics for current part ******
!
geometry create shape ellipsoid  &
   ellipsoid_name = ._baja_body.ges_frame.cg_graphic  &
   center_marker = ._baja_body.ges_frame.cm  &
   x_scale_factor = 49.5514841784  &
   y_scale_factor = 49.5514841784  &
   z_scale_factor = 49.5514841784
!
geometry create shape shell  &
   shell_name = ._baja_body.ges_frame.baja_frame  &
   reference_marker = ._baja_body.ges_frame.MARKER_3  &
   file_name = "<mini_baja>//shell_graphics.tbl//baja_frame.shl"  &
   wireframe_only = no
!
part attributes  &
   part_name = ._baja_body.ges_frame  &
   color = YELLOW  &
   visibility = on  &
   name_visibility = on
!
!--------------------------------- Equations ----------------------------------!
!
!
part create equation differential_equation  &
   differential_equation_name = ._baja_body._cv_diff  &
   comments = "Dummy for communicators"  &
   initial_condition = 0.0  &
   function = ""  &
   implicit = off  &
   static_hold = off
!
part attributes  &
   equation_name = ._baja_body._cv_diff  &
   visibility = off
!
!----------------------------------- Joints -----------------------------------!
!
!
constraint create joint cylindrical  &
   joint_name = ._baja_body._cv_joint_for_motion  &
   comments = "Dummy for communicators"  &
   i_marker_name = ._baja_body._cv_part.marker  &
   j_marker_name = ._baja_body.ground._cv_marker
!
constraint attributes  &
   constraint_name = ._baja_body._cv_joint_for_motion  &
   visibility = off  &
   name_visibility = off
!
!------------------------------ Joint Primitives ------------------------------!
!
!
constraint create primitive_joint inplane  &
   jprim_name = ._baja_body._cv_joint  &
   comments = "Dummy for communicators"  &
   i_marker_name = ._baja_body._cv_part.marker  &
   j_marker_name = ._baja_body.ground._cv_marker
!
constraint attributes  &
   constraint_name = ._baja_body._cv_joint  &
   visibility = off  &
   name_visibility = off
!
!----------------------------------- Forces -----------------------------------!
!
!
force create element_like field  &
   field_name = ._baja_body._cv_bushing  &
   comments = "Dummy for communicators"  &
   i_marker_name = ._baja_body._cv_part.marker  &
   j_marker_name = ._baja_body.ground._cv_marker  &
   translation_at_preload = 0.0, 0.0, 0.0  &
   rotation_at_preload = 0.0d, 0.0d, 0.0d  &
   damping_ratio = 0.0  &
   stiffness_matrix =  &
      0.0, 0.0, 0.0, 0.0, 0.0, 0.0,  &
      0.0, 0.0, 0.0, 0.0, 0.0, 0.0,  &
      0.0, 0.0, 0.0, 0.0, 0.0, 0.0,  &
      0.0, 0.0, 0.0, 0.0, 0.0, 0.0,  &
      0.0, 0.0, 0.0, 0.0, 0.0, 0.0,  &
      0.0, 0.0, 0.0, 0.0, 0.0, 0.0  &
   force_preload = 0.0, 0.0, 0.0  &
   torque_preload = 0.0, 0.0, 0.0
!
force attributes  &
   force_name = ._baja_body._cv_bushing  &
   visibility = off  &
   name_visibility = off
!
!---------------------------------- Motions -----------------------------------!
!
!
constraint create motion_generator  &
   motion_name = ._baja_body._cv_motion  &
   comments = "Dummy for communicators"  &
   type_of_freedom = rotational  &
   joint_name = ._baja_body._cv_joint_for_motion  &
   function = ""
!
constraint attributes  &
   constraint_name = ._baja_body._cv_motion  &
   visibility = off  &
   name_visibility = off
!
!---------------------------------- Requests ----------------------------------!
!
!
output_control create request  &
   request_name = ._baja_body.cg_velocity  &
   comment = "Chassis Velocities"  &
   component_names = "", "longitudinal", "lateral", "vertical", "", "roll",  &
                     "pitch", "yaw"  &
   component_units = "no_units", "velocity", "velocity", "velocity",  &
                     "no_units", "angular_velocity", "angular_velocity",  &
                     "angular_velocity"  &
   results_name = "chassis_velocities"  &
   f2 = ""  &
   f3 = ""  &
   f4 = ""  &
   f6 = ""  &
   f7 = ""  &
   f8 = ""
!
output_control create request  &
   request_name = ._baja_body.cg_displacement  &
   comment = "Chassis Displacements"  &
   component_names = "", "longitudinal", "lateral", "vertical", "", "roll",  &
                     "pitch", "yaw"  &
   component_units = "no_units", "length", "length", "length", "no_units",  &
                     "angle", "angle", "angle"  &
   results_name = "chassis_displacements"  &
   f2 = ""  &
   f3 = ""  &
   f4 = ""  &
   f6 = ""  &
   f7 = ""  &
   f8 = ""
!
output_control create request  &
   request_name = ._baja_body.cg_accelerations  &
   comment = "Chassis Accelerations"  &
   component_names = "", "longitudinal", "lateral", "vertical", "", "roll",  &
                     "pitch", "yaw"  &
   component_units = "no_units", "acceleration", "acceleration",  &
                     "acceleration", "no_units", "angular_acceleration",  &
                     "angular_acceleration", "angular_acceleration"  &
   results_name = "chassis_accelerations"  &
   f2 = ""  &
   f3 = ""  &
   f4 = ""  &
   f6 = ""  &
   f7 = ""  &
   f8 = ""
!
!---------------------------------- Accgrav -----------------------------------!
!
!
force create body gravitational  &
   gravity_field_name = gravity  &
   z_component_gravity = -9809.9999999989
!
!----------------------------- Analysis settings ------------------------------!
!
!
!---------------------------- ADAMS/View Variables ----------------------------!
!
!
variable create  &
   variable_name = ._baja_body.cg_velocity.component_names  &
   string_value = "longitudinal", "lateral", "vertical", "", "roll", "pitch",  &
                  "yaw", ""
!
variable create  &
   variable_name = ._baja_body.cg_velocity.result_name  &
   string_value = "chassis_velocities"
!
variable create  &
   variable_name = ._baja_body.cg_velocity.component_units  &
   string_value = "velocity", "velocity", "velocity", "no_units",  &
                  "angular_velocity", "angular_velocity", "angular_velocity",  &
                  "no_units"
!
variable create  &
   variable_name = ._baja_body.cg_displacement.result_name  &
   string_value = "chassis_displacements"
!
variable create  &
   variable_name = ._baja_body.cg_displacement.component_names  &
   string_value = "longitudinal", "lateral", "vertical", "", "roll", "pitch",  &
                  "yaw", ""
!
variable create  &
   variable_name = ._baja_body.cg_displacement.component_units  &
   string_value = "length", "length", "length", "no_units", "angle", "angle",  &
                  "angle", "no_units"
!
variable create  &
   variable_name = ._baja_body.cg_accelerations.result_name  &
   string_value = "chassis_accelerations"
!
variable create  &
   variable_name = ._baja_body.cg_accelerations.component_names  &
   string_value = "longitudinal", "lateral", "vertical", "", "roll", "pitch",  &
                  "yaw", ""
!
variable create  &
   variable_name = ._baja_body.cg_accelerations.component_units  &
   string_value = "acceleration", "acceleration", "acceleration", "no_units",  &
                  "angular_acceleration", "angular_acceleration",  &
                  "angular_acceleration", "no_units"
!
variable create  &
   variable_name = ._baja_body.speed  &
   units = "velocity"  &
   real_value = 0.0
!
variable create  &
   variable_name = ._baja_body.template_creation_date  &
   string_value = "2000/10/03,17:31:59"  &
   comments = "Do not remove"
!
variable create  &
   variable_name = ._baja_body.role  &
   string_value = "body"  &
   comments = "Memory for ADAMS/Car major role"
!
variable create  &
   variable_name = ._baja_body.minor_role  &
   string_value = "unassigned"  &
   comments = "Memory for ADAMS/Car minor role"
!
variable create  &
   variable_name = ._baja_body.model_class  &
   string_value = "template"  &
   comments = "Memory for ADAMS/Car model class"
!
variable create  &
   variable_name = ._baja_body.phs_kinematic_flag  &
   integer_value = 0  &
   comments =   &
              "Flag that determines if kinematic joints or bushings are active"
!
variable create  &
   variable_name = ._baja_body.col_strut_to_body  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._baja_body.col_strut_to_body.matching_name  &
   string_value = "strut_to_body"
!
variable create  &
   variable_name = ._baja_body.col_strut_to_body.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._baja_body.col_strut_to_body.entity  &
   string_value = "mount"
!
variable create  &
   variable_name = ._baja_body.cor_strut_to_body  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._baja_body.cor_strut_to_body.matching_name  &
   string_value = "strut_to_body"
!
variable create  &
   variable_name = ._baja_body.cor_strut_to_body.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._baja_body.cor_strut_to_body.entity  &
   string_value = "mount"
!
variable create  &
   variable_name = ._baja_body.col_uca_mount  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._baja_body.col_uca_mount.matching_name  &
   string_value = "uca_to_body"
!
variable create  &
   variable_name = ._baja_body.col_uca_mount.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._baja_body.col_uca_mount.entity  &
   string_value = "mount"
!
variable create  &
   variable_name = ._baja_body.cor_uca_mount  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._baja_body.cor_uca_mount.matching_name  &
   string_value = "uca_to_body"
!
variable create  &
   variable_name = ._baja_body.cor_uca_mount.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._baja_body.cor_uca_mount.entity  &
   string_value = "mount"
!
variable create  &
   variable_name = ._baja_body.col_swingarm_mount  &
   units = "length"  &
   real_value = 25.4, -304.8, -25.4
!
variable create  &
   variable_name = ._baja_body.col_swingarm_mount.matching_name  &
   string_value = "swingarm_location"
!
variable create  &
   variable_name = ._baja_body.col_swingarm_mount.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._baja_body.col_swingarm_mount.entity  &
   string_value = "location"
!
variable create  &
   variable_name = ._baja_body.cor_swingarm_mount  &
   units = "length"  &
   real_value = 25.4, 304.8, -25.4
!
variable create  &
   variable_name = ._baja_body.cor_swingarm_mount.matching_name  &
   string_value = "swingarm_location"
!
variable create  &
   variable_name = ._baja_body.cor_swingarm_mount.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._baja_body.cor_swingarm_mount.entity  &
   string_value = "location"
!
variable create  &
   variable_name = ._baja_body.col_rear_shock_location  &
   units = "length"  &
   real_value = 25.4, -304.8, 304.8
!
variable create  &
   variable_name = ._baja_body.col_rear_shock_location.matching_name  &
   string_value = "rear_shock_location"
!
variable create  &
   variable_name = ._baja_body.col_rear_shock_location.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._baja_body.col_rear_shock_location.entity  &
   string_value = "location"
!
variable create  &
   variable_name = ._baja_body.cor_rear_shock_location  &
   units = "length"  &
   real_value = 25.4, 304.8, 304.8
!
variable create  &
   variable_name = ._baja_body.cor_rear_shock_location.matching_name  &
   string_value = "rear_shock_location"
!
variable create  &
   variable_name = ._baja_body.cor_rear_shock_location.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._baja_body.cor_rear_shock_location.entity  &
   string_value = "location"
!
variable create  &
   variable_name = ._baja_body.col_swingarm_to_body  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._baja_body.col_swingarm_to_body.matching_name  &
   string_value = "swingarm_to_frame"
!
variable create  &
   variable_name = ._baja_body.col_swingarm_to_body.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._baja_body.col_swingarm_to_body.entity  &
   string_value = "mount"
!
variable create  &
   variable_name = ._baja_body.cor_swingarm_to_body  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._baja_body.cor_swingarm_to_body.matching_name  &
   string_value = "swingarm_to_frame"
!
variable create  &
   variable_name = ._baja_body.cor_swingarm_to_body.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._baja_body.cor_swingarm_to_body.entity  &
   string_value = "mount"
!
variable create  &
   variable_name = ._baja_body.col_rear_shock_mount  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._baja_body.col_rear_shock_mount.matching_name  &
   string_value = "rear_shock_mount"
!
variable create  &
   variable_name = ._baja_body.col_rear_shock_mount.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._baja_body.col_rear_shock_mount.entity  &
   string_value = "mount"
!
variable create  &
   variable_name = ._baja_body.cor_rear_shock_mount  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._baja_body.cor_rear_shock_mount.matching_name  &
   string_value = "rear_shock_mount"
!
variable create  &
   variable_name = ._baja_body.cor_rear_shock_mount.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._baja_body.cor_rear_shock_mount.entity  &
   string_value = "mount"
!
variable create  &
   variable_name = ._baja_body.cos_subframe_to_body  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._baja_body.cos_subframe_to_body.matching_name  &
   string_value = "subframe_to_body"
!
variable create  &
   variable_name = ._baja_body.cos_subframe_to_body.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._baja_body.cos_subframe_to_body.entity  &
   string_value = "mount"
!
variable create  &
   variable_name = ._baja_body.cos_rack_to_body  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._baja_body.cos_rack_to_body.matching_name  &
   string_value = "rack_to_body"
!
variable create  &
   variable_name = ._baja_body.cos_rack_to_body.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._baja_body.cos_rack_to_body.entity  &
   string_value = "mount"
!
variable create  &
   variable_name = ._baja_body.cos_steering_column_to_body  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._baja_body.cos_steering_column_to_body.matching_name  &
   string_value = "steering_column_to_body"
!
variable create  &
   variable_name = ._baja_body.cos_steering_column_to_body.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._baja_body.cos_steering_column_to_body.entity  &
   string_value = "mount"
!
variable create  &
   variable_name = ._baja_body.accel_to_G  &
   units = "no_units"  &
   real_value = 1.0196798205E-004  &
   comments = "\"Converts acceleration to G regardless of model units)"
!
variable create  &
   variable_name = ._baja_body.velo_to_kmh  &
   units = "no_units"  &
   real_value = 3.6E-003  &
   comments = "\"Converts velocity to km/h regardless of model units)"
!
variable create  &
   variable_name = ._baja_body.cos_body_subsystem  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._baja_body.cos_body_subsystem.matching_name  &
   string_value = "body_subsystem"
!
variable create  &
   variable_name = ._baja_body.cos_body_subsystem.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._baja_body.cos_body_subsystem.entity  &
   string_value = "mount"
!
variable create  &
   variable_name = ._baja_body.cos_powertrain_to_body  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._baja_body.cos_powertrain_to_body.matching_name  &
   string_value = "powertrain_to_body"
!
variable create  &
   variable_name = ._baja_body.cos_powertrain_to_body.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._baja_body.cos_powertrain_to_body.entity  &
   string_value = "mount"
!
variable create  &
   variable_name = ._baja_body.cos_diff_housing_to_body  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._baja_body.cos_diff_housing_to_body.matching_name  &
   string_value = "diff_housing_to_body"
!
variable create  &
   variable_name = ._baja_body.cos_diff_housing_to_body.minor_role  &
   string_value = "rear"
!
variable create  &
   variable_name = ._baja_body.cos_diff_housing_to_body.entity  &
   string_value = "mount"
!
variable create  &
   variable_name = ._baja_body.cos_propshaft_support_to_body  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._baja_body.cos_propshaft_support_to_body.matching_name  &
   string_value = "propshaft_support_to_body"
!
variable create  &
   variable_name = ._baja_body.cos_propshaft_support_to_body.minor_role  &
   string_value = "rear"
!
variable create  &
   variable_name = ._baja_body.cos_propshaft_support_to_body.entity  &
   string_value = "mount"
!
variable create  &
   variable_name = ._baja_body.cos_suspension_to_chassis  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._baja_body.cos_suspension_to_chassis.matching_name  &
   string_value = "suspension_to_chassis"
!
variable create  &
   variable_name = ._baja_body.cos_suspension_to_chassis.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._baja_body.cos_suspension_to_chassis.entity  &
   string_value = "mount"
!
variable create  &
   variable_name = ._baja_body.col_tierod_to_steering  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._baja_body.col_tierod_to_steering.matching_name  &
   string_value = "tierod_to_steering"
!
variable create  &
   variable_name = ._baja_body.col_tierod_to_steering.minor_role  &
   string_value = "rear"
!
variable create  &
   variable_name = ._baja_body.col_tierod_to_steering.entity  &
   string_value = "mount"
!
variable create  &
   variable_name = ._baja_body.cor_tierod_to_steering  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._baja_body.cor_tierod_to_steering.matching_name  &
   string_value = "tierod_to_steering"
!
variable create  &
   variable_name = ._baja_body.cor_tierod_to_steering.minor_role  &
   string_value = "rear"
!
variable create  &
   variable_name = ._baja_body.cor_tierod_to_steering.entity  &
   string_value = "mount"
!
variable create  &
   variable_name = ._baja_body.cos_rack_housing_mount  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._baja_body.cos_rack_housing_mount.matching_name  &
   string_value = "rack_housing_mount"
!
variable create  &
   variable_name = ._baja_body.cos_rack_housing_mount.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._baja_body.cos_rack_housing_mount.entity  &
   string_value = "mount"
!
variable create  &
   variable_name = ._baja_body.cos_concept_to_body  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._baja_body.cos_concept_to_body.matching_name  &
   string_value = "concept_to_body"
!
variable create  &
   variable_name = ._baja_body.cos_concept_to_body.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._baja_body.cos_concept_to_body.entity  &
   string_value = "mount"
!
variable create  &
   variable_name = ._baja_body.cos_body  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._baja_body.cos_body.matching_name  &
   string_value = "body"
!
variable create  &
   variable_name = ._baja_body.cos_body.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._baja_body.cos_body.entity  &
   string_value = "mount"
!
variable create  &
   variable_name = ._baja_body.cos_column_support_mount  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._baja_body.cos_column_support_mount.matching_name  &
   string_value = "column_support_mount"
!
variable create  &
   variable_name = ._baja_body.cos_column_support_mount.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._baja_body.cos_column_support_mount.entity  &
   string_value = "mount"
!
variable create  &
   variable_name = ._baja_body.cos_chassis_path_reference  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._baja_body.cos_chassis_path_reference.matching_name  &
   string_value = "chassis_path_reference"
!
variable create  &
   variable_name = ._baja_body.cos_chassis_path_reference.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._baja_body.cos_chassis_path_reference.entity  &
   string_value = "marker"
!
variable create  &
   variable_name = ._baja_body.cos_driver_reference  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._baja_body.cos_driver_reference.matching_name  &
   string_value = "driver_reference"
!
variable create  &
   variable_name = ._baja_body.cos_driver_reference.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._baja_body.cos_driver_reference.entity  &
   string_value = "marker"
!
variable create  &
   variable_name = ._baja_body.cos_measure_for_distance  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._baja_body.cos_measure_for_distance.matching_name  &
   string_value = "measure_for_distance"
!
variable create  &
   variable_name = ._baja_body.cos_measure_for_distance.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._baja_body.cos_measure_for_distance.entity  &
   string_value = "marker"
!
!---------------------------- ADAMS/View Functions ----------------------------!
!
!
function create  &
   function_name = .SYMMETRY  &
   text_of_expression = "LOC_MIRROR(location, .__ACAR.ground.origo, .ACAR.variables.symmetry_plane)"  &
   argument_names = "location"  &
   type = location_orientation  &
   comments =   &
              "Compute mirrored location over the symmetry plane given 3x1 location vector"
!
!------------------------- Groups Owned By This Model -------------------------!
!
!
group create  &
   group_name = ._baja_body.kinematic_mode_active  &
   expr_active = 1
!
group create  &
   group_name = ._baja_body.kinematic_mode_inactive  &
   expr_active = 1
!
!---------------------- Set ADAMS/View Object Variables -----------------------!
!
!
variable modify  &
   variable_name = ._baja_body.col_strut_to_body  &
   object_value = ._baja_body.ges_frame
!
variable modify  &
   variable_name = ._baja_body.cor_strut_to_body  &
   object_value = ._baja_body.ges_frame
!
variable modify  &
   variable_name = ._baja_body.col_uca_mount  &
   object_value = ._baja_body.ges_frame
!
variable modify  &
   variable_name = ._baja_body.cor_uca_mount  &
   object_value = ._baja_body.ges_frame
!
variable modify  &
   variable_name = ._baja_body.col_swingarm_to_body  &
   object_value = ._baja_body.ges_frame
!
variable modify  &
   variable_name = ._baja_body.cor_swingarm_to_body  &
   object_value = ._baja_body.ges_frame
!
variable modify  &
   variable_name = ._baja_body.col_rear_shock_mount  &
   object_value = ._baja_body.ges_frame
!
variable modify  &
   variable_name = ._baja_body.cor_rear_shock_mount  &
   object_value = ._baja_body.ges_frame
!
variable modify  &
   variable_name = ._baja_body.cos_subframe_to_body  &
   object_value = ._baja_body.ges_frame
!
variable modify  &
   variable_name = ._baja_body.cos_rack_to_body  &
   object_value = ._baja_body.ges_frame
!
variable modify  &
   variable_name = ._baja_body.cos_steering_column_to_body  &
   object_value = ._baja_body.ges_frame
!
variable modify  &
   variable_name = ._baja_body.cos_body_subsystem  &
   object_value = ._baja_body.ges_frame
!
variable modify  &
   variable_name = ._baja_body.cos_powertrain_to_body  &
   object_value = ._baja_body.ges_frame
!
variable modify  &
   variable_name = ._baja_body.cos_diff_housing_to_body  &
   object_value = ._baja_body.ges_frame
!
variable modify  &
   variable_name = ._baja_body.cos_propshaft_support_to_body  &
   object_value = ._baja_body.ges_frame
!
variable modify  &
   variable_name = ._baja_body.cos_suspension_to_chassis  &
   object_value = ._baja_body.ges_frame
!
variable modify  &
   variable_name = ._baja_body.col_tierod_to_steering  &
   object_value = ._baja_body.ges_frame
!
variable modify  &
   variable_name = ._baja_body.cor_tierod_to_steering  &
   object_value = ._baja_body.ges_frame
!
variable modify  &
   variable_name = ._baja_body.cos_rack_housing_mount  &
   object_value = ._baja_body.ges_frame
!
variable modify  &
   variable_name = ._baja_body.cos_concept_to_body  &
   object_value = ._baja_body.ges_frame
!
variable modify  &
   variable_name = ._baja_body.cos_body  &
   object_value = ._baja_body.ges_frame
!
variable modify  &
   variable_name = ._baja_body.cos_column_support_mount  &
   object_value = ._baja_body.ges_frame
!
variable modify  &
   variable_name = ._baja_body.cos_chassis_path_reference  &
   object_value = ._baja_body.ges_frame.coomarker_1
!
variable modify  &
   variable_name = ._baja_body.cos_driver_reference  &
   object_value = ._baja_body.ges_frame.coomarker_2
!
variable modify  &
   variable_name = ._baja_body.cos_measure_for_distance  &
   object_value = ._baja_body.ges_frame.coomarker_3
!
!--------------------------- Add Objects To Groups ----------------------------!
!
!
group modify  &
   group_name = ._baja_body.kinematic_mode_active
!
group modify  &
   group_name = ._baja_body.kinematic_mode_inactive
!
!---------------------------- Function definitions ----------------------------!
!
!
constraint modify motion_generator  &
   motion_name = ._baja_body._cv_motion  &
   function = "0"
!
data_element modify variable  &
   variable_name = ._baja_body._cv_solver_variable  &
   function = "0"
!
part modify equation differential_equation  &
   differential_equation_name = ._baja_body._cv_diff  &
   function = "0"
!
output_control modify request  &
   request_name = ._baja_body.cg_velocity  &
   f2 = "-VX(._baja_body.ges_frame.cm, ._baja_body.ground.origo, ._baja_body.ges_frame.cm)*._baja_body.velo_to_kmh"  &
   f3 = "VY(._baja_body.ges_frame.cm, ._baja_body.ground.origo, ._baja_body.ges_frame.cm)*._baja_body.velo_to_kmh"  &
   f4 = "VZ(._baja_body.ges_frame.cm, ._baja_body.ground.origo, ._baja_body.ges_frame.cm)*._baja_body.velo_to_kmh"  &
   f6 = "RTOD*WX(._baja_body.ges_frame.cm, ._baja_body.ground.origo, ._baja_body.ges_frame.cm)"  &
   f7 = "RTOD*WY(._baja_body.ges_frame.cm, ._baja_body.ground.origo, ._baja_body.ges_frame.cm)"  &
   f8 = "RTOD*WZ(._baja_body.ges_frame.cm, ._baja_body.ground.origo, ._baja_body.ges_frame.cm)"
!
output_control modify request  &
   request_name = ._baja_body.cg_displacement  &
   f2 = "-DX(._baja_body.ges_frame.cm, ._baja_body.ground.origo,  ._baja_body.ground.origo)"  &
   f3 = "DY(._baja_body.ges_frame.cm, ._baja_body.ground.origo,  ._baja_body.ground.origo)"  &
   f4 = "DZ(._baja_body.ges_frame.cm, ._baja_body.ground.origo,  ._baja_body.ground.origo)"  &
   f6 = "RTOD*ROLL(._baja_body.ges_frame.cm, ._baja_body.ground.origo)"  &
   f7 = "RTOD*PITCH(._baja_body.ges_frame.cm, ._baja_body.ground.origo)"  &
   f8 = "RTOD*YAW(._baja_body.ges_frame.cm, ._baja_body.ground.origo)"
!
output_control modify request  &
   request_name = ._baja_body.cg_accelerations  &
   f2 = "-ACCX(._baja_body.ges_frame.cm, ._baja_body.ground.origo, ._baja_body.ges_frame.cm)*._baja_body.accel_to_G"  &
   f3 = "ACCY(._baja_body.ges_frame.cm, ._baja_body.ground.origo, ._baja_body.ges_frame.cm)*._baja_body.accel_to_G"  &
   f4 = "ACCZ(._baja_body.ges_frame.cm, ._baja_body.ground.origo, ._baja_body.ges_frame.cm)*._baja_body.accel_to_G"  &
   f6 = "RTOD*WDTX(._baja_body.ges_frame.cm, ._baja_body.ground.origo, ._baja_body.ges_frame.cm)"  &
   f7 = "RTOD*WDTY(._baja_body.ges_frame.cm, ._baja_body.ground.origo, ._baja_body.ges_frame.cm)"  &
   f8 = "RTOD*WDTZ(._baja_body.ges_frame.cm, ._baja_body.ground.origo, ._baja_body.ges_frame.cm)"
!
!--------------------------- Expression definitions ---------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ground
!
marker modify  &
   marker_name = ._baja_body.ground.cfs_path_reference  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}mm, ._baja_body.ground.hps_path_reference))  &
   orientation =   &
      (ORI_RELATIVE_TO({0.0, 0.0, 0.0}degrees, ._baja_body.ground.origo))
!
data_element modify string  &
   string_name = ._baja_body.minor_role_string  &
   string = (._baja_body.minor_role)
!
material modify  &
   material_name = ._baja_body.steel  &
   youngs_modulus = (2.07E+011(Newton/meter**2))  &
   density = (7801.0(kg/meter**3))
!
marker modify  &
   marker_name = ._baja_body.ges_frame.inertia_frame  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._baja_body.ges_frame.cm))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._baja_body.ges_frame))  &
   relative_to = ._baja_body.ges_frame
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_body.ground
!
geometry modify shape ellipsoid  &
   ellipsoid_name = ._baja_body.ges_frame.cg_graphic  &
   x_scale_factor = (._baja_body.ges_frame.mass * 1in / 2.2kg / 10.0)  &
   y_scale_factor = (._baja_body.ges_frame.mass * 1in / 2.2kg / 10.0)  &
   z_scale_factor = (._baja_body.ges_frame.mass * 1in / 2.2kg / 10.0)
!
marker modify  &
   marker_name = ._baja_body.ges_frame.coomarker_1  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._baja_body.ground.cfs_path_reference))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._baja_body.ground.cfs_path_reference))  &
   relative_to = ._baja_body.ges_frame
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_body.ground
!
marker modify  &
   marker_name = ._baja_body.ges_frame.coomarker_2  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._baja_body.ges_frame.cm))  &
   orientation =   &
      (ORI_RELATIVE_TO({180, 0, 0}, ._baja_body.ground.cfs_path_reference))  &
   relative_to = ._baja_body.ges_frame
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_body.ground
!
marker modify  &
   marker_name = ._baja_body.ges_frame.coomarker_3  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._baja_body.ground.cfs_path_reference))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._baja_body.ground.cfs_path_reference))  &
   relative_to = ._baja_body.ges_frame
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_body.ground
!
variable modify  &
   variable_name = ._baja_body.col_swingarm_mount  &
   real_value =   &
      (._baja_body.ground.hpl_swing_arm_to_body.location[1]),  &
      (._baja_body.ground.hpl_swing_arm_to_body.location[2]),  &
      (._baja_body.ground.hpl_swing_arm_to_body.location[3])
!
variable modify  &
   variable_name = ._baja_body.cor_swingarm_mount  &
   real_value =   &
      (._baja_body.ground.hpr_swing_arm_to_body.location[1]),  &
      (._baja_body.ground.hpr_swing_arm_to_body.location[2]),  &
      (._baja_body.ground.hpr_swing_arm_to_body.location[3])
!
variable modify  &
   variable_name = ._baja_body.col_rear_shock_location  &
   real_value =   &
      (._baja_body.ground.hpl_rear_shock_mount.location[1]),  &
      (._baja_body.ground.hpl_rear_shock_mount.location[2]),  &
      (._baja_body.ground.hpl_rear_shock_mount.location[3])
!
variable modify  &
   variable_name = ._baja_body.cor_rear_shock_location  &
   real_value =   &
      (._baja_body.ground.hpr_rear_shock_mount.location[1]),  &
      (._baja_body.ground.hpr_rear_shock_mount.location[2]),  &
      (._baja_body.ground.hpr_rear_shock_mount.location[3])
!
variable modify  &
   variable_name = ._baja_body.accel_to_G  &
   real_value = (1 / 9807(mm/second**2))
!
variable modify  &
   variable_name = ._baja_body.velo_to_kmh  &
   real_value = (3.6E-003(second/mm))
!
group modify  &
   group_name = ._baja_body.kinematic_mode_active  &
   expr_active = (._baja_body.phs_kinematic_flag || ._baja_body.model_class == "template" ? 1 : 0)
!
group modify  &
   group_name = ._baja_body.kinematic_mode_inactive  &
   expr_active = ( ! ._baja_body.phs_kinematic_flag || ._baja_body.model_class == "template" ? 1 : 0)
!
model display  &
   model_name = _baja_body
