$---------------------------------------------------------------------MDI_HEADER
[MDI_HEADER]
 FILE_TYPE     =  'tpl'
 FILE_VERSION  =  13.9
 FILE_FORMAT   =  'ASCII'
 HEADER_SIZE   =  9
(COMMENTS)
{comment_string}
'Example of a non-spinning powertrain'
$----------------------------------------------------------------TEMPLATE_HEADER
[TEMPLATE_HEADER]
 TEMPLATE_NAME  =  '_baja_powertrain_direct'
 MAJOR_ROLE     =  'powertrain'
 TIMESTAMP      =  '2006/03/08,11:13:04'
 HEADER_SIZE    =  6
!
!-------------------------- Default Units for Model ---------------------------!
!
!
defaults units  &
   length = mm  &
   angle = deg  &
   force = newton  &
   mass = kg  &
   time = sec
!
defaults units  &
   coordinate_system_type = cartesian  &
   orientation_type = body313
!
!------------------------ Default Attributes for Model ------------------------!
!
!
defaults attributes  &
   inheritance = bottom_up  &
   icon_visibility = off  &
   grid_visibility = off  &
   size_of_icons = 50.0  &
   spacing_for_grid = 50.0
!
!--------------------------- Plugins used by Model ----------------------------!
!
!
plugin load  &
   plugin_name = .MDI.plugins.acar
!
!------------------------------ Adams/View Model ------------------------------!
!
!
model create  &
   model_name = _baja_powertrain_direct  &
   comments = "Example of a non-spinning powertrain"  &
   title = "ADAMS/Car template"
!
view erase
!
!-------------------------------- Data storage --------------------------------!
!
!
data_element create variable  &
   variable_name = ._baja_powertrain_direct._cv_solver_variable  &
   comments = "Dummy for communicators"  &
   function = ""
!
data_element attributes  &
   data_element_name = ._baja_powertrain_direct._cv_solver_variable  &
   visibility = off
!
data_element create variable  &
   variable_name = ._baja_powertrain_direct.engine_torque  &
   function = ""
!
data_element create variable  &
   variable_name = ._baja_powertrain_direct.throttle_position_ems  &
   function = ""
!
data_element create variable  &
   variable_name = ._baja_powertrain_direct.clutch_torque  &
   function = ""
!
data_element create variable  &
   variable_name = ._baja_powertrain_direct.total_axle_torque  &
   function = ""
!
data_element create variable  &
   variable_name = ._baja_powertrain_direct.transmission_input_omega  &
   initial_condition = 104.7197551197  &
   function = ""
!
data_element create variable  &
   variable_name = ._baja_powertrain_direct.analysis_type  &
   comments = "Returns the analysis type flag", " SteadyState: 0",  &
              " Transient: 1"  &
   user_function = 0.0  &
   routine = "abgVDM::AnalysisType"
!
data_element create variable  &
   variable_name = ._baja_powertrain_direct.engine_speed  &
   comments = "\"Outputs engine speed <rad/s> to other subsystems.\""  &
   initial_condition = 104.7197551197  &
   function = ""
!
data_element create variable  &
   variable_name = ._baja_powertrain_direct.engine_rpm  &
   comments = "\"Outputs engine rpm of differential equation\""  &
   initial_condition = 1000.0  &
   function = ""
!
data_element create variable  &
   variable_name = ._baja_powertrain_direct.clutch_displacement_ic  &
   function = ""
!
data_element create variable  &
   variable_name = ._baja_powertrain_direct.max_driving_torque  &
   initial_condition = 0.0  &
   function = ""
!
data_element create variable  &
   variable_name = ._baja_powertrain_direct.max_braking_torque  &
   initial_condition = 0.0  &
   function = ""
!
data_element create array ic_array  &
   array_name = ._baja_powertrain_direct._cv_array  &
   comments = "Dummy for communicators"  &
   size = 1  &
   numbers = 0.0
!
data_element attributes  &
   data_element_name = ._baja_powertrain_direct._cv_array  &
   visibility = off
!
data_element create spline  &
   spline_name = ._baja_powertrain_direct._cv_spline  &
   comments = "Dummy for communicators"  &
   x = 1.0, 2.0, 3.0, 4.0  &
   y = 1.0, 2.0, 3.0, 4.0, 1.0, 2.0, 3.0, 4.0  &
   z = 1.0, 2.0  &
   linear_extrapolate = yes
!
data_element attributes  &
   data_element_name = ._baja_powertrain_direct._cv_spline  &
   visibility = off
!
data_element create spline  &
   spline_name = ._baja_powertrain_direct.gss_engine_torque  &
   x = 1.0, 2.0, 3.0, 4.0, 5.0  &
   y = 1.0, 2.0, 3.0, 4.0, 5.0, 6.0, 7.0, 8.0, 9.0, 10.0  &
   z = 1.0, 2.0  &
   linear_extrapolate = yes
!
data_element attributes  &
   data_element_name = ._baja_powertrain_direct.gss_engine_torque  &
   visibility = off
!
data_element create spline  &
   spline_name = ._baja_powertrain_direct.gear_ratio_spline  &
   x = 0.0, 1.0, 2.0, 3.0, 4.0, 5.0, 6.0  &
   y = 0.0, 3.231, 2.571, 2.125, 1.789, 1.55, 1.0  &
   linear_extrapolate = no
!
data_element create spline  &
   spline_name = ._baja_powertrain_direct.gss_differential  &
   x = 1.0, 2.0, 3.0, 4.0, 5.0  &
   y = 1.0, 2.0, 3.0, 4.0, 5.0  &
   linear_extrapolate = yes
!
data_element attributes  &
   data_element_name = ._baja_powertrain_direct.gss_differential  &
   visibility = off
!
data_element create string  &
   string_name = ._baja_powertrain_direct.minor_role_string  &
   string = "unassigned"
!
data_element attributes  &
   data_element_name = ._baja_powertrain_direct.minor_role_string  &
   visibility = off
!
!-------------------------------- Rigid Parts ---------------------------------!
!
! Create parts and their dependent markers and graphics
!
!----------------------------------- ground -----------------------------------!
!
!
! ****** Ground Part ******
!
part modify rigid_body name_and_position  &
   part_name = ground
!
defaults model  &
   part_name = ground
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_powertrain_direct.ground
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = ._baja_powertrain_direct.ground.origo  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker create  &
   marker_name = ._baja_powertrain_direct.ground._cv_marker  &
   comments = "Dummy for communicators"  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._baja_powertrain_direct.ground._cv_marker  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._baja_powertrain_direct.ground.cfs_powertrain_lt_to_body  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._baja_powertrain_direct.ground.cfs_powertrain_lt_to_body  &
   color = MAIZE
!
marker create  &
   marker_name = ._baja_powertrain_direct.ground.mts_mount_j_2  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._baja_powertrain_direct.ground.mts_mount_j_2  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._baja_powertrain_direct.ground.mts_mount_j_3  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._baja_powertrain_direct.ground.mts_mount_j_3  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._baja_powertrain_direct.ground.cfs_diff_output_orient  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 90.0d, 0.0d
!
marker attributes  &
   marker_name = ._baja_powertrain_direct.ground.cfs_diff_output_orient  &
   color = MAIZE
!
! ****** Points for current part ******
!
point create  &
   point_name = ._baja_powertrain_direct.ground.hpl_front_engine_mount  &
   location = -300.0, -300.0, 0.0
!
point create  &
   point_name = ._baja_powertrain_direct.ground.hpr_front_engine_mount  &
   location = -300.0, 300.0, 0.0
!
point create  &
   point_name = ._baja_powertrain_direct.ground.hpl_rear_engine_mount  &
   location = 300.0, -300.0, 0.0
!
point create  &
   point_name = ._baja_powertrain_direct.ground.hpr_rear_engine_mount  &
   location = 300.0, 300.0, 0.0
!
point create  &
   point_name = ._baja_powertrain_direct.ground.hps_powertrain_to_body_rigid_mount  &
   location = 0.0, 0.0, 0.0
!
point create  &
   point_name = ._baja_powertrain_direct.ground.hps_torque_reaction_location  &
   location = 0.0, 0.0, 0.0
!
! ****** Graphics for current part ******
!
!---------------------------------- _cv_part ----------------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_powertrain_direct.ground
!
part create rigid_body name_and_position  &
   part_name = ._baja_powertrain_direct._cv_part  &
   comments = "Dummy for communicators"  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_powertrain_direct._cv_part
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = ._baja_powertrain_direct._cv_part.marker  &
   comments = "Dummy for communicators"  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._baja_powertrain_direct._cv_part.marker  &
   visibility = off  &
   name_visibility = off
!
part create rigid_body mass_properties  &
   part_name = ._baja_powertrain_direct._cv_part  &
   mass = 0.0  &
   center_of_mass_marker = ._baja_powertrain_direct._cv_part.marker  &
   ixx = 0.0  &
   iyy = 0.0  &
   izz = 0.0  &
   ixy = 0.0  &
   izx = 0.0  &
   iyz = 0.0
!
part attributes  &
   part_name = ._baja_powertrain_direct._cv_part  &
   visibility = off  &
   name_visibility = off
!
!------------------------------- ges_powertrain -------------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_powertrain_direct.ground
!
part create rigid_body name_and_position  &
   part_name = ._baja_powertrain_direct.ges_powertrain  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_powertrain_direct.ges_powertrain
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = ._baja_powertrain_direct.ges_powertrain.cm  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._baja_powertrain_direct.ges_powertrain.cm  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._baja_powertrain_direct.ges_powertrain.inertia_frame  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker create  &
   marker_name = ._baja_powertrain_direct.ges_powertrain.bxl_bushing_i_9  &
   location = -300.0, -300.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._baja_powertrain_direct.ges_powertrain.bxl_bushing_i_9  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._baja_powertrain_direct.ges_powertrain.bxl_bushgeom_i_9  &
   location = -300.0, -300.0, -12.5  &
   orientation = 270.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._baja_powertrain_direct.ges_powertrain.bxl_bushgeom_i_9  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._baja_powertrain_direct.ges_powertrain.bxr_bushing_i_9  &
   location = -300.0, 300.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._baja_powertrain_direct.ges_powertrain.bxr_bushing_i_9  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._baja_powertrain_direct.ges_powertrain.bxr_bushgeom_i_9  &
   location = -300.0, 300.0, -12.5  &
   orientation = 270.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._baja_powertrain_direct.ges_powertrain.bxr_bushgeom_i_9  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._baja_powertrain_direct.ges_powertrain.bxl_bushing_i_10  &
   location = 300.0, -300.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._baja_powertrain_direct.ges_powertrain.bxl_bushing_i_10  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._baja_powertrain_direct.ges_powertrain.bxl_bushgeom_i_10  &
   location = 300.0, -300.0, -12.5  &
   orientation = 270.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._baja_powertrain_direct.ges_powertrain.bxl_bushgeom_i_10  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._baja_powertrain_direct.ges_powertrain.bxr_bushing_i_10  &
   location = 300.0, 300.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._baja_powertrain_direct.ges_powertrain.bxr_bushing_i_10  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._baja_powertrain_direct.ges_powertrain.bxr_bushgeom_i_10  &
   location = 300.0, 300.0, -12.5  &
   orientation = 270.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._baja_powertrain_direct.ges_powertrain.bxr_bushgeom_i_10  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._baja_powertrain_direct.ges_powertrain.jxs_joint_i_9  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._baja_powertrain_direct.ges_powertrain.jxs_joint_i_9  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._baja_powertrain_direct.ges_powertrain.graphics_marker  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker create  &
   marker_name = ._baja_powertrain_direct.ges_powertrain.pts_actuator_j_1  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 90.0d, 0.0d
!
marker attributes  &
   marker_name = ._baja_powertrain_direct.ges_powertrain.pts_actuator_j_1  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._baja_powertrain_direct.ges_powertrain.pts_actuator_i_1  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 90.0d, 0.0d
!
marker attributes  &
   marker_name = ._baja_powertrain_direct.ges_powertrain.pts_actuator_i_1  &
   visibility = off  &
   name_visibility = off
!
part create rigid_body mass_properties  &
   part_name = ._baja_powertrain_direct.ges_powertrain  &
   mass = 5.0  &
   center_of_mass_marker = ._baja_powertrain_direct.ges_powertrain.cm  &
   inertia_marker = ._baja_powertrain_direct.ges_powertrain.inertia_frame  &
   ixx = 1.0  &
   iyy = 1.0  &
   izz = 1.0  &
   ixy = 0.0  &
   izx = 0.0  &
   iyz = 0.0
!
!------------------------- mts_powertrain_lt_to_body --------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_powertrain_direct.ground
!
part create rigid_body name_and_position  &
   part_name = ._baja_powertrain_direct.mts_powertrain_lt_to_body  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_powertrain_direct.mts_powertrain_lt_to_body
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = ._baja_powertrain_direct.mts_powertrain_lt_to_body.mount_i  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._baja_powertrain_direct.mts_powertrain_lt_to_body.mount_i  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._baja_powertrain_direct.mts_powertrain_lt_to_body.sws_switch_j_2  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._baja_powertrain_direct.mts_powertrain_lt_to_body.sws_switch_j_2  &
   visibility = off  &
   name_visibility = off
!
part attributes  &
   part_name = ._baja_powertrain_direct.mts_powertrain_lt_to_body  &
   visibility = on  &
   name_visibility = on
!
!--------------------------- mts_engine_to_subframe ---------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_powertrain_direct.ground
!
part create rigid_body name_and_position  &
   part_name = ._baja_powertrain_direct.mts_engine_to_subframe  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_powertrain_direct.mts_engine_to_subframe
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = ._baja_powertrain_direct.mts_engine_to_subframe.mount_i  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._baja_powertrain_direct.mts_engine_to_subframe.mount_i  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._baja_powertrain_direct.mts_engine_to_subframe.sws_switch_j_1  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._baja_powertrain_direct.mts_engine_to_subframe.sws_switch_j_1  &
   visibility = off  &
   name_visibility = off
!
part attributes  &
   part_name = ._baja_powertrain_direct.mts_engine_to_subframe  &
   visibility = on  &
   name_visibility = on
!
!-------------------------- sws_engine_mount_option ---------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_powertrain_direct.ground
!
part create rigid_body name_and_position  &
   part_name = ._baja_powertrain_direct.sws_engine_mount_option  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_powertrain_direct.sws_engine_mount_option
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = ._baja_powertrain_direct.sws_engine_mount_option.switch_i  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._baja_powertrain_direct.sws_engine_mount_option.switch_i  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._baja_powertrain_direct.sws_engine_mount_option.bxl_bushing_j_1  &
   location = -300.0, -300.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._baja_powertrain_direct.sws_engine_mount_option.bxl_bushing_j_1  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._baja_powertrain_direct.sws_engine_mount_option.bxl_bushgeom_j_1  &
   location = -300.0, -300.0, -12.5  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._baja_powertrain_direct.sws_engine_mount_option.bxl_bushgeom_j_1  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._baja_powertrain_direct.sws_engine_mount_option.bxr_bushing_j_1  &
   location = -300.0, 300.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._baja_powertrain_direct.sws_engine_mount_option.bxr_bushing_j_1  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._baja_powertrain_direct.sws_engine_mount_option.bxr_bushgeom_j_1  &
   location = -300.0, 300.0, -12.5  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._baja_powertrain_direct.sws_engine_mount_option.bxr_bushgeom_j_1  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._baja_powertrain_direct.sws_engine_mount_option.bxl_bushing_j_2  &
   location = 300.0, -300.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._baja_powertrain_direct.sws_engine_mount_option.bxl_bushing_j_2  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._baja_powertrain_direct.sws_engine_mount_option.bxl_bushgeom_j_2  &
   location = 300.0, -300.0, -12.5  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._baja_powertrain_direct.sws_engine_mount_option.bxl_bushgeom_j_2  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._baja_powertrain_direct.sws_engine_mount_option.bxr_bushing_j_2  &
   location = 300.0, 300.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._baja_powertrain_direct.sws_engine_mount_option.bxr_bushing_j_2  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._baja_powertrain_direct.sws_engine_mount_option.bxr_bushgeom_j_2  &
   location = 300.0, 300.0, -12.5  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._baja_powertrain_direct.sws_engine_mount_option.bxr_bushgeom_j_2  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._baja_powertrain_direct.sws_engine_mount_option.jxs_joint_j_9  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._baja_powertrain_direct.sws_engine_mount_option.jxs_joint_j_9  &
   visibility = off  &
   name_visibility = off
!
part attributes  &
   part_name = ._baja_powertrain_direct.sws_engine_mount_option  &
   visibility = on  &
   name_visibility = on
!
!--------------------------------- Equations ----------------------------------!
!
!
part create equation differential_equation  &
   differential_equation_name = ._baja_powertrain_direct._cv_diff  &
   comments = "Dummy for communicators"  &
   initial_condition = 0.0  &
   function = ""  &
   implicit = off  &
   static_hold = off
!
part attributes  &
   equation_name = ._baja_powertrain_direct._cv_diff  &
   visibility = off
!
part create equation differential_equation  &
   differential_equation_name = ._baja_powertrain_direct.engine_omega  &
   initial_condition = 104.7197551197  &
   function = ""  &
   implicit = off  &
   static_hold = off
!
part create equation differential_equation  &
   differential_equation_name = ._baja_powertrain_direct.clutch_slip  &
   initial_condition = 0.0  &
   function = ""  &
   implicit = off  &
   static_hold = off
!
part create equation differential_equation  &
   differential_equation_name = ._baja_powertrain_direct.throttle_lag  &
   initial_condition = 0.0  &
   function = ""  &
   implicit = off  &
   static_hold = off
!
!----------------------------------- Joints -----------------------------------!
!
!
constraint create joint cylindrical  &
   joint_name = ._baja_powertrain_direct._cv_joint_for_motion  &
   comments = "Dummy for communicators"  &
   i_marker_name = ._baja_powertrain_direct._cv_part.marker  &
   j_marker_name = ._baja_powertrain_direct.ground._cv_marker
!
constraint attributes  &
   constraint_name = ._baja_powertrain_direct._cv_joint_for_motion  &
   visibility = off  &
   name_visibility = off
!
constraint create joint fixed  &
   joint_name = ._baja_powertrain_direct.mts_fixed_2  &
   i_marker_name =   &
                   ._baja_powertrain_direct.mts_powertrain_lt_to_body.mount_i  &
   j_marker_name = ._baja_powertrain_direct.ground.mts_mount_j_2
!
constraint attributes  &
   constraint_name = ._baja_powertrain_direct.mts_fixed_2  &
   visibility = off  &
   name_visibility = off
!
constraint create joint fixed  &
   joint_name = ._baja_powertrain_direct.mts_fixed_3  &
   i_marker_name = ._baja_powertrain_direct.mts_engine_to_subframe.mount_i  &
   j_marker_name = ._baja_powertrain_direct.ground.mts_mount_j_3
!
constraint attributes  &
   constraint_name = ._baja_powertrain_direct.mts_fixed_3  &
   visibility = off  &
   name_visibility = off
!
constraint create joint fixed  &
   joint_name = ._baja_powertrain_direct.sws_fixed_1  &
   i_marker_name = ._baja_powertrain_direct.sws_engine_mount_option.switch_i  &
   j_marker_name =   &
                   ._baja_powertrain_direct.mts_engine_to_subframe.sws_switch_j_1
!
constraint attributes  &
   constraint_name = ._baja_powertrain_direct.sws_fixed_1  &
   visibility = off  &
   name_visibility = off
!
constraint create joint fixed  &
   joint_name = ._baja_powertrain_direct.jksfix_rigid_engine_mount  &
   i_marker_name = ._baja_powertrain_direct.ges_powertrain.jxs_joint_i_9  &
   j_marker_name =   &
                   ._baja_powertrain_direct.sws_engine_mount_option.jxs_joint_j_9
!
!------------------------------ Joint Primitives ------------------------------!
!
!
constraint create primitive_joint inplane  &
   jprim_name = ._baja_powertrain_direct._cv_joint  &
   comments = "Dummy for communicators"  &
   i_marker_name = ._baja_powertrain_direct._cv_part.marker  &
   j_marker_name = ._baja_powertrain_direct.ground._cv_marker
!
constraint attributes  &
   constraint_name = ._baja_powertrain_direct._cv_joint  &
   visibility = off  &
   name_visibility = off
!
!----------------------------------- Forces -----------------------------------!
!
!
force create element_like field  &
   field_name = ._baja_powertrain_direct._cv_bushing  &
   comments = "Dummy for communicators"  &
   i_marker_name = ._baja_powertrain_direct._cv_part.marker  &
   j_marker_name = ._baja_powertrain_direct.ground._cv_marker  &
   translation_at_preload = 0.0, 0.0, 0.0  &
   rotation_at_preload = 0.0d, 0.0d, 0.0d  &
   damping_ratio = 0.0  &
   stiffness_matrix =  &
      0.0, 0.0, 0.0, 0.0, 0.0, 0.0,  &
      0.0, 0.0, 0.0, 0.0, 0.0, 0.0,  &
      0.0, 0.0, 0.0, 0.0, 0.0, 0.0,  &
      0.0, 0.0, 0.0, 0.0, 0.0, 0.0,  &
      0.0, 0.0, 0.0, 0.0, 0.0, 0.0,  &
      0.0, 0.0, 0.0, 0.0, 0.0, 0.0  &
   force_preload = 0.0, 0.0, 0.0  &
   torque_preload = 0.0, 0.0, 0.0
!
force attributes  &
   force_name = ._baja_powertrain_direct._cv_bushing  &
   visibility = off  &
   name_visibility = off
!
!---------------------------------- Motions -----------------------------------!
!
!
constraint create motion_generator  &
   motion_name = ._baja_powertrain_direct._cv_motion  &
   comments = "Dummy for communicators"  &
   type_of_freedom = rotational  &
   joint_name = ._baja_powertrain_direct._cv_joint_for_motion  &
   function = ""
!
constraint attributes  &
   constraint_name = ._baja_powertrain_direct._cv_motion  &
   visibility = off  &
   name_visibility = off
!
!---------------------------------- Requests ----------------------------------!
!
!
output_control create request  &
   request_name = ._baja_powertrain_direct.engine  &
   component_names = "", "omega", "rpm", "torque", "", "power_hp",  &
                     "power_PS", "actual_throttle"  &
   component_units = "no_units", "no_units", "no_units", "torque",  &
                     "no_units", "no_units", "no_units", "no_units"  &
   results_name = "engine"  &
   f2 = ""  &
   f3 = ""  &
   f4 = ""  &
   f6 = ""  &
   f7 = ""  &
   f8 = ""
!
output_control create request  &
   request_name = ._baja_powertrain_direct.clutch  &
   component_names = "", "slip", "slip_speed", "slip_speed_RPM", "",  &
                     "torque", "power_HP", "power_PS"  &
   component_units = "no_units", "angle", "angular_velocity", "no_units",  &
                     "no_units", "torque", "no_units", "no_units"  &
   results_name = "clutch"  &
   f2 = ""  &
   f3 = ""  &
   f4 = ""  &
   f6 = ""  &
   f7 = ""  &
   f8 = ""
!
!---------------------------- ADAMS/View Variables ----------------------------!
!
!
variable create  &
   variable_name = ._baja_powertrain_direct.pvs_final_drive  &
   units = "no_units"  &
   real_value = 3.28
!
!-------------------------- Adams/View UDE Instances --------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_powertrain_direct.ground
!
undo begin_block suppress = yes
!
ude create instance  &
   instance_name = ._baja_powertrain_direct.bkr_front_engine_mount  &
   definition_name = .ACAR.attachments.ac_bushing  &
   location = -300.0, 300.0, 0.0  &
   orientation = 0.0, 0.0, 0.0
!
ude create instance  &
   instance_name = ._baja_powertrain_direct.bkl_rear_engine_mount  &
   definition_name = .ACAR.attachments.ac_bushing  &
   location = 300.0, -300.0, 0.0  &
   orientation = 0.0, 0.0, 0.0
!
ude create instance  &
   instance_name = ._baja_powertrain_direct.bkr_rear_engine_mount  &
   definition_name = .ACAR.attachments.ac_bushing  &
   location = 300.0, 300.0, 0.0  &
   orientation = 0.0, 0.0, 0.0
!
ude create instance  &
   instance_name = ._baja_powertrain_direct.bkl_front_engine_mount  &
   definition_name = .ACAR.attachments.ac_bushing  &
   location = -300.0, -300.0, 0.0  &
   orientation = 0.0, 0.0, 0.0
!
ude create instance  &
   instance_name = ._baja_powertrain_direct.pts_drive_torque_reaction  &
   definition_name = .ACAR.inputs.ac_point_torque_actuator  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0, 90.0, 0.0
!
ude attributes  &
   instance_name = ._baja_powertrain_direct.pts_drive_torque_reaction  &
   active = on
!
!-------------------------- Adams/View UDE Instance ---------------------------!
!
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkr_front_engine_mount.property_file  &
   string_value = "mdids://acar_shared/bushings.tbl/mdi_0001.bus"
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkr_front_engine_mount.t_preload_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkr_front_engine_mount.t_preload_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkr_front_engine_mount.t_preload_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkr_front_engine_mount.r_preload_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkr_front_engine_mount.r_preload_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkr_front_engine_mount.r_preload_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkr_front_engine_mount.t_offset_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkr_front_engine_mount.t_offset_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkr_front_engine_mount.t_offset_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkr_front_engine_mount.r_offset_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkr_front_engine_mount.r_offset_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkr_front_engine_mount.r_offset_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkr_front_engine_mount.t_displ_scale_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkr_front_engine_mount.t_displ_scale_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkr_front_engine_mount.t_displ_scale_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkr_front_engine_mount.r_displ_scale_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkr_front_engine_mount.r_displ_scale_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkr_front_engine_mount.r_displ_scale_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkr_front_engine_mount.t_velo_offset_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkr_front_engine_mount.t_velo_offset_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkr_front_engine_mount.t_velo_offset_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkr_front_engine_mount.r_velo_offset_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkr_front_engine_mount.r_velo_offset_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkr_front_engine_mount.r_velo_offset_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkr_front_engine_mount.t_velo_scale_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkr_front_engine_mount.t_velo_scale_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkr_front_engine_mount.t_velo_scale_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkr_front_engine_mount.r_velo_scale_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkr_front_engine_mount.r_velo_scale_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkr_front_engine_mount.r_velo_scale_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkr_front_engine_mount.t_velo_threshold_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkr_front_engine_mount.t_velo_threshold_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkr_front_engine_mount.t_velo_threshold_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkr_front_engine_mount.r_velo_threshold_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkr_front_engine_mount.r_velo_threshold_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkr_front_engine_mount.r_velo_threshold_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkr_front_engine_mount.i_geoMarker  &
   object_value = ._baja_powertrain_direct.ges_powertrain.bxr_bushgeom_i_9
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkr_front_engine_mount.j_geoMarker  &
   object_value = ._baja_powertrain_direct.sws_engine_mount_option.bxr_bushgeom_j_1
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkr_front_engine_mount.bushing_shape  &
   integer_value = 2
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkr_front_engine_mount.fx_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkr_front_engine_mount.fy_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkr_front_engine_mount.fz_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkr_front_engine_mount.tx_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkr_front_engine_mount.ty_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkr_front_engine_mount.tz_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkr_front_engine_mount.tx_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkr_front_engine_mount.ty_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkr_front_engine_mount.tz_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkr_front_engine_mount.rx_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkr_front_engine_mount.ry_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkr_front_engine_mount.rz_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkr_front_engine_mount.geoRadius  &
   real_value = 40.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkr_front_engine_mount.geoLength  &
   real_value = 25.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkr_front_engine_mount.i_marker  &
   object_value = ._baja_powertrain_direct.ges_powertrain.bxr_bushing_i_9
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkr_front_engine_mount.j_marker  &
   object_value = ._baja_powertrain_direct.sws_engine_mount_option.bxr_bushing_j_1
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkr_front_engine_mount.udedef_name  &
   string_value = ".ACAR.attachments.ac_bushing"
!
ude modify instance  &
   instance_name = ._baja_powertrain_direct.bkr_front_engine_mount
!
!-------------------------- Adams/View UDE Instance ---------------------------!
!
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkl_rear_engine_mount.property_file  &
   string_value = "mdids://acar_shared/bushings.tbl/mdi_0001.bus"
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkl_rear_engine_mount.t_preload_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkl_rear_engine_mount.t_preload_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkl_rear_engine_mount.t_preload_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkl_rear_engine_mount.r_preload_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkl_rear_engine_mount.r_preload_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkl_rear_engine_mount.r_preload_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkl_rear_engine_mount.t_offset_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkl_rear_engine_mount.t_offset_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkl_rear_engine_mount.t_offset_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkl_rear_engine_mount.r_offset_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkl_rear_engine_mount.r_offset_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkl_rear_engine_mount.r_offset_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkl_rear_engine_mount.t_displ_scale_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkl_rear_engine_mount.t_displ_scale_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkl_rear_engine_mount.t_displ_scale_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkl_rear_engine_mount.r_displ_scale_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkl_rear_engine_mount.r_displ_scale_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkl_rear_engine_mount.r_displ_scale_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkl_rear_engine_mount.t_velo_offset_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkl_rear_engine_mount.t_velo_offset_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkl_rear_engine_mount.t_velo_offset_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkl_rear_engine_mount.r_velo_offset_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkl_rear_engine_mount.r_velo_offset_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkl_rear_engine_mount.r_velo_offset_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkl_rear_engine_mount.t_velo_scale_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkl_rear_engine_mount.t_velo_scale_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkl_rear_engine_mount.t_velo_scale_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkl_rear_engine_mount.r_velo_scale_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkl_rear_engine_mount.r_velo_scale_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkl_rear_engine_mount.r_velo_scale_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkl_rear_engine_mount.t_velo_threshold_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkl_rear_engine_mount.t_velo_threshold_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkl_rear_engine_mount.t_velo_threshold_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkl_rear_engine_mount.r_velo_threshold_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkl_rear_engine_mount.r_velo_threshold_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkl_rear_engine_mount.r_velo_threshold_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkl_rear_engine_mount.i_geoMarker  &
   object_value = ._baja_powertrain_direct.ges_powertrain.bxl_bushgeom_i_10
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkl_rear_engine_mount.j_geoMarker  &
   object_value = ._baja_powertrain_direct.sws_engine_mount_option.bxl_bushgeom_j_2
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkl_rear_engine_mount.bushing_shape  &
   integer_value = 2
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkl_rear_engine_mount.fx_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkl_rear_engine_mount.fy_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkl_rear_engine_mount.fz_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkl_rear_engine_mount.tx_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkl_rear_engine_mount.ty_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkl_rear_engine_mount.tz_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkl_rear_engine_mount.tx_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkl_rear_engine_mount.ty_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkl_rear_engine_mount.tz_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkl_rear_engine_mount.rx_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkl_rear_engine_mount.ry_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkl_rear_engine_mount.rz_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkl_rear_engine_mount.geoRadius  &
   real_value = 40.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkl_rear_engine_mount.geoLength  &
   real_value = 25.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkl_rear_engine_mount.i_marker  &
   object_value = ._baja_powertrain_direct.ges_powertrain.bxl_bushing_i_10
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkl_rear_engine_mount.j_marker  &
   object_value = ._baja_powertrain_direct.sws_engine_mount_option.bxl_bushing_j_2
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkl_rear_engine_mount.udedef_name  &
   string_value = ".ACAR.attachments.ac_bushing"
!
ude modify instance  &
   instance_name = ._baja_powertrain_direct.bkl_rear_engine_mount
!
!-------------------------- Adams/View UDE Instance ---------------------------!
!
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkr_rear_engine_mount.property_file  &
   string_value = "mdids://acar_shared/bushings.tbl/mdi_0001.bus"
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkr_rear_engine_mount.t_preload_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkr_rear_engine_mount.t_preload_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkr_rear_engine_mount.t_preload_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkr_rear_engine_mount.r_preload_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkr_rear_engine_mount.r_preload_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkr_rear_engine_mount.r_preload_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkr_rear_engine_mount.t_offset_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkr_rear_engine_mount.t_offset_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkr_rear_engine_mount.t_offset_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkr_rear_engine_mount.r_offset_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkr_rear_engine_mount.r_offset_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkr_rear_engine_mount.r_offset_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkr_rear_engine_mount.t_displ_scale_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkr_rear_engine_mount.t_displ_scale_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkr_rear_engine_mount.t_displ_scale_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkr_rear_engine_mount.r_displ_scale_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkr_rear_engine_mount.r_displ_scale_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkr_rear_engine_mount.r_displ_scale_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkr_rear_engine_mount.t_velo_offset_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkr_rear_engine_mount.t_velo_offset_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkr_rear_engine_mount.t_velo_offset_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkr_rear_engine_mount.r_velo_offset_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkr_rear_engine_mount.r_velo_offset_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkr_rear_engine_mount.r_velo_offset_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkr_rear_engine_mount.t_velo_scale_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkr_rear_engine_mount.t_velo_scale_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkr_rear_engine_mount.t_velo_scale_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkr_rear_engine_mount.r_velo_scale_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkr_rear_engine_mount.r_velo_scale_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkr_rear_engine_mount.r_velo_scale_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkr_rear_engine_mount.t_velo_threshold_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkr_rear_engine_mount.t_velo_threshold_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkr_rear_engine_mount.t_velo_threshold_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkr_rear_engine_mount.r_velo_threshold_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkr_rear_engine_mount.r_velo_threshold_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkr_rear_engine_mount.r_velo_threshold_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkr_rear_engine_mount.i_geoMarker  &
   object_value = ._baja_powertrain_direct.ges_powertrain.bxr_bushgeom_i_10
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkr_rear_engine_mount.j_geoMarker  &
   object_value = ._baja_powertrain_direct.sws_engine_mount_option.bxr_bushgeom_j_2
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkr_rear_engine_mount.bushing_shape  &
   integer_value = 2
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkr_rear_engine_mount.fx_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkr_rear_engine_mount.fy_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkr_rear_engine_mount.fz_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkr_rear_engine_mount.tx_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkr_rear_engine_mount.ty_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkr_rear_engine_mount.tz_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkr_rear_engine_mount.tx_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkr_rear_engine_mount.ty_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkr_rear_engine_mount.tz_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkr_rear_engine_mount.rx_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkr_rear_engine_mount.ry_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkr_rear_engine_mount.rz_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkr_rear_engine_mount.geoRadius  &
   real_value = 40.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkr_rear_engine_mount.geoLength  &
   real_value = 25.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkr_rear_engine_mount.i_marker  &
   object_value = ._baja_powertrain_direct.ges_powertrain.bxr_bushing_i_10
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkr_rear_engine_mount.j_marker  &
   object_value = ._baja_powertrain_direct.sws_engine_mount_option.bxr_bushing_j_2
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkr_rear_engine_mount.udedef_name  &
   string_value = ".ACAR.attachments.ac_bushing"
!
ude modify instance  &
   instance_name = ._baja_powertrain_direct.bkr_rear_engine_mount
!
!-------------------------- Adams/View UDE Instance ---------------------------!
!
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkl_front_engine_mount.property_file  &
   string_value = "mdids://acar_shared/bushings.tbl/mdi_0001.bus"
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkl_front_engine_mount.t_preload_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkl_front_engine_mount.t_preload_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkl_front_engine_mount.t_preload_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkl_front_engine_mount.r_preload_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkl_front_engine_mount.r_preload_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkl_front_engine_mount.r_preload_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkl_front_engine_mount.t_offset_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkl_front_engine_mount.t_offset_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkl_front_engine_mount.t_offset_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkl_front_engine_mount.r_offset_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkl_front_engine_mount.r_offset_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkl_front_engine_mount.r_offset_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkl_front_engine_mount.t_displ_scale_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkl_front_engine_mount.t_displ_scale_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkl_front_engine_mount.t_displ_scale_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkl_front_engine_mount.r_displ_scale_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkl_front_engine_mount.r_displ_scale_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkl_front_engine_mount.r_displ_scale_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkl_front_engine_mount.t_velo_offset_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkl_front_engine_mount.t_velo_offset_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkl_front_engine_mount.t_velo_offset_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkl_front_engine_mount.r_velo_offset_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkl_front_engine_mount.r_velo_offset_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkl_front_engine_mount.r_velo_offset_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkl_front_engine_mount.t_velo_scale_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkl_front_engine_mount.t_velo_scale_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkl_front_engine_mount.t_velo_scale_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkl_front_engine_mount.r_velo_scale_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkl_front_engine_mount.r_velo_scale_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkl_front_engine_mount.r_velo_scale_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkl_front_engine_mount.t_velo_threshold_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkl_front_engine_mount.t_velo_threshold_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkl_front_engine_mount.t_velo_threshold_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkl_front_engine_mount.r_velo_threshold_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkl_front_engine_mount.r_velo_threshold_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkl_front_engine_mount.r_velo_threshold_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkl_front_engine_mount.i_geoMarker  &
   object_value = ._baja_powertrain_direct.ges_powertrain.bxl_bushgeom_i_9
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkl_front_engine_mount.j_geoMarker  &
   object_value = ._baja_powertrain_direct.sws_engine_mount_option.bxl_bushgeom_j_1
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkl_front_engine_mount.bushing_shape  &
   integer_value = 2
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkl_front_engine_mount.fx_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkl_front_engine_mount.fy_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkl_front_engine_mount.fz_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkl_front_engine_mount.tx_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkl_front_engine_mount.ty_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkl_front_engine_mount.tz_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkl_front_engine_mount.tx_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkl_front_engine_mount.ty_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkl_front_engine_mount.tz_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkl_front_engine_mount.rx_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkl_front_engine_mount.ry_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkl_front_engine_mount.rz_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkl_front_engine_mount.geoRadius  &
   real_value = 40.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkl_front_engine_mount.geoLength  &
   real_value = 25.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkl_front_engine_mount.i_marker  &
   object_value = ._baja_powertrain_direct.ges_powertrain.bxl_bushing_i_9
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkl_front_engine_mount.j_marker  &
   object_value = ._baja_powertrain_direct.sws_engine_mount_option.bxl_bushing_j_1
!
variable modify  &
   variable_name = ._baja_powertrain_direct.bkl_front_engine_mount.udedef_name  &
   string_value = ".ACAR.attachments.ac_bushing"
!
ude modify instance  &
   instance_name = ._baja_powertrain_direct.bkl_front_engine_mount
!
!-------------------------- Adams/View UDE Instance ---------------------------!
!
!
variable modify  &
   variable_name = ._baja_powertrain_direct.pts_drive_torque_reaction.function  &
   string_value = "-varval(._baja_powertrain_direct.total_axle_torque)/._baja_powertrain_direct.pvs_final_drive"
!
variable modify  &
   variable_name = ._baja_powertrain_direct.pts_drive_torque_reaction.application  &
   string_value = "unknown"
!
variable modify  &
   variable_name = ._baja_powertrain_direct.pts_drive_torque_reaction.identifier  &
   string_value = "unknown"
!
variable modify  &
   variable_name = ._baja_powertrain_direct.pts_drive_torque_reaction.force_limits  &
   real_value =   &
      0.0,  &
      0.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.pts_drive_torque_reaction.displacement_limits  &
   real_value =   &
      0.0,  &
      0.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.pts_drive_torque_reaction.velocity_limits  &
   real_value =   &
      0.0,  &
      0.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.pts_drive_torque_reaction.acceleration_limits  &
   real_value =   &
      0.0,  &
      0.0
!
variable modify  &
   variable_name = ._baja_powertrain_direct.pts_drive_torque_reaction.unit_string  &
   string_value = "no_units"
!
variable modify  &
   variable_name = ._baja_powertrain_direct.pts_drive_torque_reaction.action_only  &
   integer_value = 1
!
variable modify  &
   variable_name = ._baja_powertrain_direct.pts_drive_torque_reaction.i_marker  &
   object_value = ._baja_powertrain_direct.ges_powertrain.pts_actuator_i_1
!
variable modify  &
   variable_name = ._baja_powertrain_direct.pts_drive_torque_reaction.j_marker  &
   object_value = ._baja_powertrain_direct.ges_powertrain.pts_actuator_j_1
!
variable modify  &
   variable_name = ._baja_powertrain_direct.pts_drive_torque_reaction.udedef_name  &
   string_value = ".ACAR.inputs.ac_point_torque_actuator"
!
ude modify instance  &
   instance_name = ._baja_powertrain_direct.pts_drive_torque_reaction
!
undo end_block
!
!---------------------------------- Accgrav -----------------------------------!
!
!
force create body gravitational  &
   gravity_field_name = gravity  &
   x_component_gravity = 0.0  &
   y_component_gravity = 0.0  &
   z_component_gravity = -9809.9999999989
!
!----------------------------- Analysis settings ------------------------------!
!
!
output_control set results  &
   model_name = _baja_powertrain_direct  &
   formatted = on
!
!---------------------------- ADAMS/View Variables ----------------------------!
!
!
variable create  &
   variable_name = ._baja_powertrain_direct.gss_engine_torque.property_file  &
   string_value = "mdids://acar_shared/powertrains.tbl/V12_engine_map.pwr"
!
variable create  &
   variable_name = ._baja_powertrain_direct.gss_engine_torque.datablock  &
   string_value = "ENGINE"
!
variable create  &
   variable_name = ._baja_powertrain_direct.gss_engine_torque.spline_type  &
   string_value = "three_dimensional"
!
variable create  &
   variable_name = ._baja_powertrain_direct.gss_differential.property_file  &
   string_value = "mdids://acar_shared/differentials.tbl/MDI_viscous.dif"
!
variable create  &
   variable_name = ._baja_powertrain_direct.gss_differential.datablock  &
   string_value = "DIFFERENTIAL"
!
variable create  &
   variable_name = ._baja_powertrain_direct.gss_differential.spline_type  &
   string_value = "two_dimensional"
!
variable create  &
   variable_name = ._baja_powertrain_direct.mts_powertrain_lt_to_body.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._baja_powertrain_direct.mts_powertrain_lt_to_body.dependents  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._baja_powertrain_direct.mts_engine_to_subframe.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._baja_powertrain_direct.mts_engine_to_subframe.dependents  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._baja_powertrain_direct.sws_engine_mount_option.j_marker_list  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._baja_powertrain_direct.sws_engine_mount_option.index  &
   integer_value = 1
!
variable create  &
   variable_name = ._baja_powertrain_direct.sws_engine_mount_option.dependents  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._baja_powertrain_direct.engine.component_names  &
   string_value = "omega", "rpm", "torque", "", "power_hp", "power_PS",  &
                  "actual_throttle", ""
!
variable create  &
   variable_name = ._baja_powertrain_direct.engine.result_name  &
   string_value = "engine"
!
variable create  &
   variable_name = ._baja_powertrain_direct.engine.component_units  &
   string_value = "no_units", "no_units", "torque", "no_units", "no_units",  &
                  "no_units", "no_units", "no_units"
!
variable create  &
   variable_name = ._baja_powertrain_direct.clutch.component_names  &
   string_value = "slip", "slip_omega", "slip_RPM", "", "torque",  &
                  "power_loss_HP", "power_loss_PS", ""
!
variable create  &
   variable_name = ._baja_powertrain_direct.clutch.result_name  &
   string_value = "clutch"
!
variable create  &
   variable_name = ._baja_powertrain_direct.speed  &
   units = "velocity"  &
   real_value = 0.0
!
variable create  &
   variable_name = ._baja_powertrain_direct.template_creation_date  &
   string_value = "1996/07/05,18:29:36"  &
   comments = "Do not remove"
!
variable create  &
   variable_name = ._baja_powertrain_direct.minor_role  &
   string_value = "unassigned"  &
   comments = "Memory for ADAMS/Car minor role"
!
variable create  &
   variable_name = ._baja_powertrain_direct.model_class  &
   string_value = "template"  &
   comments = "Memory for ADAMS/Car model class"
!
variable create  &
   variable_name = ._baja_powertrain_direct.phs_kinematic_flag  &
   integer_value = 1  &
   comments =   &
              "Flag that determines if kinematic joints or bushings are active"
!
variable create  &
   variable_name = ._baja_powertrain_direct.role  &
   string_value = "powertrain"  &
   comments = "Memory for ADAMS/Car major role"
!
variable create  &
   variable_name = ._baja_powertrain_direct.cis_throttle_demand  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._baja_powertrain_direct.cis_throttle_demand.matching_name  &
   string_value = "throttle_demand"
!
variable create  &
   variable_name = ._baja_powertrain_direct.cis_throttle_demand.entity  &
   string_value = "solver_variable"
!
variable create  &
   variable_name = ._baja_powertrain_direct.cis_throttle_demand.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._baja_powertrain_direct.cis_throttle_demand_adams_id  &
   integer_value = 0
!
variable create  &
   variable_name = ._baja_powertrain_direct.cis_throttle_demand_adams_id.matching_name  &
   string_value = "throttle_demand_adams_id"
!
variable create  &
   variable_name = ._baja_powertrain_direct.cis_throttle_demand_adams_id.entity  &
   string_value = "solver_variable"
!
variable create  &
   variable_name = ._baja_powertrain_direct.cis_throttle_demand_adams_id.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._baja_powertrain_direct.pvs_gear_1  &
   units = "no_units"  &
   real_value = 3.231
!
variable create  &
   variable_name = ._baja_powertrain_direct.pvs_gear_2  &
   units = "no_units"  &
   real_value = 2.571
!
variable create  &
   variable_name = ._baja_powertrain_direct.pvs_gear_3  &
   units = "no_units"  &
   real_value = 2.125
!
variable create  &
   variable_name = ._baja_powertrain_direct.pvs_gear_4  &
   units = "no_units"  &
   real_value = 1.789
!
variable create  &
   variable_name = ._baja_powertrain_direct.pvs_gear_5  &
   units = "no_units"  &
   real_value = 1.55
!
variable create  &
   variable_name = ._baja_powertrain_direct.pvs_gear_6  &
   units = "no_units"  &
   real_value = 1.0
!
variable create  &
   variable_name = ._baja_powertrain_direct.cis_transmission_demand  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._baja_powertrain_direct.cis_transmission_demand.matching_name  &
   string_value = "transmission_demand"
!
variable create  &
   variable_name = ._baja_powertrain_direct.cis_transmission_demand.entity  &
   string_value = "solver_variable"
!
variable create  &
   variable_name = ._baja_powertrain_direct.cis_transmission_demand.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._baja_powertrain_direct.cis_transmission_demand_adams_id  &
   integer_value = 0
!
variable create  &
   variable_name = ._baja_powertrain_direct.cis_transmission_demand_adams_id.matching_name  &
   string_value = "transmission_demand_adams_id"
!
variable create  &
   variable_name = ._baja_powertrain_direct.cis_transmission_demand_adams_id.entity  &
   string_value = "solver_variable"
!
variable create  &
   variable_name = ._baja_powertrain_direct.cis_transmission_demand_adams_id.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._baja_powertrain_direct.cis_clutch_demand  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._baja_powertrain_direct.cis_clutch_demand.matching_name  &
   string_value = "clutch_demand"
!
variable create  &
   variable_name = ._baja_powertrain_direct.cis_clutch_demand.entity  &
   string_value = "solver_variable"
!
variable create  &
   variable_name = ._baja_powertrain_direct.cis_clutch_demand.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._baja_powertrain_direct.cis_clutch_demand_adams_id  &
   integer_value = 0
!
variable create  &
   variable_name = ._baja_powertrain_direct.cis_clutch_demand_adams_id.matching_name  &
   string_value = "clutch_demand_adams_id"
!
variable create  &
   variable_name = ._baja_powertrain_direct.cis_clutch_demand_adams_id.entity  &
   string_value = "solver_variable"
!
variable create  &
   variable_name = ._baja_powertrain_direct.cis_clutch_demand_adams_id.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._baja_powertrain_direct.pvs_engine_inertia  &
   units = "inertia"  &
   real_value = 7.0E+004
!
variable create  &
   variable_name = ._baja_powertrain_direct.pvs_engine_rev_limit  &
   units = "no_units"  &
   real_value = 1.4E+004
!
variable create  &
   variable_name = ._baja_powertrain_direct.pvs_engine_idle_speed  &
   units = "no_units"  &
   real_value = 1000.0
!
variable create  &
   variable_name = ._baja_powertrain_direct.pvs_clutch_stiffness  &
   units = "torsion_stiffness"  &
   real_value = 1.0E+006
!
variable create  &
   variable_name = ._baja_powertrain_direct.pvs_clutch_damping  &
   units = "torsion_damping"  &
   real_value = 1.0E+004
!
variable create  &
   variable_name = ._baja_powertrain_direct.gear_selection  &
   units = "no_units"  &
   real_value = 0.0, 3.231, 2.571, 2.125, 1.789, 1.55, 1.0
!
variable create  &
   variable_name = ._baja_powertrain_direct.torque_to_Nmm  &
   units = "no_units"  &
   real_value = 1.0
!
variable create  &
   variable_name = ._baja_powertrain_direct.cil_diff_tripot  &
   units = "length"  &
   real_value = 0.0, -100.0, 0.0
!
variable create  &
   variable_name = ._baja_powertrain_direct.cil_diff_tripot.matching_name  &
   string_value = "tripot_to_differential"
!
variable create  &
   variable_name = ._baja_powertrain_direct.cil_diff_tripot.entity  &
   string_value = "location"
!
variable create  &
   variable_name = ._baja_powertrain_direct.cil_diff_tripot.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._baja_powertrain_direct.cir_diff_tripot  &
   units = "length"  &
   real_value = 0.0, 100.0, 0.0
!
variable create  &
   variable_name = ._baja_powertrain_direct.cir_diff_tripot.matching_name  &
   string_value = "tripot_to_differential"
!
variable create  &
   variable_name = ._baja_powertrain_direct.cir_diff_tripot.entity  &
   string_value = "location"
!
variable create  &
   variable_name = ._baja_powertrain_direct.cir_diff_tripot.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._baja_powertrain_direct.cis_initial_engine_rpm  &
   units = "no_units"  &
   real_value = 1000.0
!
variable create  &
   variable_name = ._baja_powertrain_direct.cis_initial_engine_rpm.matching_name  &
   string_value = "initial_engine_rpm"
!
variable create  &
   variable_name = ._baja_powertrain_direct.cis_initial_engine_rpm.entity  &
   string_value = "parameter_real"
!
variable create  &
   variable_name = ._baja_powertrain_direct.cis_initial_engine_rpm.minor_role  &
   string_value = "any"
!
variable create  &
   variable_name = ._baja_powertrain_direct.cis_powertrain_lt_to_body  &
   object_value = (NONE)  &
   comments = "Autocreated for mount part: mts_powertrain_lt_to_body"
!
variable create  &
   variable_name = ._baja_powertrain_direct.cis_powertrain_lt_to_body.matching_name  &
   string_value = "powertrain_to_body"
!
variable create  &
   variable_name = ._baja_powertrain_direct.cis_powertrain_lt_to_body.entity  &
   string_value = "mount"
!
variable create  &
   variable_name = ._baja_powertrain_direct.cis_powertrain_lt_to_body.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._baja_powertrain_direct.cis_engine_to_subframe  &
   object_value = (NONE)  &
   comments = "Autocreated for mount part: mts_engine_to_subframe"
!
variable create  &
   variable_name = ._baja_powertrain_direct.cis_engine_to_subframe.matching_name  &
   string_value = "engine_to_subframe"
!
variable create  &
   variable_name = ._baja_powertrain_direct.cis_engine_to_subframe.entity  &
   string_value = "mount"
!
variable create  &
   variable_name = ._baja_powertrain_direct.cis_engine_to_subframe.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._baja_powertrain_direct.cos_rotation_diff  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._baja_powertrain_direct.cos_rotation_diff.matching_name  &
   string_value = "rotation_diff"
!
variable create  &
   variable_name = ._baja_powertrain_direct.cos_rotation_diff.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._baja_powertrain_direct.cos_rotation_diff.entity  &
   string_value = "diff"
!
variable create  &
   variable_name = ._baja_powertrain_direct.cos_engine_rpm  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._baja_powertrain_direct.cos_engine_rpm.matching_name  &
   string_value = "engine_rpm"
!
variable create  &
   variable_name = ._baja_powertrain_direct.cos_engine_rpm.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._baja_powertrain_direct.cos_engine_rpm.entity  &
   string_value = "solver_variable"
!
variable create  &
   variable_name = ._baja_powertrain_direct.cos_engine_speed  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._baja_powertrain_direct.cos_engine_speed.matching_name  &
   string_value = "engine_speed"
!
variable create  &
   variable_name = ._baja_powertrain_direct.cos_engine_speed.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._baja_powertrain_direct.cos_engine_speed.entity  &
   string_value = "solver_variable"
!
variable create  &
   variable_name = ._baja_powertrain_direct.custom_menus  &
   string_value = "button1", "button2"
!
variable create  &
   variable_name = ._baja_powertrain_direct.custom_menus.button1  &
   string_value = "interface dialog_box display &",  &
                  " dialog_box_name=dbox_pow_map"  &
   comments = "adjust", "Engine Torque Map..."
!
variable create  &
   variable_name = ._baja_powertrain_direct.custom_menus.button2  &
   string_value = "interface dialog_box display &",  &
                  " dialog_box_name=dbox_pow_dif"  &
   comments = "adjust", "Differential..."
!
variable create  &
   variable_name = ._baja_powertrain_direct.custom_dboxes  &
   string_value = "dbox_pow_map", "dbox_pow_dif"
!
variable create  &
   variable_name = ._baja_powertrain_direct.pvs_max_gears  &
   integer_value = 3
!
variable create  &
   variable_name = ._baja_powertrain_direct.cos_diff_ratio  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._baja_powertrain_direct.cos_diff_ratio.matching_name  &
   string_value = "diff_ratio"
!
variable create  &
   variable_name = ._baja_powertrain_direct.cos_diff_ratio.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._baja_powertrain_direct.cos_diff_ratio.entity  &
   string_value = "parameter_real"
!
variable create  &
   variable_name = ._baja_powertrain_direct.cos_max_gears  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._baja_powertrain_direct.cos_max_gears.matching_name  &
   string_value = "max_gears"
!
variable create  &
   variable_name = ._baja_powertrain_direct.cos_max_gears.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._baja_powertrain_direct.cos_max_gears.entity  &
   string_value = "parameter_integer"
!
variable create  &
   variable_name = ._baja_powertrain_direct.cos_min_engine_speed  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._baja_powertrain_direct.cos_min_engine_speed.matching_name  &
   string_value = "min_engine_speed"
!
variable create  &
   variable_name = ._baja_powertrain_direct.cos_min_engine_speed.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._baja_powertrain_direct.cos_min_engine_speed.entity  &
   string_value = "parameter_real"
!
variable create  &
   variable_name = ._baja_powertrain_direct.cos_max_engine_speed  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._baja_powertrain_direct.cos_max_engine_speed.matching_name  &
   string_value = "max_engine_speed"
!
variable create  &
   variable_name = ._baja_powertrain_direct.cos_max_engine_speed.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._baja_powertrain_direct.cos_max_engine_speed.entity  &
   string_value = "parameter_real"
!
variable create  &
   variable_name = ._baja_powertrain_direct.cos_transmission_spline  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._baja_powertrain_direct.cos_transmission_spline.matching_name  &
   string_value = "transmission_spline"
!
variable create  &
   variable_name = ._baja_powertrain_direct.cos_transmission_spline.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._baja_powertrain_direct.cos_transmission_spline.entity  &
   string_value = "spline"
!
variable create  &
   variable_name = ._baja_powertrain_direct.cos_engine_map  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._baja_powertrain_direct.cos_engine_map.matching_name  &
   string_value = "engine_map"
!
variable create  &
   variable_name = ._baja_powertrain_direct.cos_engine_map.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._baja_powertrain_direct.cos_engine_map.entity  &
   string_value = "spline"
!
variable create  &
   variable_name = ._baja_powertrain_direct.pvs_max_throttle  &
   units = "no_units"  &
   real_value = 100.0
!
variable create  &
   variable_name = ._baja_powertrain_direct.cos_max_throttle  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._baja_powertrain_direct.cos_max_throttle.matching_name  &
   string_value = "max_throttle"
!
variable create  &
   variable_name = ._baja_powertrain_direct.cos_max_throttle.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._baja_powertrain_direct.cos_max_throttle.entity  &
   string_value = "parameter_real"
!
variable create  &
   variable_name = ._baja_powertrain_direct.cil_tire_force  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._baja_powertrain_direct.cil_tire_force.matching_name  &
   string_value = "tire_force"
!
variable create  &
   variable_name = ._baja_powertrain_direct.cil_tire_force.entity  &
   string_value = "force"
!
variable create  &
   variable_name = ._baja_powertrain_direct.cil_tire_force.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._baja_powertrain_direct.cil_tire_force_adams_id  &
   integer_value = 0  &
   comments =   &
              "Passes the adams_id of the force (used in function expressions)"
!
variable create  &
   variable_name = ._baja_powertrain_direct.cil_tire_force_adams_id.matching_name  &
   string_value = "tire_force_adams_id"
!
variable create  &
   variable_name = ._baja_powertrain_direct.cil_tire_force_adams_id.entity  &
   string_value = "force"
!
variable create  &
   variable_name = ._baja_powertrain_direct.cil_tire_force_adams_id.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._baja_powertrain_direct.cir_tire_force  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._baja_powertrain_direct.cir_tire_force.matching_name  &
   string_value = "tire_force"
!
variable create  &
   variable_name = ._baja_powertrain_direct.cir_tire_force.entity  &
   string_value = "force"
!
variable create  &
   variable_name = ._baja_powertrain_direct.cir_tire_force.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._baja_powertrain_direct.cir_tire_force_adams_id  &
   integer_value = 0  &
   comments =   &
              "Passes the adams_id of the force (used in function expressions)"
!
variable create  &
   variable_name = ._baja_powertrain_direct.cir_tire_force_adams_id.matching_name  &
   string_value = "tire_force_adams_id"
!
variable create  &
   variable_name = ._baja_powertrain_direct.cir_tire_force_adams_id.entity  &
   string_value = "force"
!
variable create  &
   variable_name = ._baja_powertrain_direct.cir_tire_force_adams_id.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._baja_powertrain_direct.cos_clutch_diff  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._baja_powertrain_direct.cos_clutch_diff.matching_name  &
   string_value = "clutch_diff"
!
variable create  &
   variable_name = ._baja_powertrain_direct.cos_clutch_diff.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._baja_powertrain_direct.cos_clutch_diff.entity  &
   string_value = "diff"
!
variable create  &
   variable_name = ._baja_powertrain_direct.cos_clutch_displacement_ic  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._baja_powertrain_direct.cos_clutch_displacement_ic.matching_name  &
   string_value = "clutch_displacement_ic"
!
variable create  &
   variable_name = ._baja_powertrain_direct.cos_clutch_displacement_ic.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._baja_powertrain_direct.cos_clutch_displacement_ic.entity  &
   string_value = "solver_variable"
!
variable create  &
   variable_name = ._baja_powertrain_direct.cos_transmission_input_omega  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._baja_powertrain_direct.cos_transmission_input_omega.matching_name  &
   string_value = "transmission_input_omega"
!
variable create  &
   variable_name = ._baja_powertrain_direct.cos_transmission_input_omega.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._baja_powertrain_direct.cos_transmission_input_omega.entity  &
   string_value = "solver_variable"
!
variable create  &
   variable_name = ._baja_powertrain_direct.cis_sse_diff1  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._baja_powertrain_direct.cis_sse_diff1.matching_name  &
   string_value = "sse_diff1"
!
variable create  &
   variable_name = ._baja_powertrain_direct.cis_sse_diff1.entity  &
   string_value = "diff"
!
variable create  &
   variable_name = ._baja_powertrain_direct.cis_sse_diff1.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._baja_powertrain_direct.cis_sse_diff1_adams_id  &
   integer_value = 0  &
   comments =   &
              "Passes the adams_id of the diff (used in function expressions)"
!
variable create  &
   variable_name = ._baja_powertrain_direct.cis_sse_diff1_adams_id.matching_name  &
   string_value = "sse_diff1_adams_id"
!
variable create  &
   variable_name = ._baja_powertrain_direct.cis_sse_diff1_adams_id.entity  &
   string_value = "diff"
!
variable create  &
   variable_name = ._baja_powertrain_direct.cis_sse_diff1_adams_id.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._baja_powertrain_direct.pvs_clutch_capacity  &
   units = "torque"  &
   real_value = 1.0E+006
!
variable create  &
   variable_name = ._baja_powertrain_direct.pvs_clutch_close  &
   units = "no_units"  &
   real_value = 0.25  &
   comments = "The value of clutch demand at which",  &
              "the clutch is fully closed. So for",  &
              "clutch_close = 0.25, the", "clutch is closed for value of ",  &
              "clutch_demand < 0.25.  See also", "clutch_open."
!
variable create  &
   variable_name = ._baja_powertrain_direct.pvs_clutch_open  &
   units = "no_units"  &
   real_value = 0.75  &
   comments = "The value of clutch demand at which",  &
              "the clutch is fully open. So for", "clutch__open = 0.75, the",  &
              "clutch is open for value of",  &
              "clutch_demand < 0.75.  See also", "clutch_close."
!
variable create  &
   variable_name = ._baja_powertrain_direct.pvs_clutch_tau  &
   units = "time"  &
   real_value = 5.0E-002  &
   comments = "When the clutch opens, the clutch slip decays to",  &
              "zero with a first order lag having a time constant",  &
              "of \"clutch_tau\".", "",  &
              "d/dt(clutch_slip) = -(clutch_slip/clutch_tau)"
!
variable create  &
   variable_name = ._baja_powertrain_direct.ucf_unary_angle  &
   units = "angle"  &
   real_value = 1.0  &
   comments =   &
              "1 angle unit of whatever the unit setting happen to be by default."
!
variable create  &
   variable_name = ._baja_powertrain_direct.ucf_angle_to_radians  &
   units = "no_units"  &
   real_value = 1.745329252E-002  &
   comments =   &
              "Takes on the value in radians of 1 angle unit, whever that angle unit setting",  &
              "for the model are.  Units=Degress, ucf_angle_to_radians = PI/180"
!
variable create  &
   variable_name = ._baja_powertrain_direct.ucf_gc  &
   units = "no_units"  &
   real_value = 1000.0  &
   comments =   &
              "Conversion factor to ensure that mass*acceleration = force independent of unit settings."
!
variable create  &
   variable_name = ._baja_powertrain_direct.ucf_watt_to_hp  &
   units = "no_units"  &
   real_value = 1.34102E-006  &
   comments = "Converts 1 watt to horsepower"
!
variable create  &
   variable_name = ._baja_powertrain_direct.ucf_watt_to_PS  &
   units = "no_units"  &
   real_value = 1.35962E-006  &
   comments = "Converts 1 watt to PS"
!
variable create  &
   variable_name = ._baja_powertrain_direct.ucf_radian_per_second_to_RPM  &
   units = "no_units"  &
   real_value = 9.5492965855  &
   comments = "Converts angular velocity to RPM",  &
              "Note units of radians is not explicit in the expression",  &
              "because angular velocities in A/Solver always use radians."
!
variable create  &
   variable_name = ._baja_powertrain_direct.cos_max_engine_driving_torque  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._baja_powertrain_direct.cos_max_engine_driving_torque.matching_name  &
   string_value = "engine_maximum_driving_torque"
!
variable create  &
   variable_name = ._baja_powertrain_direct.cos_max_engine_driving_torque.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._baja_powertrain_direct.cos_max_engine_driving_torque.entity  &
   string_value = "solver_variable"
!
variable create  &
   variable_name = ._baja_powertrain_direct.cos_max_engine_braking_torque  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._baja_powertrain_direct.cos_max_engine_braking_torque.matching_name  &
   string_value = "engine_maximum_braking_torque"
!
variable create  &
   variable_name = ._baja_powertrain_direct.cos_max_engine_braking_torque.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._baja_powertrain_direct.cos_max_engine_braking_torque.entity  &
   string_value = "solver_variable"
!
variable create  &
   variable_name = ._baja_powertrain_direct.cis_rear_axle_omega  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._baja_powertrain_direct.cis_rear_axle_omega.matching_name  &
   string_value = "rear_axle_omega"
!
variable create  &
   variable_name = ._baja_powertrain_direct.cis_rear_axle_omega.entity  &
   string_value = "solver_variable"
!
variable create  &
   variable_name = ._baja_powertrain_direct.cis_rear_axle_omega.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._baja_powertrain_direct.cis_rear_axle_omega_adams_id  &
   integer_value = 0  &
   comments =   &
              "Passes the adams_id of the solver_variable (used in function expressions)"
!
variable create  &
   variable_name = ._baja_powertrain_direct.cis_rear_axle_omega_adams_id.matching_name  &
   string_value = "rear_axle_omega_adams_id"
!
variable create  &
   variable_name = ._baja_powertrain_direct.cis_rear_axle_omega_adams_id.entity  &
   string_value = "solver_variable"
!
variable create  &
   variable_name = ._baja_powertrain_direct.cis_rear_axle_omega_adams_id.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._baja_powertrain_direct.cos_drive_torque  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._baja_powertrain_direct.cos_drive_torque.matching_name  &
   string_value = "drive_torque"
!
variable create  &
   variable_name = ._baja_powertrain_direct.cos_drive_torque.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._baja_powertrain_direct.cos_drive_torque.entity  &
   string_value = "solver_variable"
!
variable create  &
   variable_name = ._baja_powertrain_direct.pvs_throttle_lag_tau  &
   units = "time"  &
   real_value = 0.5
!
!---------------------------- ADAMS/View Functions ----------------------------!
!
!
function create  &
   function_name = .SYMMETRY  &
   text_of_expression = "LOC_MIRROR(location, .__ACAR.ground.origo, .ACAR.variables.symmetry_plane)"  &
   argument_names = "location"  &
   type = location_orientation  &
   comments =   &
              "Compute mirrored location over the symmetry plane given 3x1 location vector"
!
!------------------------- Groups Owned By This Model -------------------------!
!
!
group create  &
   group_name = ._baja_powertrain_direct.kinematic_mode_active  &
   expr_active = 1
!
group create  &
   group_name = ._baja_powertrain_direct.kinematic_mode_inactive  &
   expr_active = 1
!
!---------------------- Set ADAMS/View Object Variables -----------------------!
!
!
variable modify  &
   variable_name = ._baja_powertrain_direct.mts_powertrain_lt_to_body.dependents  &
   object_value = ._baja_powertrain_direct.mts_fixed_2,  &
                  ._baja_powertrain_direct.cis_powertrain_lt_to_body
!
variable modify  &
   variable_name = ._baja_powertrain_direct.mts_engine_to_subframe.dependents  &
   object_value = ._baja_powertrain_direct.mts_fixed_3,  &
                  ._baja_powertrain_direct.cis_engine_to_subframe
!
variable modify  &
   variable_name = ._baja_powertrain_direct.sws_engine_mount_option.j_marker_list  &
   object_value =   &
                  ._baja_powertrain_direct.mts_engine_to_subframe.sws_switch_j_1,  &
                  ._baja_powertrain_direct.mts_powertrain_lt_to_body.sws_switch_j_2
!
variable modify  &
   variable_name = ._baja_powertrain_direct.sws_engine_mount_option.dependents  &
   object_value = ._baja_powertrain_direct.sws_fixed_1
!
variable modify  &
   variable_name = ._baja_powertrain_direct.cis_throttle_demand  &
   object_value = ._baja_powertrain_direct._cv_solver_variable
!
variable modify  &
   variable_name = ._baja_powertrain_direct.cis_transmission_demand  &
   object_value = ._baja_powertrain_direct._cv_solver_variable
!
variable modify  &
   variable_name = ._baja_powertrain_direct.cis_clutch_demand  &
   object_value = ._baja_powertrain_direct._cv_solver_variable
!
variable modify  &
   variable_name = ._baja_powertrain_direct.cis_powertrain_lt_to_body  &
   object_value = ._baja_powertrain_direct.ground.mts_mount_j_2,  &
                  ._baja_powertrain_direct.mts_powertrain_lt_to_body,  &
                  ._baja_powertrain_direct.mts_fixed_2
!
variable modify  &
   variable_name = ._baja_powertrain_direct.cis_engine_to_subframe  &
   object_value = ._baja_powertrain_direct.ground.mts_mount_j_3,  &
                  ._baja_powertrain_direct.mts_engine_to_subframe,  &
                  ._baja_powertrain_direct.mts_fixed_3
!
variable modify  &
   variable_name = ._baja_powertrain_direct.cos_rotation_diff  &
   object_value = ._baja_powertrain_direct.engine_omega
!
variable modify  &
   variable_name = ._baja_powertrain_direct.cos_engine_rpm  &
   object_value = ._baja_powertrain_direct.engine_rpm
!
variable modify  &
   variable_name = ._baja_powertrain_direct.cos_engine_speed  &
   object_value = ._baja_powertrain_direct.engine_speed
!
variable modify  &
   variable_name = ._baja_powertrain_direct.cos_diff_ratio  &
   object_value = ._baja_powertrain_direct.pvs_final_drive
!
variable modify  &
   variable_name = ._baja_powertrain_direct.cos_max_gears  &
   object_value = ._baja_powertrain_direct.pvs_max_gears
!
variable modify  &
   variable_name = ._baja_powertrain_direct.cos_min_engine_speed  &
   object_value = ._baja_powertrain_direct.pvs_engine_idle_speed
!
variable modify  &
   variable_name = ._baja_powertrain_direct.cos_max_engine_speed  &
   object_value = ._baja_powertrain_direct.pvs_engine_rev_limit
!
variable modify  &
   variable_name = ._baja_powertrain_direct.cos_transmission_spline  &
   object_value = ._baja_powertrain_direct.gear_ratio_spline
!
variable modify  &
   variable_name = ._baja_powertrain_direct.cos_engine_map  &
   object_value = ._baja_powertrain_direct.gss_engine_torque
!
variable modify  &
   variable_name = ._baja_powertrain_direct.cos_max_throttle  &
   object_value = ._baja_powertrain_direct.pvs_max_throttle
!
variable modify  &
   variable_name = ._baja_powertrain_direct.cil_tire_force  &
   object_value = ._baja_powertrain_direct._cv_bushing
!
variable modify  &
   variable_name = ._baja_powertrain_direct.cir_tire_force  &
   object_value = ._baja_powertrain_direct._cv_bushing
!
variable modify  &
   variable_name = ._baja_powertrain_direct.cos_clutch_diff  &
   object_value = ._baja_powertrain_direct.clutch_slip
!
variable modify  &
   variable_name = ._baja_powertrain_direct.cos_clutch_displacement_ic  &
   object_value = ._baja_powertrain_direct.clutch_displacement_ic
!
variable modify  &
   variable_name = ._baja_powertrain_direct.cos_transmission_input_omega  &
   object_value = ._baja_powertrain_direct.transmission_input_omega
!
variable modify  &
   variable_name = ._baja_powertrain_direct.cis_sse_diff1  &
   object_value = ._baja_powertrain_direct._cv_diff
!
variable modify  &
   variable_name = ._baja_powertrain_direct.cos_max_engine_driving_torque  &
   object_value = ._baja_powertrain_direct.max_driving_torque
!
variable modify  &
   variable_name = ._baja_powertrain_direct.cos_max_engine_braking_torque  &
   object_value = ._baja_powertrain_direct.max_braking_torque
!
variable modify  &
   variable_name = ._baja_powertrain_direct.cis_rear_axle_omega  &
   object_value = ._baja_powertrain_direct._cv_solver_variable
!
variable modify  &
   variable_name = ._baja_powertrain_direct.cos_drive_torque  &
   object_value = ._baja_powertrain_direct.total_axle_torque
!
!--------------------------- Add Objects To Groups ----------------------------!
!
!
group modify  &
   group_name = ._baja_powertrain_direct.kinematic_mode_active  &
   objects_in_group = ._baja_powertrain_direct.jksfix_rigid_engine_mount
!
group modify  &
   group_name = ._baja_powertrain_direct.kinematic_mode_inactive  &
   objects_in_group = ._baja_powertrain_direct.ges_powertrain.bxl_bushing_i_10,  &
      ._baja_powertrain_direct.ges_powertrain.bxl_bushgeom_i_10,  &
      ._baja_powertrain_direct.sws_engine_mount_option.bxl_bushing_j_2,  &
      ._baja_powertrain_direct.sws_engine_mount_option.bxl_bushgeom_j_2,  &
      ._baja_powertrain_direct.ges_powertrain.bxr_bushing_i_10,  &
      ._baja_powertrain_direct.ges_powertrain.bxr_bushgeom_i_10,  &
      ._baja_powertrain_direct.sws_engine_mount_option.bxr_bushing_j_2,  &
      ._baja_powertrain_direct.sws_engine_mount_option.bxr_bushgeom_j_2,  &
      ._baja_powertrain_direct.ges_powertrain.bxr_bushing_i_9,  &
      ._baja_powertrain_direct.ges_powertrain.bxr_bushgeom_i_9,  &
      ._baja_powertrain_direct.sws_engine_mount_option.bxr_bushing_j_1,  &
      ._baja_powertrain_direct.sws_engine_mount_option.bxr_bushgeom_j_1,  &
      ._baja_powertrain_direct.ges_powertrain.bxl_bushing_i_9,  &
      ._baja_powertrain_direct.ges_powertrain.bxl_bushgeom_i_9,  &
      ._baja_powertrain_direct.sws_engine_mount_option.bxl_bushing_j_1,  &
      ._baja_powertrain_direct.sws_engine_mount_option.bxl_bushgeom_j_1,  &
      ._baja_powertrain_direct.bkl_front_engine_mount,  &
      ._baja_powertrain_direct.bkr_front_engine_mount,  &
      ._baja_powertrain_direct.bkl_rear_engine_mount,  &
      ._baja_powertrain_direct.bkr_rear_engine_mount
!
!---------------------------- Function definitions ----------------------------!
!
!
constraint modify motion_generator  &
   motion_name = ._baja_powertrain_direct._cv_motion  &
   function = "0"
!
data_element modify variable  &
   variable_name = ._baja_powertrain_direct._cv_solver_variable  &
   function = "0"
!
data_element modify variable  &
   variable_name = ._baja_powertrain_direct.engine_torque  &
   function = "IF(VARVAL(._baja_powertrain_direct.analysis_type):",  &
              "(",  &
              "    MAX(0,DIF(._baja_powertrain_direct.cis_sse_diff1_adams_id))/(._baja_powertrain_direct.pvs_final_drive)",  &
              "    /AKISPL(MAX(1,MIN(VARVAL(._baja_powertrain_direct.cis_transmission_demand_adams_id),(._baja_powertrain_direct.pvs_max_gears))),0,",  &
              "    ._baja_powertrain_direct.gear_ratio_spline)",  &
              ")",  &
              ",",  &
              "(",  &
              "    MAX(0,DIF(._baja_powertrain_direct.cis_sse_diff1_adams_id))/(._baja_powertrain_direct.pvs_final_drive)",  &
              "    /AKISPL(MAX(1,MIN(VARVAL(._baja_powertrain_direct.cis_transmission_demand_adams_id),(._baja_powertrain_direct.pvs_max_gears))),0,",  &
              "    ._baja_powertrain_direct.gear_ratio_spline)",  &
              ")",  &
              ",",  &
              "IF(MODE-4:",  &
              "(",  &
              "  AKISPL(MAX(0,DIF(._baja_powertrain_direct.engine_omega)/._baja_powertrain_direct.ucf_angle_to_radians),",  &
              "    MAX(0,MIN(1,VARVAL(._baja_powertrain_direct.throttle_position_ems))),._baja_powertrain_direct.gss_engine_torque)",  &
              ")",  &
              ",",  &
              "(",  &
              "  AKISPL(MAX(0,DIF(._baja_powertrain_direct.engine_omega)/._baja_powertrain_direct.ucf_angle_to_radians),",  &
              "    MAX(0,MIN(1,VARVAL(._baja_powertrain_direct.throttle_position_ems))),._baja_powertrain_direct.gss_engine_torque)",  &
              ")",  &
              ",",  &
              "(",  &
              "  AKISPL((AKISPL(MIN(MAX(0,VARVAL(._baja_powertrain_direct.cis_transmission_demand_adams_id)),",  &
              "   (._baja_powertrain_direct.pvs_max_gears)),0,._baja_powertrain_direct.gear_ratio_spline)*(._baja_powertrain_direct.pvs_final_drive)*",  &
              "   (VARVAL(._baja_powertrain_direct.cis_rear_axle_omega_adams_id))/",  &
              "   ._baja_powertrain_direct.ucf_angle_to_radians),",  &
              "   MAX(0,MIN(1,DIF(._baja_powertrain_direct.cis_sse_diff1_adams_id)/100.0)),._baja_powertrain_direct.gss_engine_torque)",  &
              ")",  &
              ")",  &
              ")"
!
data_element modify variable  &
   variable_name = ._baja_powertrain_direct.throttle_position_ems  &
   function = "DIF(._baja_powertrain_direct.throttle_lag)",  &
              "+(if(MAX(0,DIF(._baja_powertrain_direct.engine_omega)*._baja_powertrain_direct.ucf_radian_per_second_to_RPM)-(._baja_powertrain_direct.pvs_engine_idle_speed):0.005*",  &
              "((._baja_powertrain_direct.pvs_engine_idle_speed)- MAX(0,DIF(._baja_powertrain_direct.engine_omega)*._baja_powertrain_direct.ucf_radian_per_second_to_RPM)), 0, 0)*",  &
              "VARVAL(._baja_powertrain_direct.cis_clutch_demand_adams_id))"
!
data_element modify variable  &
   variable_name = ._baja_powertrain_direct.clutch_torque  &
   function = "IF(VARVAL(._baja_powertrain_direct.analysis_type):",  &
              "(",  &
              "    MAX(0,DIF(._baja_powertrain_direct.cis_sse_diff1_adams_id))/(._baja_powertrain_direct.pvs_final_drive)",  &
              "    /AKISPL(MAX(1,MIN(VARVAL(._baja_powertrain_direct.cis_transmission_demand_adams_id),(._baja_powertrain_direct.pvs_max_gears))),0,",  &
              "    ._baja_powertrain_direct.gear_ratio_spline)",  &
              ")",  &
              ",",  &
              "(",  &
              "    MAX(0,DIF(._baja_powertrain_direct.cis_sse_diff1_adams_id))/(._baja_powertrain_direct.pvs_final_drive)",  &
              "    /AKISPL(MAX(1,MIN(VARVAL(._baja_powertrain_direct.cis_transmission_demand_adams_id),(._baja_powertrain_direct.pvs_max_gears))),0,",  &
              "    ._baja_powertrain_direct.gear_ratio_spline)",  &
              ")",  &
              ",",  &
              "IF( VARVAL(._baja_powertrain_direct.cis_transmission_demand_adams_id):1,0,1)",  &
              "    *STEP(VARVAL(._baja_powertrain_direct.cis_clutch_demand_adams_id),",  &
              "          ._baja_powertrain_direct.pvs_clutch_close, 1.0,",  &
              "          ._baja_powertrain_direct.pvs_clutch_open, 0.0)",  &
              "    *MAX( -(._baja_powertrain_direct.pvs_clutch_capacity), ",  &
              "          MIN(._baja_powertrain_direct.pvs_clutch_capacity,",  &
              "              (._baja_powertrain_direct.pvs_clutch_stiffness*DIF(._baja_powertrain_direct.clutch_slip)",  &
              "              +._baja_powertrain_direct.pvs_clutch_damping*DIF1(._baja_powertrain_direct.clutch_slip))))",  &
              ")"
!
data_element modify variable  &
   variable_name = ._baja_powertrain_direct.total_axle_torque  &
   function = "IF( VARVAL(._baja_powertrain_direct.analysis_type):",  &
              "MAX(0.0,DIF(._baja_powertrain_direct.cis_sse_diff1_adams_id))",  &
              ",",  &
              "MAX(0.0,DIF(._baja_powertrain_direct.cis_sse_diff1_adams_id))",  &
              ",",  &
              " AKISPL(MIN(MAX(0,VARVAL(._baja_powertrain_direct.cis_transmission_demand_adams_id)),(._baja_powertrain_direct.pvs_max_gears)),0,",  &
              " ._baja_powertrain_direct.gear_ratio_spline)*(._baja_powertrain_direct.pvs_final_drive)*VARVAL(._baja_powertrain_direct.clutch_torque)",  &
              ")"
!
data_element modify variable  &
   variable_name = ._baja_powertrain_direct.transmission_input_omega  &
   function = "(AKISPL(MIN(MAX(0,VARVAL(._baja_powertrain_direct.cis_transmission_demand_adams_id)),(._baja_powertrain_direct.pvs_max_gears)),0,",  &
              "._baja_powertrain_direct.gear_ratio_spline)*(._baja_powertrain_direct.pvs_final_drive)*",  &
              "varval(._baja_powertrain_direct.cis_rear_axle_omega_adams_id))"
!
data_element modify variable  &
   variable_name = ._baja_powertrain_direct.engine_speed  &
   function = "MAX(0,DIF(._baja_powertrain_direct.engine_omega))"
!
data_element modify variable  &
   variable_name = ._baja_powertrain_direct.engine_rpm  &
   function = "(._baja_powertrain_direct.ucf_radian_per_second_to_RPM)*MAX(0,DIF(._baja_powertrain_direct.engine_omega))"
!
data_element modify variable  &
   variable_name = ._baja_powertrain_direct.clutch_displacement_ic  &
   function = "VARVAL(._baja_powertrain_direct.engine_torque)/(._baja_powertrain_direct.pvs_clutch_stiffness)"
!
data_element modify variable  &
   variable_name = ._baja_powertrain_direct.max_driving_torque  &
   function = "AKISPL(MAX(0,VARVAL(._baja_powertrain_direct.engine_speed)/._baja_powertrain_direct.ucf_angle_to_radians),1,._baja_powertrain_direct.gss_engine_torque)"
!
data_element modify variable  &
   variable_name = ._baja_powertrain_direct.max_braking_torque  &
   function = "AKISPL(MAX(0,VARVAL(._baja_powertrain_direct.engine_speed)/._baja_powertrain_direct.ucf_angle_to_radians),0,._baja_powertrain_direct.gss_engine_torque)"
!
part modify equation differential_equation  &
   differential_equation_name = ._baja_powertrain_direct._cv_diff  &
   function = "0"
!
part modify equation differential_equation  &
   differential_equation_name = ._baja_powertrain_direct.engine_omega  &
   function = "IF(MODE-5:",  &
              "(  VARVAL(._baja_powertrain_direct.engine_torque)",  &
              "   - VARVAL(._baja_powertrain_direct.clutch_torque)",  &
              "   )/(._baja_powertrain_direct.pvs_engine_inertia/._baja_powertrain_direct.ucf_gc)",  &
              ",",  &
              "(  VARVAL(._baja_powertrain_direct.transmission_input_omega) ",  &
              "   - DIF( ._baja_powertrain_direct.engine_omega) )",  &
              ",",  &
              "(  VARVAL(._baja_powertrain_direct.transmission_input_omega) ",  &
              "   - DIF( ._baja_powertrain_direct.engine_omega) )",  &
              ")"
!
part modify equation differential_equation  &
   differential_equation_name = ._baja_powertrain_direct.clutch_slip  &
   function = "IF(VARVAL(._baja_powertrain_direct.analysis_type):",  &
              "  (0.0)",  &
              ",",  &
              "  (0.0)",  &
              ",",  &
              "  (",  &
              "  IF(MODE-5:",  &
              "    ( STEP(VARVAL(._baja_powertrain_direct.cis_clutch_demand_adams_id),._baja_powertrain_direct.pvs_clutch_close, ",  &
              "      1.0,._baja_powertrain_direct.pvs_clutch_open, 0.0)",  &
              "     *(DIF(._baja_powertrain_direct.engine_omega)-VARVAL(._baja_powertrain_direct.transmission_input_omega))",  &
              "     -STEP( VARVAL(._baja_powertrain_direct.cis_clutch_demand_adams_id),",  &
              "        ._baja_powertrain_direct.pvs_clutch_close, 0.0,._baja_powertrain_direct.pvs_clutch_open, 1.0)",  &
              "     *DIF(._baja_powertrain_direct.clutch_slip)/(._baja_powertrain_direct.pvs_clutch_tau)",  &
              "    )",  &
              ",",  &
              "    (VARVAL(._baja_powertrain_direct.engine_torque) - VARVAL(._baja_powertrain_direct.clutch_torque))",  &
              ",",  &
              "    (VARVAL(._baja_powertrain_direct.engine_torque) - VARVAL(._baja_powertrain_direct.clutch_torque))",  &
              "    )",  &
              "  )",  &
              ")"
!
part modify equation differential_equation  &
   differential_equation_name = ._baja_powertrain_direct.throttle_lag  &
   function = "(MAX(0,MIN(1,VARVAL(._baja_powertrain_direct.cis_throttle_demand_adams_id)/100))-DIF(._baja_powertrain_direct.throttle_lag))/._baja_powertrain_direct.pvs_throttle_lag_tau"
!
output_control modify request  &
   request_name = ._baja_powertrain_direct.engine  &
   f2 = "MAX(0,DIF(._baja_powertrain_direct.engine_omega))"  &
   f3 = "MAX(0,DIF(._baja_powertrain_direct.engine_omega))*(._baja_powertrain_direct.ucf_radian_per_second_to_RPM)"  &
   f4 = "VARVAL(._baja_powertrain_direct.engine_torque)"  &
   f6 = "VARVAL(._baja_powertrain_direct.engine_torque)*MAX(0,DIF(._baja_powertrain_direct.engine_omega))*(._baja_powertrain_direct.ucf_watt_to_hp)"  &
   f7 = "VARVAL(._baja_powertrain_direct.engine_torque)*MAX(0,DIF(._baja_powertrain_direct.engine_omega))*(._baja_powertrain_direct.ucf_watt_to_PS)"  &
   f8 = "VARVAL(._baja_powertrain_direct.throttle_position_ems)*100"
!
output_control modify request  &
   request_name = ._baja_powertrain_direct.clutch  &
   f2 = "DIF(._baja_powertrain_direct.clutch_slip)"  &
   f3 = "DIF1(._baja_powertrain_direct.clutch_slip)"  &
   f4 = "DIF1(._baja_powertrain_direct.clutch_slip)*(._baja_powertrain_direct.ucf_radian_per_second_to_RPM)"  &
   f6 = "VARVAL(._baja_powertrain_direct.clutch_torque)"  &
   f7 = "DIF1(._baja_powertrain_direct.clutch_slip)*VARVAL(._baja_powertrain_direct.clutch_torque)*(._baja_powertrain_direct.ucf_watt_to_PS)"  &
   f8 = "DIF1(._baja_powertrain_direct.clutch_slip)*VARVAL(._baja_powertrain_direct.clutch_torque)*(._baja_powertrain_direct.ucf_watt_to_hp)"
!
!-------------------------- Adams/View UDE Instance ---------------------------!
!
!
ude modify instance  &
   instance_name = ._baja_powertrain_direct.bkr_front_engine_mount
!
!-------------------------- Adams/View UDE Instance ---------------------------!
!
!
ude modify instance  &
   instance_name = ._baja_powertrain_direct.bkl_rear_engine_mount
!
!-------------------------- Adams/View UDE Instance ---------------------------!
!
!
ude modify instance  &
   instance_name = ._baja_powertrain_direct.bkr_rear_engine_mount
!
!-------------------------- Adams/View UDE Instance ---------------------------!
!
!
ude modify instance  &
   instance_name = ._baja_powertrain_direct.bkl_front_engine_mount
!
!-------------------------- Adams/View UDE Instance ---------------------------!
!
!
ude modify instance  &
   instance_name = ._baja_powertrain_direct.pts_drive_torque_reaction
!
!--------------------------- Expression definitions ---------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ground
!
marker modify  &
   marker_name = ._baja_powertrain_direct.ground.cfs_powertrain_lt_to_body  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}mm, ._baja_powertrain_direct.ground.hps_powertrain_to_body_rigid_mount))  &
   orientation =   &
      (ORI_RELATIVE_TO({0.0, 0.0, 0.0}degrees, ._baja_powertrain_direct.ground.origo))
!
marker modify  &
   marker_name = ._baja_powertrain_direct.ground.mts_mount_j_2  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._baja_powertrain_direct.mts_powertrain_lt_to_body))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._baja_powertrain_direct.mts_powertrain_lt_to_body))
!
marker modify  &
   marker_name = ._baja_powertrain_direct.ground.mts_mount_j_3  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._baja_powertrain_direct.mts_engine_to_subframe))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._baja_powertrain_direct.mts_engine_to_subframe))
!
marker modify  &
   marker_name = ._baja_powertrain_direct.ground.cfs_diff_output_orient  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}mm, ._baja_powertrain_direct.ground.hps_torque_reaction_location))  &
   orientation =   &
      (ORI_RELATIVE_TO({0.0, 90.0, 0.0}degrees, ._baja_powertrain_direct.ground.origo))
!
data_element modify variable  &
   variable_name = ._baja_powertrain_direct.transmission_input_omega  &
   initial_condition = (._baja_powertrain_direct.cis_initial_engine_rpm / ._baja_powertrain_direct.ucf_radian_per_second_to_RPM)
!
data_element modify variable  &
   variable_name = ._baja_powertrain_direct.engine_speed  &
   initial_condition = (._baja_powertrain_direct.cis_initial_engine_rpm / ._baja_powertrain_direct.ucf_radian_per_second_to_RPM)
!
data_element modify spline  &
   spline_name = ._baja_powertrain_direct.gear_ratio_spline  &
   y =   &
      0.0,  &
      (._baja_powertrain_direct.pvs_gear_1),  &
      (._baja_powertrain_direct.pvs_gear_2),  &
      (._baja_powertrain_direct.pvs_gear_3),  &
      (._baja_powertrain_direct.pvs_gear_4),  &
      (._baja_powertrain_direct.pvs_gear_5),  &
      (._baja_powertrain_direct.pvs_gear_6)
!
data_element modify string  &
   string_name = ._baja_powertrain_direct.minor_role_string  &
   string = (._baja_powertrain_direct.minor_role)
!
marker modify  &
   marker_name = ._baja_powertrain_direct.ges_powertrain.inertia_frame  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._baja_powertrain_direct.ges_powertrain.cm))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._baja_powertrain_direct.ges_powertrain))  &
   relative_to = ._baja_powertrain_direct.ges_powertrain
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_powertrain_direct.ground
!
marker modify  &
   marker_name = ._baja_powertrain_direct.ges_powertrain.bxl_bushing_i_9  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._baja_powertrain_direct.sws_engine_mount_option.bxl_bushing_j_1))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._baja_powertrain_direct.sws_engine_mount_option.bxl_bushing_j_1))  &
   relative_to = ._baja_powertrain_direct.ges_powertrain
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_powertrain_direct.ground
!
marker modify  &
   marker_name = ._baja_powertrain_direct.ges_powertrain.bxl_bushgeom_i_9  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, -._baja_powertrain_direct.bkl_front_engine_mount.geoLength / 2}, ._baja_powertrain_direct.ges_powertrain.bxl_bushing_i_9))  &
   orientation =   &
      (ORI_RELATIVE_TO({270deg, 0, 0}, ._baja_powertrain_direct.ges_powertrain.bxl_bushing_i_9))  &
   relative_to = ._baja_powertrain_direct.ges_powertrain
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_powertrain_direct.ground
!
marker modify  &
   marker_name = ._baja_powertrain_direct.ges_powertrain.bxr_bushing_i_9  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._baja_powertrain_direct.sws_engine_mount_option.bxr_bushing_j_1))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._baja_powertrain_direct.sws_engine_mount_option.bxr_bushing_j_1))  &
   relative_to = ._baja_powertrain_direct.ges_powertrain
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_powertrain_direct.ground
!
marker modify  &
   marker_name = ._baja_powertrain_direct.ges_powertrain.bxr_bushgeom_i_9  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, -._baja_powertrain_direct.bkr_front_engine_mount.geoLength / 2}, ._baja_powertrain_direct.ges_powertrain.bxr_bushing_i_9))  &
   orientation =   &
      (ORI_RELATIVE_TO({270deg, 0, 0}, ._baja_powertrain_direct.ges_powertrain.bxr_bushing_i_9))  &
   relative_to = ._baja_powertrain_direct.ges_powertrain
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_powertrain_direct.ground
!
marker modify  &
   marker_name = ._baja_powertrain_direct.ges_powertrain.bxl_bushing_i_10  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._baja_powertrain_direct.sws_engine_mount_option.bxl_bushing_j_2))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._baja_powertrain_direct.sws_engine_mount_option.bxl_bushing_j_2))  &
   relative_to = ._baja_powertrain_direct.ges_powertrain
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_powertrain_direct.ground
!
marker modify  &
   marker_name = ._baja_powertrain_direct.ges_powertrain.bxl_bushgeom_i_10  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, -._baja_powertrain_direct.bkl_rear_engine_mount.geoLength / 2}, ._baja_powertrain_direct.ges_powertrain.bxl_bushing_i_10))  &
   orientation =   &
      (ORI_RELATIVE_TO({270deg, 0, 0}, ._baja_powertrain_direct.ges_powertrain.bxl_bushing_i_10))  &
   relative_to = ._baja_powertrain_direct.ges_powertrain
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_powertrain_direct.ground
!
marker modify  &
   marker_name = ._baja_powertrain_direct.ges_powertrain.bxr_bushing_i_10  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._baja_powertrain_direct.sws_engine_mount_option.bxr_bushing_j_2))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._baja_powertrain_direct.sws_engine_mount_option.bxr_bushing_j_2))  &
   relative_to = ._baja_powertrain_direct.ges_powertrain
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_powertrain_direct.ground
!
marker modify  &
   marker_name = ._baja_powertrain_direct.ges_powertrain.bxr_bushgeom_i_10  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, -._baja_powertrain_direct.bkr_rear_engine_mount.geoLength / 2}, ._baja_powertrain_direct.ges_powertrain.bxr_bushing_i_10))  &
   orientation =   &
      (ORI_RELATIVE_TO({270deg, 0, 0}, ._baja_powertrain_direct.ges_powertrain.bxr_bushing_i_10))  &
   relative_to = ._baja_powertrain_direct.ges_powertrain
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_powertrain_direct.ground
!
marker modify  &
   marker_name = ._baja_powertrain_direct.ges_powertrain.jxs_joint_i_9  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._baja_powertrain_direct.sws_engine_mount_option.jxs_joint_j_9))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._baja_powertrain_direct.sws_engine_mount_option.jxs_joint_j_9))  &
   relative_to = ._baja_powertrain_direct.ges_powertrain
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_powertrain_direct.ground
!
marker modify  &
   marker_name = ._baja_powertrain_direct.ges_powertrain.pts_actuator_j_1  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._baja_powertrain_direct.pts_drive_torque_reaction))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0d, 0}, ._baja_powertrain_direct.pts_drive_torque_reaction))  &
   relative_to = ._baja_powertrain_direct.ges_powertrain
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_powertrain_direct.ground
!
marker modify  &
   marker_name = ._baja_powertrain_direct.ges_powertrain.pts_actuator_i_1  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._baja_powertrain_direct.ges_powertrain.pts_actuator_j_1))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._baja_powertrain_direct.ges_powertrain.pts_actuator_j_1))  &
   relative_to = ._baja_powertrain_direct.ges_powertrain
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_powertrain_direct.ground
!
marker modify  &
   marker_name = ._baja_powertrain_direct.mts_powertrain_lt_to_body.sws_switch_j_2  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._baja_powertrain_direct.sws_engine_mount_option))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._baja_powertrain_direct.sws_engine_mount_option))  &
   relative_to = ._baja_powertrain_direct.mts_powertrain_lt_to_body
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_powertrain_direct.ground
!
part modify rigid_body name_and_position  &
   part_name = ._baja_powertrain_direct.mts_powertrain_lt_to_body  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._baja_powertrain_direct.ground.cfs_powertrain_lt_to_body))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._baja_powertrain_direct.ground.origo))
!
marker modify  &
   marker_name = ._baja_powertrain_direct.mts_engine_to_subframe.sws_switch_j_1  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._baja_powertrain_direct.sws_engine_mount_option))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._baja_powertrain_direct.sws_engine_mount_option))  &
   relative_to = ._baja_powertrain_direct.mts_engine_to_subframe
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_powertrain_direct.ground
!
part modify rigid_body name_and_position  &
   part_name = ._baja_powertrain_direct.mts_engine_to_subframe  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._baja_powertrain_direct.ground.cfs_powertrain_lt_to_body))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._baja_powertrain_direct.ground.origo))
!
marker modify  &
   marker_name = ._baja_powertrain_direct.sws_engine_mount_option.bxl_bushing_j_1  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._baja_powertrain_direct.bkl_front_engine_mount))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._baja_powertrain_direct.bkl_front_engine_mount))  &
   relative_to = ._baja_powertrain_direct.sws_engine_mount_option
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_powertrain_direct.ground
!
marker modify  &
   marker_name = ._baja_powertrain_direct.sws_engine_mount_option.bxl_bushgeom_j_1  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, -._baja_powertrain_direct.bkl_front_engine_mount.geoLength / 2}, ._baja_powertrain_direct.sws_engine_mount_option.bxl_bushing_j_1))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._baja_powertrain_direct.sws_engine_mount_option.bxl_bushing_j_1))  &
   relative_to = ._baja_powertrain_direct.sws_engine_mount_option
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_powertrain_direct.ground
!
marker modify  &
   marker_name = ._baja_powertrain_direct.sws_engine_mount_option.bxr_bushing_j_1  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._baja_powertrain_direct.bkr_front_engine_mount))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._baja_powertrain_direct.bkr_front_engine_mount))  &
   relative_to = ._baja_powertrain_direct.sws_engine_mount_option
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_powertrain_direct.ground
!
marker modify  &
   marker_name = ._baja_powertrain_direct.sws_engine_mount_option.bxr_bushgeom_j_1  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, -._baja_powertrain_direct.bkr_front_engine_mount.geoLength / 2}, ._baja_powertrain_direct.sws_engine_mount_option.bxr_bushing_j_1))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._baja_powertrain_direct.sws_engine_mount_option.bxr_bushing_j_1))  &
   relative_to = ._baja_powertrain_direct.sws_engine_mount_option
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_powertrain_direct.ground
!
marker modify  &
   marker_name = ._baja_powertrain_direct.sws_engine_mount_option.bxl_bushing_j_2  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._baja_powertrain_direct.bkl_rear_engine_mount))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._baja_powertrain_direct.bkl_rear_engine_mount))  &
   relative_to = ._baja_powertrain_direct.sws_engine_mount_option
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_powertrain_direct.ground
!
marker modify  &
   marker_name = ._baja_powertrain_direct.sws_engine_mount_option.bxl_bushgeom_j_2  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, -._baja_powertrain_direct.bkl_rear_engine_mount.geoLength / 2}, ._baja_powertrain_direct.sws_engine_mount_option.bxl_bushing_j_2))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._baja_powertrain_direct.sws_engine_mount_option.bxl_bushing_j_2))  &
   relative_to = ._baja_powertrain_direct.sws_engine_mount_option
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_powertrain_direct.ground
!
marker modify  &
   marker_name = ._baja_powertrain_direct.sws_engine_mount_option.bxr_bushing_j_2  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._baja_powertrain_direct.bkr_rear_engine_mount))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._baja_powertrain_direct.bkr_rear_engine_mount))  &
   relative_to = ._baja_powertrain_direct.sws_engine_mount_option
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_powertrain_direct.ground
!
marker modify  &
   marker_name = ._baja_powertrain_direct.sws_engine_mount_option.bxr_bushgeom_j_2  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, -._baja_powertrain_direct.bkr_rear_engine_mount.geoLength / 2}, ._baja_powertrain_direct.sws_engine_mount_option.bxr_bushing_j_2))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._baja_powertrain_direct.sws_engine_mount_option.bxr_bushing_j_2))  &
   relative_to = ._baja_powertrain_direct.sws_engine_mount_option
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_powertrain_direct.ground
!
marker modify  &
   marker_name = ._baja_powertrain_direct.sws_engine_mount_option.jxs_joint_j_9  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}mm, ._baja_powertrain_direct.ground.cfs_powertrain_lt_to_body))  &
   orientation =   &
      (ORI_RELATIVE_TO({0.0, 0.0, 0.0}degrees, ._baja_powertrain_direct.ground.origo))  &
   relative_to = ._baja_powertrain_direct.sws_engine_mount_option
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_powertrain_direct.ground
!
part modify rigid_body name_and_position  &
   part_name = ._baja_powertrain_direct.sws_engine_mount_option  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._baja_powertrain_direct.ground.cfs_powertrain_lt_to_body))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._baja_powertrain_direct.ground.origo))
!
part modify equation differential_equation  &
   differential_equation_name = ._baja_powertrain_direct.engine_omega  &
   initial_condition = (._baja_powertrain_direct.cis_initial_engine_rpm / ._baja_powertrain_direct.ucf_radian_per_second_to_RPM)
!
constraint modify joint fixed  &
   joint_name = ._baja_powertrain_direct.sws_fixed_1  &
   j_marker_name = (._baja_powertrain_direct.sws_engine_mount_option.j_marker_list[._baja_powertrain_direct.sws_engine_mount_option.index])
!
ude modify instance  &
   instance_name = ._baja_powertrain_direct.bkr_front_engine_mount  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}mm, ._baja_powertrain_direct.ground.hpr_front_engine_mount))  &
   orientation =   &
      (ORI_RELATIVE_TO({0.0, 0.0, 0.0}degrees, ._baja_powertrain_direct.ground.origo))
!
ude modify instance  &
   instance_name = ._baja_powertrain_direct.bkl_rear_engine_mount  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}mm, ._baja_powertrain_direct.ground.hpl_rear_engine_mount))  &
   orientation =   &
      (ORI_RELATIVE_TO({0.0, 0.0, 0.0}degrees, ._baja_powertrain_direct.ground.origo))
!
ude modify instance  &
   instance_name = ._baja_powertrain_direct.bkr_rear_engine_mount  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}mm, ._baja_powertrain_direct.ground.hpr_rear_engine_mount))  &
   orientation =   &
      (ORI_RELATIVE_TO({0.0, 0.0, 0.0}degrees, ._baja_powertrain_direct.ground.origo))
!
ude modify instance  &
   instance_name = ._baja_powertrain_direct.bkl_front_engine_mount  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}mm, ._baja_powertrain_direct.ground.hpl_front_engine_mount))  &
   orientation =   &
      (ORI_RELATIVE_TO({0.0, 0.0, 0.0}degrees, ._baja_powertrain_direct.ground.origo))
!
variable modify  &
   variable_name = ._baja_powertrain_direct.cis_throttle_demand_adams_id  &
   integer_value = (._baja_powertrain_direct.cis_throttle_demand.object_value.adams_id)
!
variable modify  &
   variable_name = ._baja_powertrain_direct.cis_transmission_demand_adams_id  &
   integer_value = (._baja_powertrain_direct.cis_transmission_demand.object_value.adams_id)
!
variable modify  &
   variable_name = ._baja_powertrain_direct.cis_clutch_demand_adams_id  &
   integer_value = (._baja_powertrain_direct.cis_clutch_demand.object_value.adams_id)
!
variable modify  &
   variable_name = ._baja_powertrain_direct.gear_selection  &
   real_value =   &
      0.0,  &
      (._baja_powertrain_direct.pvs_gear_1),  &
      (._baja_powertrain_direct.pvs_gear_2),  &
      (._baja_powertrain_direct.pvs_gear_3),  &
      (._baja_powertrain_direct.pvs_gear_4),  &
      (._baja_powertrain_direct.pvs_gear_5),  &
      (._baja_powertrain_direct.pvs_gear_6)
!
variable modify  &
   variable_name = ._baja_powertrain_direct.torque_to_Nmm  &
   real_value = (1(Newton-mm))
!
variable modify  &
   variable_name = ._baja_powertrain_direct.cis_powertrain_lt_to_body.minor_role  &
   string_value = (._baja_powertrain_direct.mts_powertrain_lt_to_body.minor_role)
!
variable modify  &
   variable_name = ._baja_powertrain_direct.cis_powertrain_lt_to_body  &
   comments = ("Autocreated for mount part: " // ._baja_powertrain_direct.cis_powertrain_lt_to_body[2].name)
!
variable modify  &
   variable_name = ._baja_powertrain_direct.cis_engine_to_subframe.minor_role  &
   string_value = (._baja_powertrain_direct.mts_engine_to_subframe.minor_role)
!
variable modify  &
   variable_name = ._baja_powertrain_direct.cis_engine_to_subframe  &
   comments = ("Autocreated for mount part: " // ._baja_powertrain_direct.cis_engine_to_subframe[2].name)
!
variable modify  &
   variable_name = ._baja_powertrain_direct.cil_tire_force_adams_id  &
   integer_value = (._baja_powertrain_direct.cil_tire_force.object_value.adams_id)
!
variable modify  &
   variable_name = ._baja_powertrain_direct.cir_tire_force_adams_id  &
   integer_value = (._baja_powertrain_direct.cir_tire_force.object_value.adams_id)
!
variable modify  &
   variable_name = ._baja_powertrain_direct.cis_sse_diff1_adams_id  &
   integer_value = (._baja_powertrain_direct.cis_sse_diff1.object_value.adams_id)
!
variable modify  &
   variable_name = ._baja_powertrain_direct.ucf_angle_to_radians  &
   real_value = (CONVERT_TO_RADIANS(._baja_powertrain_direct.ucf_unary_angle))
!
variable modify  &
   variable_name = ._baja_powertrain_direct.ucf_gc  &
   real_value = (1(m) * 1(kg) / 1(N) / 1(s) / 1(s))
!
variable modify  &
   variable_name = ._baja_powertrain_direct.ucf_watt_to_hp  &
   real_value = (1.34102E-003 / (1(N) * 1(m) / 1(s)))
!
variable modify  &
   variable_name = ._baja_powertrain_direct.ucf_watt_to_PS  &
   real_value = (1.35962E-003 / (1(N) * 1(m) / 1(s)))
!
variable modify  &
   variable_name = ._baja_powertrain_direct.ucf_radian_per_second_to_RPM  &
   real_value = (60.0(s) / (2.0 * PI))
!
group modify  &
   group_name = ._baja_powertrain_direct.kinematic_mode_active  &
   expr_active = ((._baja_powertrain_direct.phs_kinematic_flag || ._baja_powertrain_direct.model_class == "template" ? 1 : 0) && DB_ACTIVE(._baja_powertrain_direct))
!
group modify  &
   group_name = ._baja_powertrain_direct.kinematic_mode_inactive  &
   expr_active = (( ! ._baja_powertrain_direct.phs_kinematic_flag || ._baja_powertrain_direct.model_class == "template" ? 1 : 0) && DB_ACTIVE(._baja_powertrain_direct))
!
variable modify  &
   variable_name = ._baja_powertrain_direct.cis_rear_axle_omega_adams_id  &
   integer_value = (._baja_powertrain_direct.cis_rear_axle_omega.object_value.adams_id)
!
ude modify instance  &
   instance_name = ._baja_powertrain_direct.pts_drive_torque_reaction  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}mm, ._baja_powertrain_direct.ground.hps_torque_reaction_location))  &
   orientation =   &
      (ORI_RELATIVE_TO({0.0, 0.0, 0.0}degrees, ._baja_powertrain_direct.ground.cfs_diff_output_orient))
!
model display  &
   model_name = _baja_powertrain_direct
!
!-------------------------- Custom Dboxes for Template ------------------------!
!
!
if condition=(!db_exists(".ACAR.custom.dbox_pow_map"))
!
interface dialog_box create  &
   dialog_box_name = .ACAR.custom.dbox_pow_map  &
   location = 33.0, 154.0  &
   height = 71.0  &
   width = 400.0  &
   units = pixel  &
   horiz_resizing = scale_all  &
   vert_resizing = scale_all  &
   title = "Engine Speed-Torque Map"  &
   iconifiable = no  &
   start_commands = "variable set variable_name=$_self.defaultModel &",  &
                    " object_value=(eval(db_default(.system_defaults, \"model\")))",  &
                    "if condition=(db_exists($_self.defaultModel//\".gss_engine_torque\"))",  &
                    "   interface field set &",  &
                    "    field_name=$_self.f_prop_file &",  &
                    "    string=(eval($_self.defaultModel[1].gss_engine_torque.property_file.string_value[1]))",  &
                    "else",  &
                    "   acar toolkit warning &",  &
                    "    warning=\"The default model does not contain an engine torque map!\"",  &
                    "   interface dialog_box undisplay dialog_box_name=$_self",  &
                    "end"  &
   finish_commands = "variable delete variable_name=(eval(db_children($_self,\"variable\")))"  &
   execution_commands = "acar template_builder general_spline modify &",  &
                        " general_spline=(eval($_self.defaultModel[1].gss_engine_torque)) &",  &
                        " property_file_name=$f_prop_file &",  &
                        " datablock_name=\"ENGINE\""  &
   decorate = yes  &
   resizable = yes  &
   height_minimum = 71.0  &
   height_maximum = 71.0  &
   grab_all_input = no
!
interface push_button create  &
   push_button_name = .ACAR.custom.dbox_pow_map.Ok  &
   location = 164.0, 42.0  &
   height = 25.0  &
   width = 76.0  &
   units = pixel  &
   horiz_resizing = attach_right  &
   vert_resizing = attach_bottom  &
   label = "OK"  &
   commands = "interface dialog execute dialog=$_parent undisp=yes"
!
interface push_button create  &
   push_button_name = .ACAR.custom.dbox_pow_map.Apply  &
   location = 242.0, 42.0  &
   height = 25.0  &
   width = 76.0  &
   units = pixel  &
   horiz_resizing = attach_right  &
   vert_resizing = attach_bottom  &
   label = "Apply"  &
   commands = "interface dialog execute dialog=$_parent undisp=no"
!
interface push_button create  &
   push_button_name = .ACAR.custom.dbox_pow_map.Cancel  &
   location = 320.0, 42.0  &
   height = 25.0  &
   width = 76.0  &
   units = pixel  &
   horiz_resizing = attach_right  &
   vert_resizing = attach_bottom  &
   label = "Cancel"  &
   commands = "interface dialog undisplay dialog=$_parent"
!
interface label create  &
   label_name = .ACAR.custom.dbox_pow_map.l_prop_file  &
   location = 4.0, 4.0  &
   height = 25.0  &
   width = 96.0  &
   units = pixel  &
   horiz_resizing = attach_left  &
   vert_resizing = attach_top  &
   justified = left  &
   text = "Property File"
!
interface field create  &
   field_name = .ACAR.custom.dbox_pow_map.f_prop_file  &
   location = 100.0, 4.0  &
   height = 25.0  &
   width = 310.0  &
   units = pixel  &
   horiz_resizing = expand  &
   vert_resizing = attach_top  &
   scrollable = no  &
   editable = yes  &
   required = yes  &
   execute_cmds_on_exit = no  &
   number_of_values = 1  &
   file_type = any_file  &
   filter = "*.pwr"  &
   alert_on_overwrite = no
!
interface push_button create  &
   push_button_name = .ACAR.custom.dbox_pow_map.b_view_file  &
   help_text = "View property file in info window"  &
   location = 4.0, 31.0  &
   height = 36.0  &
   width = 36.0  &
   units = pixel  &
   horiz_resizing = attach_left  &
   vert_resizing = attach_bottom  &
   icon_file = "acar_view_file"  &
   commands = "if condition=($f_prop_file == \"\")",  &
              "   acar toolkit warning &",  &
              "    warning=\"You must specify a property file!\"",  &
              "   return",  &
              "end",  &
              "info empty",  &
              "info read file=$f_prop_file"
end
!
if condition=(!db_exists(".ACAR.custom.dbox_pow_dif"))
!
interface dialog_box create  &
   dialog_box_name = .ACAR.custom.dbox_pow_dif  &
   location = 33.0, 154.0  &
   height = 71.0  &
   width = 400.0  &
   units = pixel  &
   horiz_resizing = scale_all  &
   vert_resizing = scale_all  &
   title = "Powertrain Differential"  &
   iconifiable = no  &
   start_commands = "variable set variable_name=$_self.defaultModel &",  &
                    " object_value=(eval(db_default(.system_defaults, \"model\")))",  &
                    "if condition=(db_exists($_self.defaultModel//\".gss_differential\"))",  &
                    "   interface field set &",  &
                    "    field_name=$_self.f_prop_file &",  &
                    "    string=(eval($_self.defaultModel[1].gss_differential.property_file.string_value[1]))",  &
                    "else",  &
                    "   acar toolkit warning &",  &
                    "    warning=\"The default model does not contain a differential spline!\"",  &
                    "   interface dialog_box undisplay dialog_box_name=$_self",  &
                    "end"  &
   finish_commands = "variable delete variable_name=(eval(db_children($_self,\"variable\")))"  &
   execution_commands = "acar template_builder general_spline modify &",  &
                        " general_spline=(eval($_self.defaultModel[1].gss_differential)) &",  &
                        " property_file_name=$f_prop_file &",  &
                        " datablock_name=\"DIFFERENTIAL\" &",  &
                        " xy_subblock_name=\"XY_DATA\""  &
   decorate = yes  &
   resizable = yes  &
   height_minimum = 71.0  &
   height_maximum = 71.0  &
   grab_all_input = no
!
interface push_button create  &
   push_button_name = .ACAR.custom.dbox_pow_dif.Ok  &
   location = 164.0, 42.0  &
   height = 25.0  &
   width = 76.0  &
   units = pixel  &
   horiz_resizing = attach_right  &
   vert_resizing = attach_bottom  &
   label = "OK"  &
   commands = "interface dialog execute dialog=$_parent undisp=yes"
!
interface push_button create  &
   push_button_name = .ACAR.custom.dbox_pow_dif.Apply  &
   location = 242.0, 42.0  &
   height = 25.0  &
   width = 76.0  &
   units = pixel  &
   horiz_resizing = attach_right  &
   vert_resizing = attach_bottom  &
   label = "Apply"  &
   commands = "interface dialog execute dialog=$_parent undisp=no"
!
interface push_button create  &
   push_button_name = .ACAR.custom.dbox_pow_dif.Cancel  &
   location = 320.0, 42.0  &
   height = 25.0  &
   width = 76.0  &
   units = pixel  &
   horiz_resizing = attach_right  &
   vert_resizing = attach_bottom  &
   label = "Cancel"  &
   commands = "interface dialog undisplay dialog=$_parent"
!
interface label create  &
   label_name = .ACAR.custom.dbox_pow_dif.l_prop_file  &
   location = 4.0, 4.0  &
   height = 25.0  &
   width = 146.0  &
   units = pixel  &
   horiz_resizing = attach_left  &
   vert_resizing = attach_top  &
   justified = left  &
   text = "Differential property file"
!
interface field create  &
   field_name = .ACAR.custom.dbox_pow_dif.f_prop_file  &
   location = 153.0, 4.0  &
   height = 25.0  &
   width = 243.0  &
   units = pixel  &
   horiz_resizing = expand  &
   vert_resizing = attach_top  &
   scrollable = no  &
   editable = yes  &
   required = yes  &
   execute_cmds_on_exit = no  &
   number_of_values = 1  &
   file_type = any_file  &
   filter = "*.dif"  &
   alert_on_overwrite = no
!
interface push_button create  &
   push_button_name = .ACAR.custom.dbox_pow_dif.b_view_file  &
   help_text = "View property file in info window"  &
   location = 4.0, 31.0  &
   height = 36.0  &
   width = 36.0  &
   units = pixel  &
   horiz_resizing = attach_left  &
   vert_resizing = attach_bottom  &
   icon_file = "acar_view_file"  &
   commands = "if condition=($f_prop_file == \"\")",  &
              "   acar toolkit warning &",  &
              "    warning=\"You must specify a property file!\"",  &
              "   return",  &
              "end",  &
              "info empty",  &
              "info read file=$f_prop_file"
end
