$---------------------------------------------------------------------MDI_HEADER
[MDI_HEADER]
 FILE_TYPE     =  'tpl'
 FILE_VERSION  =  13.9
 FILE_FORMAT   =  'ASCII'
 HEADER_SIZE   =  9
(COMMENTS)
{comment_string}
'Simple Rack and Pinion Steering System'
$----------------------------------------------------------------TEMPLATE_HEADER
[TEMPLATE_HEADER]
 TEMPLATE_NAME  =  '_baja_steering'
 MAJOR_ROLE     =  'steering'
 TIMESTAMP      =  '2006/03/08,11:25:07'
 HEADER_SIZE    =  6
!
!-------------------------- Default Units for Model ---------------------------!
!
!
defaults units  &
   length = mm  &
   angle = deg  &
   force = newton  &
   mass = kg  &
   time = sec
!
defaults units  &
   coordinate_system_type = cartesian  &
   orientation_type = body313
!
!------------------------ Default Attributes for Model ------------------------!
!
!
defaults attributes  &
   inheritance = bottom_up  &
   icon_visibility = off  &
   grid_visibility = off  &
   size_of_icons = 50.0  &
   spacing_for_grid = 50.0
!
!--------------------------- Plugins used by Model ----------------------------!
!
!
plugin load  &
   plugin_name = .MDI.plugins.acar
!
!------------------------------ Adams/View Model ------------------------------!
!
!
model create  &
   model_name = _baja_steering  &
   comments = "Simple Rack and Pinion Steering System"  &
   title = "ADAMS/Car template"
!
view erase
!
!-------------------------------- Data storage --------------------------------!
!
!
data_element create variable  &
   variable_name = ._baja_steering._cv_solver_variable  &
   comments = "Dummy for communicators"  &
   function = ""
!
data_element attributes  &
   data_element_name = ._baja_steering._cv_solver_variable  &
   visibility = off
!
data_element create array ic_array  &
   array_name = ._baja_steering._cv_array  &
   comments = "Dummy for communicators"  &
   size = 1  &
   numbers = 0.0
!
data_element attributes  &
   data_element_name = ._baja_steering._cv_array  &
   visibility = off
!
data_element create spline  &
   spline_name = ._baja_steering._cv_spline  &
   comments = "Dummy for communicators"  &
   x = 1.0, 2.0, 3.0, 4.0  &
   y = 1.0, 2.0, 3.0, 4.0, 1.0, 2.0, 3.0, 4.0  &
   z = 1.0, 2.0  &
   linear_extrapolate = no
!
data_element attributes  &
   data_element_name = ._baja_steering._cv_spline  &
   visibility = off
!
data_element create spline  &
   spline_name = ._baja_steering.gss_steering_assist  &
   comments = "Example of a steering assist spline"  &
   x = 1.0, 2.0, 3.0, 4.0, 5.0  &
   y = 1.0, 2.0, 3.0, 4.0, 5.0  &
   linear_extrapolate = no
!
data_element attributes  &
   data_element_name = ._baja_steering.gss_steering_assist  &
   visibility = off
!
data_element create string  &
   string_name = ._baja_steering.minor_role_string  &
   string = "unassigned"
!
data_element attributes  &
   data_element_name = ._baja_steering.minor_role_string  &
   visibility = off
!
!-------------------------------- Rigid Parts ---------------------------------!
!
! Create parts and their dependent markers and graphics
!
!----------------------------------- ground -----------------------------------!
!
!
! ****** Ground Part ******
!
part modify rigid_body name_and_position  &
   part_name = ground
!
defaults model  &
   part_name = ground
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_steering.ground
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = ._baja_steering.ground.origo  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker create  &
   marker_name = ._baja_steering.ground.cfs_steering_wheel_center  &
   location = -482.6, 0.0, 584.2  &
   orientation = 270.0d, 135.0d, 90.0d
!
marker attributes  &
   marker_name = ._baja_steering.ground.cfs_steering_wheel_center  &
   color = MAIZE
!
marker create  &
   marker_name = ._baja_steering.ground.cfs_pinion_pivot  &
   location = -990.6, 0.0, 76.2  &
   orientation = 90.0d, 45.0d, 270.0d
!
marker attributes  &
   marker_name = ._baja_steering.ground.cfs_pinion_pivot  &
   color = MAIZE
!
marker create  &
   marker_name = ._baja_steering.ground.cfs_rack_mount  &
   location = -990.6, 0.0, 76.2  &
   orientation = 180.0d, 90.0d, 180.0d
!
marker attributes  &
   marker_name = ._baja_steering.ground.cfs_rack_mount  &
   color = MAIZE
!
marker create  &
   marker_name = ._baja_steering.ground.mts_mount_j_2  &
   location = -990.6, 0.0, 76.2  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._baja_steering.ground.mts_mount_j_2  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._baja_steering.ground.mts_mount_j_3  &
   location = -889.0, 0.0, 177.8  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._baja_steering.ground.mts_mount_j_3  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._baja_steering.ground._cv_marker  &
   comments = "Dummy for communicators"  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._baja_steering.ground._cv_marker  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._baja_steering.ground.cfs_steering_column_to_body  &
   location = -553.3106781187, 0.0, 513.4893218813  &
   orientation = 270.0d, 135.0d, 90.0d
!
marker attributes  &
   marker_name = ._baja_steering.ground.cfs_steering_column_to_body  &
   color = MAIZE
!
marker create  &
   marker_name = ._baja_steering.ground.mts_mount_j_4  &
   location = -990.6, 0.0, 76.2  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._baja_steering.ground.mts_mount_j_4  &
   visibility = off  &
   name_visibility = off
!
! ****** Points for current part ******
!
point create  &
   point_name = ._baja_steering.ground.hps_steering_wheel_center  &
   location = -482.6, 0.0, 584.2
!
point create  &
   point_name = ._baja_steering.ground.hps_intermediate_shaft_forward  &
   location = -889.0, 0.0, 177.8
!
point create  &
   point_name = ._baja_steering.ground.hps_pinion_pivot  &
   location = -990.6, 0.0, 76.2
!
point create  &
   point_name = ._baja_steering.ground.hpl_tierod_inner  &
   location = -990.6, -177.8, 76.2
!
point create  &
   point_name = ._baja_steering.ground.hpr_tierod_inner  &
   location = -990.6, 177.8, 76.2
!
point create  &
   point_name = ._baja_steering.ground.hpl_rack_house_mount  &
   location = -990.6, -127.0, 76.2
!
point create  &
   point_name = ._baja_steering.ground.hpr_rack_house_mount  &
   location = -990.6, 127.0, 76.2
!
point create  &
   point_name = ._baja_steering.ground.hps_intermediate_shaft_rearward  &
   location = -889.0, 0.0, 177.8
!
! ****** Graphics for current part ******
!
!----------------------------- ges_steering_shaft -----------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_steering.ground
!
part create rigid_body name_and_position  &
   part_name = ._baja_steering.ges_steering_shaft  &
   location = -939.8, 0.0, 127.0  &
   orientation = 90.0d, 45.0d, 270.0d
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_steering.ges_steering_shaft
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = ._baja_steering.ges_steering_shaft.gralin_1  &
   location = 0.0, 0.0, -71.8420489686  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._baja_steering.ges_steering_shaft.gralin_1  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._baja_steering.ges_steering_shaft.cm  &
   location = 0.0, 0.0, 281.8180643841  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._baja_steering.ges_steering_shaft.cm  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._baja_steering.ges_steering_shaft.josrev_steering_input_shaft_1  &
   location = 0.0, 0.0, -71.8420489686  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._baja_steering.ges_steering_shaft.josrev_steering_input_shaft_1  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._baja_steering.ges_steering_shaft.jxs_joint_i_14  &
   location = 0.0, 0.0, -71.8420489686  &
   orientation = 90.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._baja_steering.ges_steering_shaft.jxs_joint_i_14  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._baja_steering.ges_steering_shaft.bxs_bushing_i_1  &
   location = 0.0, 0.0, -71.8420489686  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._baja_steering.ges_steering_shaft.bxs_bushing_i_1  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._baja_steering.ges_steering_shaft.inertia_frame  &
   location = 0.0, 0.0, 281.8180643841  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker create  &
   marker_name = ._baja_steering.ges_steering_shaft.bxs_bushgeom_i_1  &
   location = 0.0, 0.0, -84.3420489686  &
   orientation = 270.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._baja_steering.ges_steering_shaft.bxs_bushgeom_i_1  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._baja_steering.ges_steering_shaft.gralin_4  &
   location = 0.0, 0.0, 646.578440717  &
   orientation = 180.0d, 180.0d, 0.0d
!
marker attributes  &
   marker_name = ._baja_steering.ges_steering_shaft.gralin_4  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._baja_steering.ges_steering_shaft.jxs_joint_i_13  &
   location = 0.0, 0.0, 546.578440717  &
   orientation = 180.0d, 180.0d, 0.0d
!
marker attributes  &
   marker_name = ._baja_steering.ges_steering_shaft.jxs_joint_i_13  &
   visibility = off  &
   name_visibility = off
!
part create rigid_body mass_properties  &
   part_name = ._baja_steering.ges_steering_shaft  &
   mass = 3.5689290811  &
   center_of_mass_marker = ._baja_steering.ges_steering_shaft.cm  &
   ixx = 2.5509975367E+005  &
   iyy = 2.5509975367E+005  &
   izz = 401.7473457153  &
   ixy = 0.0  &
   izx = 0.0  &
   iyz = 0.0
!
! ****** Graphics for current part ******
!
geometry create shape cylinder  &
   cylinder_name = ._baja_steering.ges_steering_shaft.gralin_steering_shaft  &
   center_marker = ._baja_steering.ges_steering_shaft.gralin_1  &
   angle_extent = 360.0  &
   length = 143.6840979371  &
   radius = 15.0445459276  &
   side_count_for_body = 15  &
   segment_count_for_ends = 15
!
geometry attributes  &
   geometry_name = ._baja_steering.ges_steering_shaft.gralin_steering_shaft  &
   color = SILVER
!
geometry create shape cylinder  &
   cylinder_name = ._baja_steering.ges_steering_shaft.gralin_steering_column  &
   center_marker = ._baja_steering.ges_steering_shaft.gralin_4  &
   angle_extent = 360.0  &
   length = 574.7363917484  &
   radius = 14.9730733795  &
   side_count_for_body = 15  &
   segment_count_for_ends = 15
!
geometry attributes  &
   geometry_name = ._baja_steering.ges_steering_shaft.gralin_steering_column  &
   color = SILVER
!
part attributes  &
   part_name = ._baja_steering.ges_steering_shaft  &
   color = SILVER  &
   entity_scope = edge_color
!
!---------------------------------- ges_rack ----------------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_steering.ground
!
part create rigid_body name_and_position  &
   part_name = ._baja_steering.ges_rack  &
   location = -990.6, 0.0, 76.2  &
   orientation = 0.0d, 90.0d, 0.0d
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_steering.ges_rack
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = ._baja_steering.ges_rack.gralin_2  &
   location = 0.0, 0.0, -177.8  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._baja_steering.ges_rack.gralin_2  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._baja_steering.ges_rack.cm  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._baja_steering.ges_rack.cm  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._baja_steering.ges_rack.jxs_joint_i_10  &
   location = 0.0, 0.0, 0.0  &
   orientation = 180.0d, 180.0d, 0.0d
!
marker attributes  &
   marker_name = ._baja_steering.ges_rack.jxs_joint_i_10  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._baja_steering.ges_rack.inertia_frame  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker create  &
   marker_name = ._baja_steering.ges_rack.steering_assist_vforce  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 180.0d, 0.0d
!
part create rigid_body mass_properties  &
   part_name = ._baja_steering.ges_rack  &
   mass = 1.8888888889  &
   center_of_mass_marker = ._baja_steering.ges_rack.cm  &
   inertia_marker = ._baja_steering.ges_rack.inertia_frame  &
   ixx = 1.1376967058E+005  &
   iyy = 1.1376967058E+005  &
   izz = 85.6374549196  &
   ixy = 0.0  &
   izx = 0.0  &
   iyz = 0.0
!
! ****** Graphics for current part ******
!
geometry create shape cylinder  &
   cylinder_name = ._baja_steering.ges_rack.gralin_rack  &
   center_marker = ._baja_steering.ges_rack.gralin_2  &
   angle_extent = 360.0  &
   length = 355.6  &
   radius = 9.5223396425  &
   side_count_for_body = 15  &
   segment_count_for_ends = 15
!
geometry attributes  &
   geometry_name = ._baja_steering.ges_rack.gralin_rack  &
   color = BLUE
!
part attributes  &
   part_name = ._baja_steering.ges_rack  &
   color = BLUE  &
   entity_scope = edge_color
!
!----------------------------- ges_steering_wheel -----------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_steering.ground
!
part create rigid_body name_and_position  &
   part_name = ._baja_steering.ges_steering_wheel  &
   location = -482.6, 0.0, 584.2  &
   orientation = 270.0d, 135.0d, 90.0d
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_steering.ges_steering_wheel
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = ._baja_steering.ges_steering_wheel.cm  &
   location = 0.0, 0.0, 0.5768768867  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._baja_steering.ges_steering_wheel.cm  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._baja_steering.ges_steering_wheel.graphics_location  &
   location = 0.0, 0.0, 0.0  &
   orientation = 180.0d, 0.0d, 0.0d
!
marker create  &
   marker_name = ._baja_steering.ges_steering_wheel.jxs_joint_i_11  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 180.0d, 0.0d
!
marker attributes  &
   marker_name = ._baja_steering.ges_steering_wheel.jxs_joint_i_11  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._baja_steering.ges_steering_wheel.inertia_frame  &
   location = 0.0, 0.0, 0.5768768867  &
   orientation = 0.0d, 0.0d, 0.0d
!
part create rigid_body mass_properties  &
   part_name = ._baja_steering.ges_steering_wheel  &
   mass = 2.1500262923  &
   center_of_mass_marker = ._baja_steering.ges_steering_wheel.cm  &
   inertia_marker = ._baja_steering.ges_steering_wheel.inertia_frame  &
   ixx = 2.5892147854E+004  &
   iyy = 2.5892147854E+004  &
   izz = 5.1629176982E+004  &
   ixy = 0.0  &
   izx = 0.0  &
   iyz = 0.0
!
! ****** Graphics for current part ******
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_steering.ges_steering_wheel.graphics_location
!
geometry create shape revolution  &
   revolution_name = ._baja_steering.ges_steering_wheel.steering_wheel_rim  &
   reference_marker = ._baja_steering.ges_steering_wheel.graphics_location  &
   analytical = no  &
   points_for_profile = -3.84609579, -119.1999999993, -13.4613352678  &
      , -3.7252636187, -115.7183415804, -13.0384226656  &
      , -3.3703594319, -112.4554485634, -11.7962580169  &
      , -2.8036831684, -109.616340518, -9.812891093  &
      , -2.0608411793, -107.3794090431, -7.2129441321  &
      , -1.1885089618, -105.8852087727, -4.1597813647  &
      , -0.2414983533, -105.2276258029, -0.845244234  &
      , 0.7206864849, -105.4479784889, 2.5224026989  &
      , 1.6375879416, -106.5324212654, 5.7315577938  &
      , 2.4515937243, -108.4128146014, 8.5805780331  &
      , 3.111556856, -110.9710064675, 10.8904489977  &
      , 3.5760094289, -114.0462562631, 12.5160330004  &
      , 3.8157681773, -117.4453347304, 13.3551886171  &
      , 3.8157681773, -120.9546652708, 13.3551886171  &
      , 3.5760094289, -124.353743738, 12.5160330004  &
      , 3.111556856, -127.4289935311, 10.8904489977  &
      , 2.4515937243, -129.9871853998, 8.5805780331  &
      , 1.6375879416, -131.8675787357, 5.7315577938  &
      , 0.7206864849, -132.9520215097, 2.5224026989  &
      , -0.2414983533, -133.1723741983, -0.845244234  &
      , -1.1885089618, -132.5147912285, -4.1597813647  &
      , -2.0608411793, -131.020590958, -7.2129441321  &
      , -2.8036831684, -128.7836594832, -9.812891093  &
      , -3.3703594319, -125.9445514378, -11.7962580169  &
      , -3.7252636187, -122.6816584208, -13.0384226656  &
      , -3.84609579, -119.1999999993, -13.4613352678  &
   angle_extent = 360.0  &
   number_of_sides = 30
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_steering.ges_steering_wheel
!
geometry attributes  &
   geometry_name = ._baja_steering.ges_steering_wheel.steering_wheel_rim  &
   color = DARK_GRAY
!
geometry create shape cylinder  &
   cylinder_name = ._baja_steering.ges_steering_wheel.hub  &
   center_marker = ._baja_steering.ges_steering_wheel.graphics_location  &
   angle_extent = 360.0  &
   length = 5.0  &
   radius = 101.6  &
   side_count_for_body = 3  &
   segment_count_for_ends = 3
!
geometry attributes  &
   geometry_name = ._baja_steering.ges_steering_wheel.hub  &
   color = DARK_GRAY
!
geometry create curve circle  &
   circle_name = ._baja_steering.ges_steering_wheel.rim  &
   comments = "simple rim outline"  &
   center_marker = ._baja_steering.ges_steering_wheel.graphics_location  &
   radius = 170.0  &
   segment_count = 30
!
geometry attributes  &
   geometry_name = ._baja_steering.ges_steering_wheel.rim  &
   visibility = off
!
part attributes  &
   part_name = ._baja_steering.ges_steering_wheel  &
   color = BLUE  &
   entity_scope = edge_color
!
!--------------------------------- ges_pinion ---------------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_steering.ground
!
part create rigid_body name_and_position  &
   part_name = ._baja_steering.ges_pinion  &
   location = -990.6, 0.0, 76.2  &
   orientation = 90.0d, 45.0d, 270.0d
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_steering.ges_pinion
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = ._baja_steering.ges_pinion.cm  &
   location = 0.0, 0.0, 0.0  &
   orientation = 90.0d, 45.0d, 270.0d
!
marker attributes  &
   marker_name = ._baja_steering.ges_pinion.cm  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._baja_steering.ges_pinion.josrev_pinion_1  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._baja_steering.ges_pinion.josrev_pinion_1  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._baja_steering.ges_pinion.jxs_joint_i_12  &
   location = 0.0, 0.0, 0.0  &
   orientation = 90.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._baja_steering.ges_pinion.jxs_joint_i_12  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._baja_steering.ges_pinion.bxs_bushing_j_1  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._baja_steering.ges_pinion.bxs_bushing_j_1  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._baja_steering.ges_pinion.inertia_frame  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker create  &
   marker_name = ._baja_steering.ges_pinion.bxs_bushgeom_j_1  &
   location = 0.0, 0.0, -12.5  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._baja_steering.ges_pinion.bxs_bushgeom_j_1  &
   visibility = off  &
   name_visibility = off
!
part create rigid_body mass_properties  &
   part_name = ._baja_steering.ges_pinion  &
   mass = 0.5  &
   center_of_mass_marker = ._baja_steering.ges_pinion.cm  &
   inertia_marker = ._baja_steering.ges_pinion.inertia_frame  &
   ixx = 1.0  &
   iyy = 1.0  &
   izz = 1.0  &
   ixy = 0.0  &
   izx = 0.0  &
   iyz = 0.0
!
!------------------------------ ges_rack_housing ------------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_steering.ground
!
part create rigid_body name_and_position  &
   part_name = ._baja_steering.ges_rack_housing  &
   location = -990.6, 0.0, 76.2  &
   orientation = 0.0d, 90.0d, 0.0d
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_steering.ges_rack_housing
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = ._baja_steering.ges_rack_housing.gralin_3  &
   location = 0.0, 0.0, -127.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._baja_steering.ges_rack_housing.gralin_3  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._baja_steering.ges_rack_housing.cm  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._baja_steering.ges_rack_housing.cm  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._baja_steering.ges_rack_housing.jxs_joint_j_10  &
   location = 0.0, 0.0, 0.0  &
   orientation = 180.0d, 180.0d, 0.0d
!
marker attributes  &
   marker_name = ._baja_steering.ges_rack_housing.jxs_joint_j_10  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._baja_steering.ges_rack_housing.jxs_joint_j_12  &
   location = 0.0, 0.0, 0.0  &
   orientation = 135.0d, 90.0d, 270.0d
!
marker attributes  &
   marker_name = ._baja_steering.ges_rack_housing.jxs_joint_j_12  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._baja_steering.ges_rack_housing.jxs_joint_j_14  &
   location = 0.0, 0.0, 0.0  &
   orientation = 135.0d, 90.0d, 270.0d
!
marker attributes  &
   marker_name = ._baja_steering.ges_rack_housing.jxs_joint_j_14  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._baja_steering.ges_rack_housing.jxs_joint_i_15  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 180.0d, 0.0d
!
marker attributes  &
   marker_name = ._baja_steering.ges_rack_housing.jxs_joint_i_15  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._baja_steering.ges_rack_housing.bxl_bushing_i_1  &
   location = 0.0, 0.0, 127.0  &
   orientation = 0.0d, 180.0d, 0.0d
!
marker attributes  &
   marker_name = ._baja_steering.ges_rack_housing.bxl_bushing_i_1  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._baja_steering.ges_rack_housing.bxr_bushing_i_1  &
   location = 0.0, 0.0, -127.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._baja_steering.ges_rack_housing.bxr_bushing_i_1  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._baja_steering.ges_rack_housing.inertia_frame  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker create  &
   marker_name = ._baja_steering.ges_rack_housing.bxl_bushgeom_i_1  &
   location = 0.0, 0.0, 139.5  &
   orientation = 90.0d, 180.0d, 0.0d
!
marker attributes  &
   marker_name = ._baja_steering.ges_rack_housing.bxl_bushgeom_i_1  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._baja_steering.ges_rack_housing.bxr_bushgeom_i_1  &
   location = 0.0, 0.0, -139.5  &
   orientation = 270.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._baja_steering.ges_rack_housing.bxr_bushgeom_i_1  &
   visibility = off  &
   name_visibility = off
!
! ****** Floating Markers for current part ******
!
floating_marker create  &
   floating_marker_name = ._baja_steering.ges_rack_housing.FMA
!
part create rigid_body mass_properties  &
   part_name = ._baja_steering.ges_rack_housing  &
   mass = 4.0  &
   center_of_mass_marker = ._baja_steering.ges_rack_housing.cm  &
   inertia_marker = ._baja_steering.ges_rack_housing.inertia_frame  &
   ixx = 2.1353735198E+005  &
   iyy = 2.1353735198E+005  &
   izz = 408.0372851994  &
   ixy = 0.0  &
   izx = 0.0  &
   iyz = 0.0
!
! ****** Graphics for current part ******
!
geometry create shape cylinder  &
   cylinder_name = ._baja_steering.ges_rack_housing.gralin_rack_housing  &
   center_marker = ._baja_steering.ges_rack_housing.gralin_3  &
   angle_extent = 360.0  &
   length = 254.0  &
   radius = 14.2835094637  &
   side_count_for_body = 15  &
   segment_count_for_ends = 15
!
geometry attributes  &
   geometry_name = ._baja_steering.ges_rack_housing.gralin_rack_housing  &
   color = RED
!
part attributes  &
   part_name = ._baja_steering.ges_rack_housing  &
   color = BLUE  &
   entity_scope = edge_color
!
!------------------ mts_rack_housing_to_suspension_subframe -------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_steering.ground
!
part create rigid_body name_and_position  &
   part_name = ._baja_steering.mts_rack_housing_to_suspension_subframe  &
   location = -990.6, 0.0, 76.2  &
   orientation = 0.0d, 0.0d, 0.0d
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_steering.mts_rack_housing_to_suspension_subframe
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = ._baja_steering.mts_rack_housing_to_suspension_subframe.mount_i  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._baja_steering.mts_rack_housing_to_suspension_subframe.mount_i  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._baja_steering.mts_rack_housing_to_suspension_subframe.sws_switch_j_2  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._baja_steering.mts_rack_housing_to_suspension_subframe.sws_switch_j_2  &
   visibility = off  &
   name_visibility = off
!
part attributes  &
   part_name = ._baja_steering.mts_rack_housing_to_suspension_subframe  &
   color = BLUE  &
   entity_scope = edge_color
!
part attributes  &
   part_name = ._baja_steering.mts_rack_housing_to_suspension_subframe  &
   visibility = on  &
   name_visibility = on
!
!------------------------ mts_steering_column_to_body -------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_steering.ground
!
part create rigid_body name_and_position  &
   part_name = ._baja_steering.mts_steering_column_to_body  &
   location = -889.0, 0.0, 177.8  &
   orientation = 0.0d, 0.0d, 0.0d
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_steering.mts_steering_column_to_body
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = ._baja_steering.mts_steering_column_to_body.mount_i  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._baja_steering.mts_steering_column_to_body.mount_i  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._baja_steering.mts_steering_column_to_body.jxs_joint_j_11  &
   location = 406.4, 0.0, 406.4  &
   orientation = 90.0d, 45.0d, 90.0d
!
marker attributes  &
   marker_name = ._baja_steering.mts_steering_column_to_body.jxs_joint_j_11  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._baja_steering.mts_steering_column_to_body.jxs_joint_j_13  &
   location = 335.6893218813, 0.0, 335.6893218813  &
   orientation = 270.0d, 135.0d, 90.0d
!
marker attributes  &
   marker_name = ._baja_steering.mts_steering_column_to_body.jxs_joint_j_13  &
   visibility = off  &
   name_visibility = off
!
! ****** Graphics for current part ******
!
geometry create shape cylinder  &
   cylinder_name = ._baja_steering.mts_steering_column_to_body.steering_column_housing  &
   center_marker =   &
                   ._baja_steering.mts_steering_column_to_body.jxs_joint_j_13  &
   angle_extent = 360.0  &
   length = 287.3681958742  &
   radius = 35.0  &
   side_count_for_body = 20  &
   segment_count_for_ends = 20
!
geometry attributes  &
   geometry_name = ._baja_steering.mts_steering_column_to_body.steering_column_housing  &
   color = RED  &
   visibility = on
!
part attributes  &
   part_name = ._baja_steering.mts_steering_column_to_body  &
   color = RED  &
   entity_scope = edge_color
!
part attributes  &
   part_name = ._baja_steering.mts_steering_column_to_body  &
   visibility = on  &
   name_visibility = on
!
!---------------------------------- _cv_part ----------------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_steering.ground
!
part create rigid_body name_and_position  &
   part_name = ._baja_steering._cv_part  &
   comments = "Dummy for communicators"  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_steering._cv_part
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = ._baja_steering._cv_part.marker  &
   comments = "Dummy for communicators"  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._baja_steering._cv_part.marker  &
   visibility = off  &
   name_visibility = off
!
part create rigid_body mass_properties  &
   part_name = ._baja_steering._cv_part  &
   mass = 0.0  &
   center_of_mass_marker = ._baja_steering._cv_part.marker  &
   ixx = 0.0  &
   iyy = 0.0  &
   izz = 0.0  &
   ixy = 0.0  &
   izx = 0.0  &
   iyz = 0.0
!
part attributes  &
   part_name = ._baja_steering._cv_part  &
   visibility = off  &
   name_visibility = off
!
!------------------------------ mts_rack_to_body ------------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_steering.ground
!
part create rigid_body name_and_position  &
   part_name = ._baja_steering.mts_rack_to_body  &
   location = -990.6, 0.0, 76.2  &
   orientation = 0.0d, 0.0d, 0.0d
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_steering.mts_rack_to_body
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = ._baja_steering.mts_rack_to_body.mount_i  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._baja_steering.mts_rack_to_body.mount_i  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._baja_steering.mts_rack_to_body.sws_switch_j_1  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._baja_steering.mts_rack_to_body.sws_switch_j_1  &
   visibility = off  &
   name_visibility = off
!
part attributes  &
   part_name = ._baja_steering.mts_rack_to_body  &
   visibility = on  &
   name_visibility = on
!
!---------------------------- sws_rack_house_mount ----------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_steering.ground
!
part create rigid_body name_and_position  &
   part_name = ._baja_steering.sws_rack_house_mount  &
   location = -990.6, 0.0, 76.2  &
   orientation = 0.0d, 0.0d, 0.0d
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_steering.sws_rack_house_mount
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = ._baja_steering.sws_rack_house_mount.switch_i  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._baja_steering.sws_rack_house_mount.switch_i  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._baja_steering.sws_rack_house_mount.jxs_joint_j_15  &
   location = 0.0, 0.0, 0.0  &
   orientation = 180.0d, 90.0d, 180.0d
!
marker attributes  &
   marker_name = ._baja_steering.sws_rack_house_mount.jxs_joint_j_15  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._baja_steering.sws_rack_house_mount.bxl_bushing_j_1  &
   location = 0.0, -127.0, 0.0  &
   orientation = 180.0d, 90.0d, 180.0d
!
marker attributes  &
   marker_name = ._baja_steering.sws_rack_house_mount.bxl_bushing_j_1  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._baja_steering.sws_rack_house_mount.bxr_bushing_j_1  &
   location = 0.0, 127.0, 0.0  &
   orientation = 0.0d, 90.0d, 0.0d
!
marker attributes  &
   marker_name = ._baja_steering.sws_rack_house_mount.bxr_bushing_j_1  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._baja_steering.sws_rack_house_mount.bxl_bushgeom_j_1  &
   location = 0.0, -139.5, 0.0  &
   orientation = 180.0d, 90.0d, 180.0d
!
marker attributes  &
   marker_name = ._baja_steering.sws_rack_house_mount.bxl_bushgeom_j_1  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._baja_steering.sws_rack_house_mount.bxr_bushgeom_j_1  &
   location = 0.0, 139.5, 0.0  &
   orientation = 0.0d, 90.0d, 0.0d
!
marker attributes  &
   marker_name = ._baja_steering.sws_rack_house_mount.bxr_bushgeom_j_1  &
   visibility = off  &
   name_visibility = off
!
part attributes  &
   part_name = ._baja_steering.sws_rack_house_mount  &
   visibility = on  &
   name_visibility = on
!
!--------------------------------- Equations ----------------------------------!
!
!
part create equation differential_equation  &
   differential_equation_name = ._baja_steering._cv_diff  &
   comments = "Dummy for communicators"  &
   initial_condition = 0.0  &
   function = ""  &
   implicit = off  &
   static_hold = off
!
part attributes  &
   equation_name = ._baja_steering._cv_diff  &
   visibility = off
!
!----------------------------------- Joints -----------------------------------!
!
!
constraint create joint translational  &
   joint_name = ._baja_steering.jostra_rack_to_rackhousing  &
   i_marker_name = ._baja_steering.ges_rack.jxs_joint_i_10  &
   j_marker_name = ._baja_steering.ges_rack_housing.jxs_joint_j_10
!
constraint create joint fixed  &
   joint_name = ._baja_steering.mts_fixed_2  &
   i_marker_name =   &
                   ._baja_steering.mts_rack_housing_to_suspension_subframe.mount_i  &
   j_marker_name = ._baja_steering.ground.mts_mount_j_2
!
constraint attributes  &
   constraint_name = ._baja_steering.mts_fixed_2  &
   visibility = off  &
   name_visibility = off
!
constraint create joint fixed  &
   joint_name = ._baja_steering.mts_fixed_3  &
   i_marker_name = ._baja_steering.mts_steering_column_to_body.mount_i  &
   j_marker_name = ._baja_steering.ground.mts_mount_j_3
!
constraint attributes  &
   constraint_name = ._baja_steering.mts_fixed_3  &
   visibility = off  &
   name_visibility = off
!
constraint create joint revolute  &
   joint_name = ._baja_steering.josrev_steering_wheel  &
   i_marker_name = ._baja_steering.ges_steering_wheel.jxs_joint_i_11  &
   j_marker_name =   &
                   ._baja_steering.mts_steering_column_to_body.jxs_joint_j_11
!
constraint create joint cylindrical  &
   joint_name = ._baja_steering._cv_joint_for_motion  &
   comments = "Dummy for communicators"  &
   i_marker_name = ._baja_steering._cv_part.marker  &
   j_marker_name = ._baja_steering.ground._cv_marker
!
constraint attributes  &
   constraint_name = ._baja_steering._cv_joint_for_motion  &
   visibility = off  &
   name_visibility = off
!
constraint create joint revolute  &
   joint_name = ._baja_steering.josrev_pinion  &
   i_marker_name = ._baja_steering.ges_pinion.jxs_joint_i_12  &
   j_marker_name = ._baja_steering.ges_rack_housing.jxs_joint_j_12
!
constraint create joint cylindrical  &
   joint_name = ._baja_steering.joscyl_steering_column_to_body  &
   i_marker_name = ._baja_steering.ges_steering_shaft.jxs_joint_i_13  &
   j_marker_name =   &
                   ._baja_steering.mts_steering_column_to_body.jxs_joint_j_13
!
constraint create joint revolute  &
   joint_name = ._baja_steering.josrev_steering_input_shaft  &
   i_marker_name = ._baja_steering.ges_steering_shaft.jxs_joint_i_14  &
   j_marker_name = ._baja_steering.ges_rack_housing.jxs_joint_j_14
!
constraint create joint fixed  &
   joint_name = ._baja_steering.mts_fixed_4  &
   i_marker_name = ._baja_steering.mts_rack_to_body.mount_i  &
   j_marker_name = ._baja_steering.ground.mts_mount_j_4
!
constraint attributes  &
   constraint_name = ._baja_steering.mts_fixed_4  &
   visibility = off  &
   name_visibility = off
!
constraint create joint fixed  &
   joint_name = ._baja_steering.sws_fixed_1  &
   i_marker_name = ._baja_steering.sws_rack_house_mount.switch_i  &
   j_marker_name = ._baja_steering.mts_rack_to_body.sws_switch_j_1
!
constraint attributes  &
   constraint_name = ._baja_steering.sws_fixed_1  &
   visibility = off  &
   name_visibility = off
!
constraint create joint fixed  &
   joint_name = ._baja_steering.jksfix_rigid_rack_housing_mount  &
   i_marker_name = ._baja_steering.ges_rack_housing.jxs_joint_i_15  &
   j_marker_name = ._baja_steering.sws_rack_house_mount.jxs_joint_j_15
!
!------------------------------ Joint Primitives ------------------------------!
!
!
constraint create primitive_joint inplane  &
   jprim_name = ._baja_steering._cv_joint  &
   comments = "Dummy for communicators"  &
   i_marker_name = ._baja_steering._cv_part.marker  &
   j_marker_name = ._baja_steering.ground._cv_marker
!
constraint attributes  &
   constraint_name = ._baja_steering._cv_joint  &
   visibility = off  &
   name_visibility = off
!
!----------------------------------- Forces -----------------------------------!
!
!
force create element_like field  &
   field_name = ._baja_steering._cv_bushing  &
   comments = "Dummy for communicators"  &
   i_marker_name = ._baja_steering._cv_part.marker  &
   j_marker_name = ._baja_steering.ground._cv_marker  &
   translation_at_preload = 0.0, 0.0, 0.0  &
   rotation_at_preload = 0.0d, 0.0d, 0.0d  &
   damping_ratio = 0.0  &
   stiffness_matrix =  &
      0.0, 0.0, 0.0, 0.0, 0.0, 0.0,  &
      0.0, 0.0, 0.0, 0.0, 0.0, 0.0,  &
      0.0, 0.0, 0.0, 0.0, 0.0, 0.0,  &
      0.0, 0.0, 0.0, 0.0, 0.0, 0.0,  &
      0.0, 0.0, 0.0, 0.0, 0.0, 0.0,  &
      0.0, 0.0, 0.0, 0.0, 0.0, 0.0  &
   force_preload = 0.0, 0.0, 0.0  &
   torque_preload = 0.0, 0.0, 0.0
!
force attributes  &
   force_name = ._baja_steering._cv_bushing  &
   visibility = off  &
   name_visibility = off
!
force create direct force_vector  &
   force_vector_name = ._baja_steering.steering_assist_vforce  &
   i_marker_name = ._baja_steering.ges_rack.steering_assist_vforce  &
   j_floating_marker_name = ._baja_steering.ges_rack_housing.FMA  &
   ref_marker_name = ._baja_steering.ges_rack.steering_assist_vforce  &
   x_force_function = ""  &
   y_force_function = ""  &
   z_force_function = ""
!
!---------------------------------- Motions -----------------------------------!
!
!
constraint create motion_generator  &
   motion_name = ._baja_steering._cv_motion  &
   comments = "Dummy for communicators"  &
   type_of_freedom = rotational  &
   joint_name = ._baja_steering._cv_joint_for_motion  &
   function = ""
!
constraint attributes  &
   constraint_name = ._baja_steering._cv_motion  &
   visibility = off  &
   name_visibility = off
!
!---------------------------------- Couplers ----------------------------------!
!
!
constraint create complex_joint coupler  &
   coupler_name = ._baja_steering.gksred_input_shaft_pinion_lock  &
   joint_name =  &
      ._baja_steering.josrev_steering_input_shaft,  &
      ._baja_steering.josrev_pinion  &
   type_of_freedom = rot_rot  &
   motion_multipliers = -1.0, 1.0
!
constraint create complex_joint coupler  &
   coupler_name = ._baja_steering.grsred_steering_wheel_column_lock  &
   joint_name =  &
      ._baja_steering.josrev_steering_wheel,  &
      ._baja_steering.joscyl_steering_column_to_body  &
   type_of_freedom = rot_rot  &
   motion_multipliers = -1.0, 1.0
!
constraint create complex_joint coupler  &
   coupler_name = ._baja_steering.grsred_pinion_to_rack  &
   joint_name =  &
      ._baja_steering.josrev_pinion,  &
      ._baja_steering.jostra_rack_to_rackhousing  &
   type_of_freedom = rot_tran  &
   motion_multipliers = 1.0, 0.17
!
!---------------------------------- Requests ----------------------------------!
!
!
output_control create request  &
   request_name = ._baja_steering.steering_wheel_angle  &
   i_marker_name = ._baja_steering.ges_steering_wheel.jxs_joint_i_11  &
   j_marker_name =   &
                   ._baja_steering.mts_steering_column_to_body.jxs_joint_j_11  &
   r_marker_name =   &
                   ._baja_steering.mts_steering_column_to_body.jxs_joint_j_11  &
   output_type = displacement  &
   component_names = "", "", "", "", "", "angle", "", ""  &
   component_units = "no_units", "no_units", "no_units", "no_units",  &
                     "no_units", "angle", "no_units", "no_units"  &
   results_name = "steering_displacements"
!
output_control create request  &
   request_name = ._baja_steering.pinion_rotational_displacement  &
   i_marker_name = ._baja_steering.ges_pinion.jxs_joint_i_12  &
   j_marker_name = ._baja_steering.ges_rack_housing.jxs_joint_j_12  &
   r_marker_name = ._baja_steering.ges_rack_housing.jxs_joint_j_12  &
   output_type = displacement  &
   component_names = "", "", "", "pinion_displacement", "", "", "", ""  &
   component_units = "no_units", "no_units", "no_units", "angle", "no_units",  &
                     "no_units", "no_units", "no_units"  &
   results_name = "steering_displacements"
!
output_control create request  &
   request_name = ._baja_steering.rack_travel  &
   i_marker_name = ._baja_steering.ges_rack.jxs_joint_i_10  &
   j_marker_name = ._baja_steering.ges_rack_housing.jxs_joint_j_10  &
   r_marker_name = ._baja_steering.ges_rack_housing.jxs_joint_j_10  &
   output_type = displacement  &
   component_names = "", "", "", "rack_displacement", "", "", "", ""  &
   component_units = "no_units", "no_units", "no_units", "length",  &
                     "no_units", "no_units", "no_units", "no_units"  &
   results_name = "steering_displacements"
!
output_control create request  &
   request_name = ._baja_steering.steering_assist  &
   component_names = "", "", "", "force", "", "angle", "torsion_bar_torque",  &
                     "pinion_torque"  &
   component_units = "no_units", "no_units", "no_units", "force", "no_units",  &
                     "angle", "torque", "torque"  &
   results_name = "steering_assist"  &
   f4 = ""  &
   f6 = ""  &
   f7 = ""  &
   f8 = ""
!
!-------------------------- Adams/View UDE Instances --------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_steering.ground
!
undo begin_block suppress = yes
!
ude create instance  &
   instance_name = ._baja_steering.bgs_torsion_bar  &
   definition_name = .ACAR.attachments.ac_bushing  &
   location = -990.6, 0.0, 76.2  &
   orientation = 90.0, 45.0, 270.0
!
ude create instance  &
   instance_name = ._baja_steering.bkl_rack_housing_bushing  &
   definition_name = .ACAR.attachments.ac_bushing  &
   location = -990.6, -127.0, 76.2  &
   orientation = 180.0, 90.0, 180.0
!
ude create instance  &
   instance_name = ._baja_steering.bkr_rack_housing_bushing  &
   definition_name = .ACAR.attachments.ac_bushing  &
   location = -990.6, 127.0, 76.2  &
   orientation = 0.0, 90.0, 0.0
!
!-------------------------- Adams/View UDE Instance ---------------------------!
!
!
variable modify  &
   variable_name = ._baja_steering.bgs_torsion_bar.property_file  &
   string_value = "<mini_baja>/bushings.tbl/mdi_steering_tbar.bus"
!
variable modify  &
   variable_name = ._baja_steering.bgs_torsion_bar.t_preload_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_steering.bgs_torsion_bar.t_preload_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_steering.bgs_torsion_bar.t_preload_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_steering.bgs_torsion_bar.r_preload_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_steering.bgs_torsion_bar.r_preload_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_steering.bgs_torsion_bar.r_preload_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_steering.bgs_torsion_bar.t_offset_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_steering.bgs_torsion_bar.t_offset_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_steering.bgs_torsion_bar.t_offset_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_steering.bgs_torsion_bar.r_offset_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_steering.bgs_torsion_bar.r_offset_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_steering.bgs_torsion_bar.r_offset_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_steering.bgs_torsion_bar.t_displ_scale_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_steering.bgs_torsion_bar.t_displ_scale_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_steering.bgs_torsion_bar.t_displ_scale_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_steering.bgs_torsion_bar.r_displ_scale_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_steering.bgs_torsion_bar.r_displ_scale_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_steering.bgs_torsion_bar.r_displ_scale_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_steering.bgs_torsion_bar.t_velo_offset_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_steering.bgs_torsion_bar.t_velo_offset_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_steering.bgs_torsion_bar.t_velo_offset_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_steering.bgs_torsion_bar.r_velo_offset_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_steering.bgs_torsion_bar.r_velo_offset_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_steering.bgs_torsion_bar.r_velo_offset_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_steering.bgs_torsion_bar.t_velo_scale_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_steering.bgs_torsion_bar.t_velo_scale_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_steering.bgs_torsion_bar.t_velo_scale_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_steering.bgs_torsion_bar.r_velo_scale_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_steering.bgs_torsion_bar.r_velo_scale_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_steering.bgs_torsion_bar.r_velo_scale_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_steering.bgs_torsion_bar.t_velo_threshold_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_steering.bgs_torsion_bar.t_velo_threshold_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_steering.bgs_torsion_bar.t_velo_threshold_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_steering.bgs_torsion_bar.r_velo_threshold_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_steering.bgs_torsion_bar.r_velo_threshold_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_steering.bgs_torsion_bar.r_velo_threshold_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_steering.bgs_torsion_bar.i_geoMarker  &
   object_value = ._baja_steering.ges_steering_shaft.bxs_bushgeom_i_1
!
variable modify  &
   variable_name = ._baja_steering.bgs_torsion_bar.j_geoMarker  &
   object_value = ._baja_steering.ges_pinion.bxs_bushgeom_j_1
!
variable modify  &
   variable_name = ._baja_steering.bgs_torsion_bar.bushing_shape  &
   integer_value = 2
!
variable modify  &
   variable_name = ._baja_steering.bgs_torsion_bar.fx_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_steering.bgs_torsion_bar.fy_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_steering.bgs_torsion_bar.fz_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_steering.bgs_torsion_bar.tx_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_steering.bgs_torsion_bar.ty_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_steering.bgs_torsion_bar.tz_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_steering.bgs_torsion_bar.tx_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_steering.bgs_torsion_bar.ty_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_steering.bgs_torsion_bar.tz_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_steering.bgs_torsion_bar.rx_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_steering.bgs_torsion_bar.ry_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_steering.bgs_torsion_bar.rz_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_steering.bgs_torsion_bar.geoRadius  &
   real_value = 20.0
!
variable modify  &
   variable_name = ._baja_steering.bgs_torsion_bar.geoLength  &
   real_value = 25.0
!
variable modify  &
   variable_name = ._baja_steering.bgs_torsion_bar.i_marker  &
   object_value = ._baja_steering.ges_steering_shaft.bxs_bushing_i_1
!
variable modify  &
   variable_name = ._baja_steering.bgs_torsion_bar.j_marker  &
   object_value = ._baja_steering.ges_pinion.bxs_bushing_j_1
!
variable modify  &
   variable_name = ._baja_steering.bgs_torsion_bar.udedef_name  &
   string_value = ".ACAR.attachments.ac_bushing"
!
ude modify instance  &
   instance_name = ._baja_steering.bgs_torsion_bar
!
!-------------------------- Adams/View UDE Instance ---------------------------!
!
!
variable modify  &
   variable_name = ._baja_steering.bkl_rack_housing_bushing.property_file  &
   string_value = "<mini_baja>/bushings.tbl/mdi_0001.bus"
!
variable modify  &
   variable_name = ._baja_steering.bkl_rack_housing_bushing.t_preload_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_steering.bkl_rack_housing_bushing.t_preload_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_steering.bkl_rack_housing_bushing.t_preload_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_steering.bkl_rack_housing_bushing.r_preload_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_steering.bkl_rack_housing_bushing.r_preload_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_steering.bkl_rack_housing_bushing.r_preload_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_steering.bkl_rack_housing_bushing.t_offset_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_steering.bkl_rack_housing_bushing.t_offset_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_steering.bkl_rack_housing_bushing.t_offset_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_steering.bkl_rack_housing_bushing.r_offset_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_steering.bkl_rack_housing_bushing.r_offset_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_steering.bkl_rack_housing_bushing.r_offset_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_steering.bkl_rack_housing_bushing.t_displ_scale_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_steering.bkl_rack_housing_bushing.t_displ_scale_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_steering.bkl_rack_housing_bushing.t_displ_scale_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_steering.bkl_rack_housing_bushing.r_displ_scale_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_steering.bkl_rack_housing_bushing.r_displ_scale_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_steering.bkl_rack_housing_bushing.r_displ_scale_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_steering.bkl_rack_housing_bushing.t_velo_offset_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_steering.bkl_rack_housing_bushing.t_velo_offset_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_steering.bkl_rack_housing_bushing.t_velo_offset_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_steering.bkl_rack_housing_bushing.r_velo_offset_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_steering.bkl_rack_housing_bushing.r_velo_offset_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_steering.bkl_rack_housing_bushing.r_velo_offset_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_steering.bkl_rack_housing_bushing.t_velo_scale_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_steering.bkl_rack_housing_bushing.t_velo_scale_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_steering.bkl_rack_housing_bushing.t_velo_scale_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_steering.bkl_rack_housing_bushing.r_velo_scale_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_steering.bkl_rack_housing_bushing.r_velo_scale_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_steering.bkl_rack_housing_bushing.r_velo_scale_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_steering.bkl_rack_housing_bushing.t_velo_threshold_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_steering.bkl_rack_housing_bushing.t_velo_threshold_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_steering.bkl_rack_housing_bushing.t_velo_threshold_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_steering.bkl_rack_housing_bushing.r_velo_threshold_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_steering.bkl_rack_housing_bushing.r_velo_threshold_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_steering.bkl_rack_housing_bushing.r_velo_threshold_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_steering.bkl_rack_housing_bushing.i_geoMarker  &
   object_value = ._baja_steering.ges_rack_housing.bxl_bushgeom_i_1
!
variable modify  &
   variable_name = ._baja_steering.bkl_rack_housing_bushing.j_geoMarker  &
   object_value = ._baja_steering.sws_rack_house_mount.bxl_bushgeom_j_1
!
variable modify  &
   variable_name = ._baja_steering.bkl_rack_housing_bushing.bushing_shape  &
   integer_value = 2
!
variable modify  &
   variable_name = ._baja_steering.bkl_rack_housing_bushing.fx_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_steering.bkl_rack_housing_bushing.fy_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_steering.bkl_rack_housing_bushing.fz_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_steering.bkl_rack_housing_bushing.tx_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_steering.bkl_rack_housing_bushing.ty_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_steering.bkl_rack_housing_bushing.tz_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_steering.bkl_rack_housing_bushing.tx_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_steering.bkl_rack_housing_bushing.ty_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_steering.bkl_rack_housing_bushing.tz_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_steering.bkl_rack_housing_bushing.rx_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_steering.bkl_rack_housing_bushing.ry_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_steering.bkl_rack_housing_bushing.rz_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_steering.bkl_rack_housing_bushing.geoRadius  &
   real_value = 20.0
!
variable modify  &
   variable_name = ._baja_steering.bkl_rack_housing_bushing.geoLength  &
   real_value = 25.0
!
variable modify  &
   variable_name = ._baja_steering.bkl_rack_housing_bushing.i_marker  &
   object_value = ._baja_steering.ges_rack_housing.bxl_bushing_i_1
!
variable modify  &
   variable_name = ._baja_steering.bkl_rack_housing_bushing.j_marker  &
   object_value = ._baja_steering.sws_rack_house_mount.bxl_bushing_j_1
!
variable modify  &
   variable_name = ._baja_steering.bkl_rack_housing_bushing.udedef_name  &
   string_value = ".ACAR.attachments.ac_bushing"
!
ude modify instance  &
   instance_name = ._baja_steering.bkl_rack_housing_bushing
!
!-------------------------- Adams/View UDE Instance ---------------------------!
!
!
variable modify  &
   variable_name = ._baja_steering.bkr_rack_housing_bushing.property_file  &
   string_value = "<mini_baja>/bushings.tbl/mdi_0001.bus"
!
variable modify  &
   variable_name = ._baja_steering.bkr_rack_housing_bushing.t_preload_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_steering.bkr_rack_housing_bushing.t_preload_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_steering.bkr_rack_housing_bushing.t_preload_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_steering.bkr_rack_housing_bushing.r_preload_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_steering.bkr_rack_housing_bushing.r_preload_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_steering.bkr_rack_housing_bushing.r_preload_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_steering.bkr_rack_housing_bushing.t_offset_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_steering.bkr_rack_housing_bushing.t_offset_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_steering.bkr_rack_housing_bushing.t_offset_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_steering.bkr_rack_housing_bushing.r_offset_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_steering.bkr_rack_housing_bushing.r_offset_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_steering.bkr_rack_housing_bushing.r_offset_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_steering.bkr_rack_housing_bushing.t_displ_scale_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_steering.bkr_rack_housing_bushing.t_displ_scale_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_steering.bkr_rack_housing_bushing.t_displ_scale_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_steering.bkr_rack_housing_bushing.r_displ_scale_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_steering.bkr_rack_housing_bushing.r_displ_scale_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_steering.bkr_rack_housing_bushing.r_displ_scale_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_steering.bkr_rack_housing_bushing.t_velo_offset_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_steering.bkr_rack_housing_bushing.t_velo_offset_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_steering.bkr_rack_housing_bushing.t_velo_offset_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_steering.bkr_rack_housing_bushing.r_velo_offset_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_steering.bkr_rack_housing_bushing.r_velo_offset_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_steering.bkr_rack_housing_bushing.r_velo_offset_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_steering.bkr_rack_housing_bushing.t_velo_scale_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_steering.bkr_rack_housing_bushing.t_velo_scale_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_steering.bkr_rack_housing_bushing.t_velo_scale_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_steering.bkr_rack_housing_bushing.r_velo_scale_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_steering.bkr_rack_housing_bushing.r_velo_scale_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_steering.bkr_rack_housing_bushing.r_velo_scale_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_steering.bkr_rack_housing_bushing.t_velo_threshold_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_steering.bkr_rack_housing_bushing.t_velo_threshold_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_steering.bkr_rack_housing_bushing.t_velo_threshold_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_steering.bkr_rack_housing_bushing.r_velo_threshold_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_steering.bkr_rack_housing_bushing.r_velo_threshold_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_steering.bkr_rack_housing_bushing.r_velo_threshold_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_steering.bkr_rack_housing_bushing.i_geoMarker  &
   object_value = ._baja_steering.ges_rack_housing.bxr_bushgeom_i_1
!
variable modify  &
   variable_name = ._baja_steering.bkr_rack_housing_bushing.j_geoMarker  &
   object_value = ._baja_steering.sws_rack_house_mount.bxr_bushgeom_j_1
!
variable modify  &
   variable_name = ._baja_steering.bkr_rack_housing_bushing.bushing_shape  &
   integer_value = 2
!
variable modify  &
   variable_name = ._baja_steering.bkr_rack_housing_bushing.fx_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_steering.bkr_rack_housing_bushing.fy_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_steering.bkr_rack_housing_bushing.fz_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_steering.bkr_rack_housing_bushing.tx_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_steering.bkr_rack_housing_bushing.ty_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_steering.bkr_rack_housing_bushing.tz_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_steering.bkr_rack_housing_bushing.tx_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_steering.bkr_rack_housing_bushing.ty_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_steering.bkr_rack_housing_bushing.tz_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_steering.bkr_rack_housing_bushing.rx_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_steering.bkr_rack_housing_bushing.ry_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_steering.bkr_rack_housing_bushing.rz_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_steering.bkr_rack_housing_bushing.geoRadius  &
   real_value = 20.0
!
variable modify  &
   variable_name = ._baja_steering.bkr_rack_housing_bushing.geoLength  &
   real_value = 25.0
!
variable modify  &
   variable_name = ._baja_steering.bkr_rack_housing_bushing.i_marker  &
   object_value = ._baja_steering.ges_rack_housing.bxr_bushing_i_1
!
variable modify  &
   variable_name = ._baja_steering.bkr_rack_housing_bushing.j_marker  &
   object_value = ._baja_steering.sws_rack_house_mount.bxr_bushing_j_1
!
variable modify  &
   variable_name = ._baja_steering.bkr_rack_housing_bushing.udedef_name  &
   string_value = ".ACAR.attachments.ac_bushing"
!
ude modify instance  &
   instance_name = ._baja_steering.bkr_rack_housing_bushing
!
undo end_block
!
!---------------------------------- Accgrav -----------------------------------!
!
!
force create body gravitational  &
   gravity_field_name = gravity  &
   x_component_gravity = 0.0  &
   y_component_gravity = 0.0  &
   z_component_gravity = -9810.0
!
!----------------------------- Analysis settings ------------------------------!
!
!
output_control set results  &
   model_name = _baja_steering  &
   formatted = on
!
!---------------------------- ADAMS/View Variables ----------------------------!
!
!
variable create  &
   variable_name = ._baja_steering.gss_steering_assist.property_file  &
   string_value = "<mini_baja>/steering_assists.tbl/mdi_steer_assist.ste"
!
variable create  &
   variable_name = ._baja_steering.gss_steering_assist.datablock  &
   string_value = "steering_assist"
!
variable create  &
   variable_name = ._baja_steering.gss_steering_assist.spline_type  &
   string_value = "two_dimensional"
!
variable create  &
   variable_name = ._baja_steering.mts_rack_housing_to_suspension_subframe.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._baja_steering.mts_rack_housing_to_suspension_subframe.dependents  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._baja_steering.mts_steering_column_to_body.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._baja_steering.mts_steering_column_to_body.dependents  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._baja_steering.mts_rack_to_body.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._baja_steering.mts_rack_to_body.dependents  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._baja_steering.sws_rack_house_mount.j_marker_list  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._baja_steering.sws_rack_house_mount.index  &
   integer_value = 1
!
variable create  &
   variable_name = ._baja_steering.sws_rack_house_mount.dependents  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._baja_steering.gksred_input_shaft_pinion_lock.reduction_ratio  &
   units = "no_units"  &
   real_value = 1.0
!
variable create  &
   variable_name = ._baja_steering.gksred_input_shaft_pinion_lock.invert_input  &
   integer_value = 0
!
variable create  &
   variable_name = ._baja_steering.grsred_steering_wheel_column_lock.reduction_ratio  &
   units = "no_units"  &
   real_value = 1.0
!
variable create  &
   variable_name = ._baja_steering.grsred_steering_wheel_column_lock.invert_input  &
   integer_value = 0
!
variable create  &
   variable_name = ._baja_steering.grsred_pinion_to_rack.reduction_ratio  &
   units = "no_units"  &
   real_value = 0.17
!
variable create  &
   variable_name = ._baja_steering.grsred_pinion_to_rack.invert_input  &
   integer_value = 1
!
variable create  &
   variable_name = ._baja_steering.steering_wheel_angle.result_name  &
   string_value = "steering_displacements"
!
variable create  &
   variable_name = ._baja_steering.steering_wheel_angle.component_names  &
   string_value = "", "", "", "", "angle", "", "", ""
!
variable create  &
   variable_name = ._baja_steering.steering_wheel_angle.component_units  &
   string_value = "no_units", "no_units", "no_units", "no_units", "angle",  &
                  "no_units", "no_units", "no_units"
!
variable create  &
   variable_name = ._baja_steering.pinion_rotational_displacement.result_name  &
   string_value = "steering_displacements"
!
variable create  &
   variable_name = ._baja_steering.pinion_rotational_displacement.component_names  &
   string_value = "", "", "pinion_displacement", "", "", "", "", ""
!
variable create  &
   variable_name = ._baja_steering.pinion_rotational_displacement.component_units  &
   string_value = "no_units", "no_units", "angle", "no_units", "no_units",  &
                  "no_units", "no_units", "no_units"
!
variable create  &
   variable_name = ._baja_steering.rack_travel.result_name  &
   string_value = "steering_displacements"
!
variable create  &
   variable_name = ._baja_steering.rack_travel.component_names  &
   string_value = "", "", "rack_displacement", "", "", "", "", ""
!
variable create  &
   variable_name = ._baja_steering.rack_travel.component_units  &
   string_value = "no_units", "no_units", "length", "no_units", "no_units",  &
                  "no_units", "no_units", "no_units"
!
variable create  &
   variable_name = ._baja_steering.steering_assist.result_name  &
   string_value = "steering_assist"
!
variable create  &
   variable_name = ._baja_steering.steering_assist.component_names  &
   string_value = "", "", "force", "", "angle", "torsion_bar_torque",  &
                  "pinion_torque", ""
!
variable create  &
   variable_name = ._baja_steering.steering_assist.component_units  &
   string_value = "no_units", "no_units", "force", "no_units", "angle",  &
                  "torque", "torque", "no_units"
!
variable create  &
   variable_name = ._baja_steering.speed  &
   units = "velocity"  &
   real_value = 0.0
!
variable create  &
   variable_name = ._baja_steering.role  &
   string_value = "steering"  &
   comments = "Memory for ADAMS/Car major role"
!
variable create  &
   variable_name = ._baja_steering.col_tierod_to_steering  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._baja_steering.col_tierod_to_steering.matching_name  &
   string_value = "tierod_to_steering"
!
variable create  &
   variable_name = ._baja_steering.col_tierod_to_steering.entity  &
   string_value = "mount"
!
variable create  &
   variable_name = ._baja_steering.col_tierod_to_steering.minor_role  &
   string_value = "front"
!
variable create  &
   variable_name = ._baja_steering.cor_tierod_to_steering  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._baja_steering.cor_tierod_to_steering.matching_name  &
   string_value = "tierod_to_steering"
!
variable create  &
   variable_name = ._baja_steering.cor_tierod_to_steering.entity  &
   string_value = "mount"
!
variable create  &
   variable_name = ._baja_steering.cor_tierod_to_steering.minor_role  &
   string_value = "front"
!
variable create  &
   variable_name = ._baja_steering.cis_rack_housing_to_suspension_subframe  &
   object_value = (NONE)  &
   comments =   &
              "Autocreated for mount part: mts_rack_housing_to_suspension_subframe"
!
variable create  &
   variable_name = ._baja_steering.cis_rack_housing_to_suspension_subframe.matching_name  &
   string_value = "rack_housing_to_suspension_subframe"
!
variable create  &
   variable_name = ._baja_steering.cis_rack_housing_to_suspension_subframe.entity  &
   string_value = "mount"
!
variable create  &
   variable_name = ._baja_steering.cis_rack_housing_to_suspension_subframe.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._baja_steering.cis_steering_column_to_body  &
   object_value = (NONE)  &
   comments = "Autocreated for mount part: mts_steering_column_to_body"
!
variable create  &
   variable_name = ._baja_steering.cis_steering_column_to_body.matching_name  &
   string_value = "steering_column_to_body"
!
variable create  &
   variable_name = ._baja_steering.cis_steering_column_to_body.entity  &
   string_value = "mount"
!
variable create  &
   variable_name = ._baja_steering.cis_steering_column_to_body.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._baja_steering.cos_steering_wheel_joint  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._baja_steering.cos_steering_wheel_joint.matching_name  &
   string_value = "steering_wheel_joint"
!
variable create  &
   variable_name = ._baja_steering.cos_steering_wheel_joint.entity  &
   string_value = "joint_for_motion"
!
variable create  &
   variable_name = ._baja_steering.cos_steering_wheel_joint.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._baja_steering.cos_steering_rack_joint  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._baja_steering.cos_steering_rack_joint.matching_name  &
   string_value = "steering_rack_joint"
!
variable create  &
   variable_name = ._baja_steering.cos_steering_rack_joint.entity  &
   string_value = "joint_for_motion"
!
variable create  &
   variable_name = ._baja_steering.cos_steering_rack_joint.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._baja_steering.template_creation_date  &
   string_value = "1995/08/16,11:19:36  - converted to file_version 4"  &
   comments = "Do not remove"
!
variable create  &
   variable_name = ._baja_steering.minor_role  &
   string_value = "unassigned"  &
   comments = "Memory for ADAMS/Car minor role"
!
variable create  &
   variable_name = ._baja_steering.cis_rack_to_body  &
   object_value = (NONE)  &
   comments = "Autocreated for mount part: mts_rack_to_body"
!
variable create  &
   variable_name = ._baja_steering.cis_rack_to_body.matching_name  &
   string_value = "rack_to_body"
!
variable create  &
   variable_name = ._baja_steering.cis_rack_to_body.entity  &
   string_value = "mount"
!
variable create  &
   variable_name = ._baja_steering.cis_rack_to_body.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._baja_steering.phs_steering_assist_active  &
   integer_value = 0  &
   comments = "Flag that determines if the steering assist is active"
!
variable create  &
   variable_name = ._baja_steering.phs_kinematic_flag  &
   integer_value = 0  &
   comments =   &
              "Flag that determines if kinematic joints or bushings are active"
!
variable create  &
   variable_name = ._baja_steering.model_class  &
   string_value = "template"  &
   comments = "Memory for ADAMS/Car model class"
!
variable create  &
   variable_name = ._baja_steering.custom_dboxes  &
   string_value = "dbox_steering_assist"
!
variable create  &
   variable_name = ._baja_steering.custom_menus  &
   string_value = "button1"
!
variable create  &
   variable_name = ._baja_steering.custom_menus.button1  &
   string_value = "interface dialog_box display &",  &
                  " dialog_box=.ACAR.custom.dbox_steering_assist"  &
   comments = "adjust", "Steering Assist"
!
variable create  &
   variable_name = ._baja_steering.gps_rack_piston_area  &
   units = "no_units"  &
   real_value = 0.0
!
variable create  &
   variable_name = ._baja_steering.gps_rack_piston_area.property_file  &
   string_value = "<mini_baja>/steering_assists.tbl/mdi_steer_assist.ste"
!
variable create  &
   variable_name = ._baja_steering.gps_rack_piston_area.datablock  &
   string_value = "STEERING_ASSIST"
!
variable create  &
   variable_name = ._baja_steering.gps_rack_piston_area.attribute  &
   string_value = "piston_area"
!
variable create  &
   variable_name = ._baja_steering.pvs_max_steering_angle  &
   units = "angle"  &
   real_value = 720.0
!
variable create  &
   variable_name = ._baja_steering.pvs_max_rack_displacement  &
   units = "length"  &
   real_value = 100.0
!
variable create  &
   variable_name = ._baja_steering.pvs_max_rack_force  &
   units = "force"  &
   real_value = 500.0
!
variable create  &
   variable_name = ._baja_steering.pvs_max_steering_torque  &
   units = "torque"  &
   real_value = 500.0
!
variable create  &
   variable_name = ._baja_steering.cos_max_steering_angle  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._baja_steering.cos_max_steering_angle.matching_name  &
   string_value = "max_steering_angle"
!
variable create  &
   variable_name = ._baja_steering.cos_max_steering_angle.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._baja_steering.cos_max_steering_angle.entity  &
   string_value = "parameter_real"
!
variable create  &
   variable_name = ._baja_steering.cos_max_rack_displacement  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._baja_steering.cos_max_rack_displacement.matching_name  &
   string_value = "max_rack_displacement"
!
variable create  &
   variable_name = ._baja_steering.cos_max_rack_displacement.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._baja_steering.cos_max_rack_displacement.entity  &
   string_value = "parameter_real"
!
variable create  &
   variable_name = ._baja_steering.cos_max_rack_force  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._baja_steering.cos_max_rack_force.matching_name  &
   string_value = "max_rack_force"
!
variable create  &
   variable_name = ._baja_steering.cos_max_rack_force.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._baja_steering.cos_max_rack_force.entity  &
   string_value = "parameter_real"
!
variable create  &
   variable_name = ._baja_steering.cos_max_steering_torque  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._baja_steering.cos_max_steering_torque.matching_name  &
   string_value = "max_steering_torque"
!
variable create  &
   variable_name = ._baja_steering.cos_max_steering_torque.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._baja_steering.cos_max_steering_torque.entity  &
   string_value = "parameter_real"
!
!---------------------------- ADAMS/View Functions ----------------------------!
!
!
function create  &
   function_name = .SYMMETRY  &
   text_of_expression = "LOC_MIRROR(location, .__ACAR.ground.origo, .ACAR.variables.symmetry_plane)"  &
   argument_names = "location"  &
   type = location_orientation  &
   comments =   &
              "Compute mirrored location over the symmetry plane given 3x1 location vector"
!
!------------------------- Groups Owned By This Model -------------------------!
!
!
group create  &
   group_name = ._baja_steering.steering_assist_inactive  &
   expr_active = 1
!
group create  &
   group_name = ._baja_steering.kinematic_mode_active  &
   expr_active = 1
!
group create  &
   group_name = ._baja_steering.kinematic_mode_inactive  &
   expr_active = 1
!
!---------------------- Set ADAMS/View Object Variables -----------------------!
!
!
variable modify  &
   variable_name = ._baja_steering.mts_rack_housing_to_suspension_subframe.dependents  &
   object_value = ._baja_steering.mts_fixed_2,  &
                  ._baja_steering.cis_rack_housing_to_suspension_subframe
!
variable modify  &
   variable_name = ._baja_steering.mts_steering_column_to_body.dependents  &
   object_value = ._baja_steering.mts_fixed_3,  &
                  ._baja_steering.cis_steering_column_to_body
!
variable modify  &
   variable_name = ._baja_steering.mts_rack_to_body.dependents  &
   object_value = ._baja_steering.mts_fixed_4,  &
                  ._baja_steering.cis_rack_to_body
!
variable modify  &
   variable_name = ._baja_steering.sws_rack_house_mount.j_marker_list  &
   object_value = ._baja_steering.mts_rack_to_body.sws_switch_j_1,  &
                  ._baja_steering.mts_rack_housing_to_suspension_subframe.sws_switch_j_2
!
variable modify  &
   variable_name = ._baja_steering.sws_rack_house_mount.dependents  &
   object_value = ._baja_steering.sws_fixed_1
!
variable modify  &
   variable_name = ._baja_steering.col_tierod_to_steering  &
   object_value = ._baja_steering.ges_rack
!
variable modify  &
   variable_name = ._baja_steering.cor_tierod_to_steering  &
   object_value = ._baja_steering.ges_rack
!
variable modify  &
   variable_name = ._baja_steering.cis_rack_housing_to_suspension_subframe  &
   object_value = ._baja_steering.ground.mts_mount_j_2,  &
                  ._baja_steering.mts_rack_housing_to_suspension_subframe,  &
                  ._baja_steering.mts_fixed_2
!
variable modify  &
   variable_name = ._baja_steering.cis_steering_column_to_body  &
   object_value = ._baja_steering.ground.mts_mount_j_3,  &
                  ._baja_steering.mts_steering_column_to_body,  &
                  ._baja_steering.mts_fixed_3
!
variable modify  &
   variable_name = ._baja_steering.cos_steering_wheel_joint  &
   object_value = ._baja_steering.josrev_steering_wheel
!
variable modify  &
   variable_name = ._baja_steering.cos_steering_rack_joint  &
   object_value = ._baja_steering.jostra_rack_to_rackhousing
!
variable modify  &
   variable_name = ._baja_steering.cis_rack_to_body  &
   object_value = ._baja_steering.ground.mts_mount_j_4,  &
                  ._baja_steering.mts_rack_to_body,  &
                  ._baja_steering.mts_fixed_4
!
variable modify  &
   variable_name = ._baja_steering.cos_max_steering_angle  &
   object_value = ._baja_steering.pvs_max_steering_angle
!
variable modify  &
   variable_name = ._baja_steering.cos_max_rack_displacement  &
   object_value = ._baja_steering.pvs_max_rack_displacement
!
variable modify  &
   variable_name = ._baja_steering.cos_max_rack_force  &
   object_value = ._baja_steering.pvs_max_rack_force
!
variable modify  &
   variable_name = ._baja_steering.cos_max_steering_torque  &
   object_value = ._baja_steering.pvs_max_steering_torque
!
!--------------------------- Add Objects To Groups ----------------------------!
!
!
group modify  &
   group_name = ._baja_steering.steering_assist_inactive  &
   objects_in_group = ._baja_steering.gksred_input_shaft_pinion_lock
!
group modify  &
   group_name = ._baja_steering.kinematic_mode_active  &
   objects_in_group = ._baja_steering.jksfix_rigid_rack_housing_mount,  &
      ._baja_steering.gksred_input_shaft_pinion_lock
!
group modify  &
   group_name = ._baja_steering.kinematic_mode_inactive  &
   objects_in_group = ._baja_steering.ges_rack_housing.bxl_bushing_i_1,  &
      ._baja_steering.ges_rack_housing.bxl_bushgeom_i_1,  &
      ._baja_steering.sws_rack_house_mount.bxl_bushing_j_1,  &
      ._baja_steering.sws_rack_house_mount.bxl_bushgeom_j_1,  &
      ._baja_steering.ges_rack_housing.bxr_bushing_i_1,  &
      ._baja_steering.ges_rack_housing.bxr_bushgeom_i_1,  &
      ._baja_steering.sws_rack_house_mount.bxr_bushing_j_1,  &
      ._baja_steering.sws_rack_house_mount.bxr_bushgeom_j_1,  &
      ._baja_steering.bkl_rack_housing_bushing,  &
      ._baja_steering.bkr_rack_housing_bushing
!
!---------------------------- Function definitions ----------------------------!
!
!
constraint modify motion_generator  &
   motion_name = ._baja_steering._cv_motion  &
   function = "0"
!
data_element modify variable  &
   variable_name = ._baja_steering._cv_solver_variable  &
   function = "0"
!
part modify equation differential_equation  &
   differential_equation_name = ._baja_steering._cv_diff  &
   function = "0"
!
force modify direct force_vector  &
   force_vector_name = ._baja_steering.steering_assist_vforce  &
   x_force_function = "0"  &
   y_force_function = "0"  &
   z_force_function = "._baja_steering.gps_rack_piston_area*AKISPL(AZ(._baja_steering.ges_steering_shaft.bxs_bushing_i_1,._baja_steering.ges_pinion.bxs_bushing_j_1),0,._baja_steering.gss_steering_assist)"
!
output_control modify request  &
   request_name = ._baja_steering.steering_assist  &
   f4 = "FZ(._baja_steering.ges_rack.steering_assist_vforce,._baja_steering.ges_rack_housing.FMA,._baja_steering.ges_rack.steering_assist_vforce)"  &
   f6 = "RTOD*AZ(._baja_steering.ges_steering_shaft.bxs_bushing_i_1,._baja_steering.ges_pinion.bxs_bushing_j_1)"  &
   f7 = "TZ(._baja_steering.ges_steering_shaft.bxs_bushing_i_1,._baja_steering.ges_pinion.bxs_bushing_j_1,._baja_steering.ges_pinion.bxs_bushing_j_1)"  &
   f8 = "TZ(._baja_steering.ges_rack_housing.jxs_joint_j_12,._baja_steering.ges_pinion.jxs_joint_i_12,._baja_steering.ges_pinion.jxs_joint_i_12)"
!
!-------------------------- Adams/View UDE Instance ---------------------------!
!
!
ude modify instance  &
   instance_name = ._baja_steering.bgs_torsion_bar
!
!-------------------------- Adams/View UDE Instance ---------------------------!
!
!
ude modify instance  &
   instance_name = ._baja_steering.bkl_rack_housing_bushing
!
!-------------------------- Adams/View UDE Instance ---------------------------!
!
!
ude modify instance  &
   instance_name = ._baja_steering.bkr_rack_housing_bushing
!
!--------------------------- Expression definitions ---------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ground
!
marker modify  &
   marker_name = ._baja_steering.ground.cfs_steering_wheel_center  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._baja_steering.ground.hps_steering_wheel_center))  &
   orientation =   &
      (ORI_ALONG_AXIS(._baja_steering.ground.hps_steering_wheel_center, ._baja_steering.ground.hps_intermediate_shaft_rearward, "Z"))
!
marker modify  &
   marker_name = ._baja_steering.ground.cfs_pinion_pivot  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._baja_steering.ground.hps_pinion_pivot))  &
   orientation =   &
      (ORI_ALONG_AXIS(._baja_steering.ground.hps_pinion_pivot, ._baja_steering.ground.hps_intermediate_shaft_forward, "Z"))
!
marker modify  &
   marker_name = ._baja_steering.ground.cfs_rack_mount  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}mm + LOC_LOCAL(._baja_steering.ground.hps_pinion_pivot.location, ._baja_steering.ground.origo), ._baja_steering.ground.origo))  &
   orientation =   &
      (ORI_ALONG_AXIS(._baja_steering.ground.cfs_rack_mount, ._baja_steering.ground.hpr_tierod_inner, "Z"))
!
marker modify  &
   marker_name = ._baja_steering.ground.mts_mount_j_2  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._baja_steering.mts_rack_housing_to_suspension_subframe))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._baja_steering.mts_rack_housing_to_suspension_subframe))
!
marker modify  &
   marker_name = ._baja_steering.ground.mts_mount_j_3  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._baja_steering.mts_steering_column_to_body))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._baja_steering.mts_steering_column_to_body))
!
marker modify  &
   marker_name = ._baja_steering.ground.cfs_steering_column_to_body  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 100.0}mm, ._baja_steering.ground.cfs_steering_wheel_center))  &
   orientation =   &
      (ORI_RELATIVE_TO({0.0, 0.0, 0.0}, ._baja_steering.ground.cfs_steering_wheel_center))
!
marker modify  &
   marker_name = ._baja_steering.ground.mts_mount_j_4  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._baja_steering.mts_rack_to_body))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._baja_steering.mts_rack_to_body))
!
data_element modify string  &
   string_name = ._baja_steering.minor_role_string  &
   string = (._baja_steering.minor_role)
!
marker modify  &
   marker_name = ._baja_steering.ges_steering_shaft.gralin_1  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._baja_steering.ground.hps_pinion_pivot))  &
   orientation =   &
      (ORI_ALONG_AXIS(._baja_steering.ground.hps_pinion_pivot, ._baja_steering.ground.hps_intermediate_shaft_forward, "Z"))  &
   relative_to = ._baja_steering.ges_steering_shaft
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_steering.ground
!
marker modify  &
   marker_name = ._baja_steering.ges_steering_shaft.josrev_steering_input_shaft_1  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._baja_steering.ground.hps_pinion_pivot))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._baja_steering.ground.cfs_pinion_pivot))  &
   relative_to = ._baja_steering.ges_steering_shaft
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_steering.ground
!
marker modify  &
   marker_name = ._baja_steering.ges_steering_shaft.jxs_joint_i_14  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._baja_steering.ges_rack_housing.jxs_joint_j_14))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._baja_steering.ges_rack_housing.jxs_joint_j_14))  &
   relative_to = ._baja_steering.ges_steering_shaft
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_steering.ground
!
marker modify  &
   marker_name = ._baja_steering.ges_steering_shaft.bxs_bushing_i_1  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._baja_steering.ges_pinion.bxs_bushing_j_1))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._baja_steering.ges_pinion.bxs_bushing_j_1))  &
   relative_to = ._baja_steering.ges_steering_shaft
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_steering.ground
!
marker modify  &
   marker_name = ._baja_steering.ges_steering_shaft.inertia_frame  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._baja_steering.ges_steering_shaft.cm))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._baja_steering.ges_steering_shaft))  &
   relative_to = ._baja_steering.ges_steering_shaft
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_steering.ground
!
marker modify  &
   marker_name = ._baja_steering.ges_steering_shaft.bxs_bushgeom_i_1  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, -._baja_steering.bgs_torsion_bar.geoLength / 2}, ._baja_steering.ges_steering_shaft.bxs_bushing_i_1))  &
   orientation =   &
      (ORI_RELATIVE_TO({270deg, 0, 0}, ._baja_steering.ges_steering_shaft.bxs_bushing_i_1))  &
   relative_to = ._baja_steering.ges_steering_shaft
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_steering.ground
!
marker modify  &
   marker_name = ._baja_steering.ges_steering_shaft.gralin_4  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._baja_steering.ground.hps_steering_wheel_center))  &
   orientation =   &
      (ORI_ALONG_AXIS(._baja_steering.ground.hps_steering_wheel_center, ._baja_steering.ground.hps_intermediate_shaft_rearward, "Z"))  &
   relative_to = ._baja_steering.ges_steering_shaft
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_steering.ground
!
marker modify  &
   marker_name = ._baja_steering.ges_steering_shaft.jxs_joint_i_13  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._baja_steering.mts_steering_column_to_body.jxs_joint_j_13))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._baja_steering.mts_steering_column_to_body.jxs_joint_j_13))  &
   relative_to = ._baja_steering.ges_steering_shaft
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_steering.ground
!
geometry modify shape cylinder  &
   cylinder_name = ._baja_steering.ges_steering_shaft.gralin_steering_shaft  &
   length = (DM(._baja_steering.ground.hps_intermediate_shaft_forward, ._baja_steering.ground.hps_pinion_pivot))
!
geometry modify shape cylinder  &
   cylinder_name = ._baja_steering.ges_steering_shaft.gralin_steering_column  &
   length = (DM(._baja_steering.ground.hps_intermediate_shaft_rearward, ._baja_steering.ground.hps_steering_wheel_center))
!
part modify rigid_body name_and_position  &
   part_name = ._baja_steering.ges_steering_shaft  &
   location =   &
      (LOC_ALONG_LINE(._baja_steering.ground.hps_intermediate_shaft_forward, ._baja_steering.ground.hps_pinion_pivot, 0.5 * DM(._baja_steering.ground.hps_intermediate_shaft_forward, ._baja_steering.ground.hps_pinion_pivot)))  &
   orientation =   &
      (ORI_ALONG_AXIS(._baja_steering.ges_steering_shaft, ._baja_steering.ground.hps_intermediate_shaft_forward, "Z"))
!
marker modify  &
   marker_name = ._baja_steering.ges_rack.gralin_2  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._baja_steering.ground.hpr_tierod_inner))  &
   orientation =   &
      (ORI_ALONG_AXIS(._baja_steering.ground.hpr_tierod_inner, ._baja_steering.ground.hpl_tierod_inner, "Z"))  &
   relative_to = ._baja_steering.ges_rack
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_steering.ground
!
marker modify  &
   marker_name = ._baja_steering.ges_rack.jxs_joint_i_10  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._baja_steering.ges_rack_housing.jxs_joint_j_10))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._baja_steering.ges_rack_housing.jxs_joint_j_10))  &
   relative_to = ._baja_steering.ges_rack
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_steering.ground
!
marker modify  &
   marker_name = ._baja_steering.ges_rack.inertia_frame  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._baja_steering.ges_rack.cm))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._baja_steering.ges_rack))  &
   relative_to = ._baja_steering.ges_rack
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_steering.ground
!
marker modify  &
   marker_name = ._baja_steering.ges_rack.steering_assist_vforce  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._baja_steering.ground.cfs_rack_mount))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._baja_steering.ground.cfs_rack_mount))  &
   relative_to = ._baja_steering.ges_rack
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_steering.ground
!
geometry modify shape cylinder  &
   cylinder_name = ._baja_steering.ges_rack.gralin_rack  &
   length = (DM(._baja_steering.ground.hpl_tierod_inner, ._baja_steering.ground.hpr_tierod_inner))
!
part modify rigid_body name_and_position  &
   part_name = ._baja_steering.ges_rack  &
   location =   &
      (LOC_ALONG_LINE(._baja_steering.ground.hpl_tierod_inner, ._baja_steering.ground.hpr_tierod_inner, 0.5 * DM(._baja_steering.ground.hpl_tierod_inner, ._baja_steering.ground.hpr_tierod_inner)))  &
   orientation =   &
      (ORI_ALONG_AXIS(._baja_steering.ges_rack, ._baja_steering.ground.hpl_tierod_inner, "Z"))
!
marker modify  &
   marker_name = ._baja_steering.ges_steering_wheel.graphics_location  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0} + ._baja_steering.ground.hps_steering_wheel_center.location, ._baja_steering.ground))  &
   orientation =   &
      (ORI_RELATIVE_TO({0.0, 0.0, 180}degrees, ._baja_steering.ground.cfs_steering_wheel_center))  &
   relative_to = ._baja_steering.ges_steering_wheel
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_steering.ground
!
marker modify  &
   marker_name = ._baja_steering.ges_steering_wheel.jxs_joint_i_11  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._baja_steering.mts_steering_column_to_body.jxs_joint_j_11))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._baja_steering.mts_steering_column_to_body.jxs_joint_j_11))  &
   relative_to = ._baja_steering.ges_steering_wheel
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_steering.ground
!
marker modify  &
   marker_name = ._baja_steering.ges_steering_wheel.inertia_frame  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._baja_steering.ges_steering_wheel.cm))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._baja_steering.ges_steering_wheel))  &
   relative_to = ._baja_steering.ges_steering_wheel
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_steering.ground
!
part modify rigid_body name_and_position  &
   part_name = ._baja_steering.ges_steering_wheel  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}mm, ._baja_steering.ground.hps_steering_wheel_center))  &
   orientation =   &
      (ORI_RELATIVE_TO({0.0, 0.0, 0.0}degrees, ._baja_steering.ground.cfs_steering_wheel_center))
!
marker modify  &
   marker_name = ._baja_steering.ges_pinion.josrev_pinion_1  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._baja_steering.ground.hps_pinion_pivot))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._baja_steering.ground.cfs_pinion_pivot))  &
   relative_to = ._baja_steering.ges_pinion
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_steering.ground
!
marker modify  &
   marker_name = ._baja_steering.ges_pinion.jxs_joint_i_12  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._baja_steering.ges_rack_housing.jxs_joint_j_12))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._baja_steering.ges_rack_housing.jxs_joint_j_12))  &
   relative_to = ._baja_steering.ges_pinion
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_steering.ground
!
marker modify  &
   marker_name = ._baja_steering.ges_pinion.bxs_bushing_j_1  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._baja_steering.bgs_torsion_bar))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._baja_steering.bgs_torsion_bar))  &
   relative_to = ._baja_steering.ges_pinion
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_steering.ground
!
marker modify  &
   marker_name = ._baja_steering.ges_pinion.inertia_frame  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._baja_steering.ges_pinion.cm))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._baja_steering.ges_pinion))  &
   relative_to = ._baja_steering.ges_pinion
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_steering.ground
!
marker modify  &
   marker_name = ._baja_steering.ges_pinion.bxs_bushgeom_j_1  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, -._baja_steering.bgs_torsion_bar.geoLength / 2}, ._baja_steering.ges_pinion.bxs_bushing_j_1))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._baja_steering.ges_pinion.bxs_bushing_j_1))  &
   relative_to = ._baja_steering.ges_pinion
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_steering.ground
!
part modify rigid_body name_and_position  &
   part_name = ._baja_steering.ges_pinion  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}mm, ._baja_steering.ground.hps_pinion_pivot))  &
   orientation =   &
      (ORI_RELATIVE_TO({0.0, 0.0, 0.0}degrees, ._baja_steering.ground.cfs_pinion_pivot))
!
marker modify  &
   marker_name = ._baja_steering.ges_rack_housing.gralin_3  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._baja_steering.ground.hpr_rack_house_mount))  &
   orientation =   &
      (ORI_ALONG_AXIS(._baja_steering.ground.hpr_rack_house_mount, ._baja_steering.ground.hpl_rack_house_mount, "Z"))  &
   relative_to = ._baja_steering.ges_rack_housing
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_steering.ground
!
marker modify  &
   marker_name = ._baja_steering.ges_rack_housing.jxs_joint_j_10  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._baja_steering.ground.cfs_rack_mount))  &
   orientation =   &
      (ORI_ALONG_AXIS(._baja_steering.ges_rack_housing.jxs_joint_j_10, ._baja_steering.ground.hpr_tierod_inner, "Z"))  &
   relative_to = ._baja_steering.ges_rack_housing
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_steering.ground
!
marker modify  &
   marker_name = ._baja_steering.ges_rack_housing.jxs_joint_j_12  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._baja_steering.ground.hps_pinion_pivot))  &
   orientation =   &
      (ORI_ALONG_AXIS(._baja_steering.ges_rack_housing.jxs_joint_j_12, ._baja_steering.ground.hps_intermediate_shaft_forward, "Z"))  &
   relative_to = ._baja_steering.ges_rack_housing
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_steering.ground
!
marker modify  &
   marker_name = ._baja_steering.ges_rack_housing.jxs_joint_j_14  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._baja_steering.ground.hps_pinion_pivot))  &
   orientation =   &
      (ORI_ALONG_AXIS(._baja_steering.ges_rack_housing.jxs_joint_j_14, ._baja_steering.ground.hps_intermediate_shaft_forward, "Z"))  &
   relative_to = ._baja_steering.ges_rack_housing
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_steering.ground
!
marker modify  &
   marker_name = ._baja_steering.ges_rack_housing.jxs_joint_i_15  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._baja_steering.sws_rack_house_mount.jxs_joint_j_15))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._baja_steering.sws_rack_house_mount.jxs_joint_j_15))  &
   relative_to = ._baja_steering.ges_rack_housing
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_steering.ground
!
marker modify  &
   marker_name = ._baja_steering.ges_rack_housing.bxl_bushing_i_1  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._baja_steering.sws_rack_house_mount.bxl_bushing_j_1))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._baja_steering.sws_rack_house_mount.bxl_bushing_j_1))  &
   relative_to = ._baja_steering.ges_rack_housing
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_steering.ground
!
marker modify  &
   marker_name = ._baja_steering.ges_rack_housing.bxr_bushing_i_1  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._baja_steering.sws_rack_house_mount.bxr_bushing_j_1))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._baja_steering.sws_rack_house_mount.bxr_bushing_j_1))  &
   relative_to = ._baja_steering.ges_rack_housing
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_steering.ground
!
marker modify  &
   marker_name = ._baja_steering.ges_rack_housing.inertia_frame  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._baja_steering.ges_rack_housing.cm))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._baja_steering.ges_rack_housing))  &
   relative_to = ._baja_steering.ges_rack_housing
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_steering.ground
!
marker modify  &
   marker_name = ._baja_steering.ges_rack_housing.bxl_bushgeom_i_1  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, -._baja_steering.bkl_rack_housing_bushing.geoLength / 2}, ._baja_steering.ges_rack_housing.bxl_bushing_i_1))  &
   orientation =   &
      (ORI_RELATIVE_TO({270deg, 0, 0}, ._baja_steering.ges_rack_housing.bxl_bushing_i_1))  &
   relative_to = ._baja_steering.ges_rack_housing
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_steering.ground
!
marker modify  &
   marker_name = ._baja_steering.ges_rack_housing.bxr_bushgeom_i_1  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, -._baja_steering.bkr_rack_housing_bushing.geoLength / 2}, ._baja_steering.ges_rack_housing.bxr_bushing_i_1))  &
   orientation =   &
      (ORI_RELATIVE_TO({270deg, 0, 0}, ._baja_steering.ges_rack_housing.bxr_bushing_i_1))  &
   relative_to = ._baja_steering.ges_rack_housing
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_steering.ground
!
geometry modify shape cylinder  &
   cylinder_name = ._baja_steering.ges_rack_housing.gralin_rack_housing  &
   length = (DM(._baja_steering.ground.hpl_rack_house_mount, ._baja_steering.ground.hpr_rack_house_mount))
!
part modify rigid_body name_and_position  &
   part_name = ._baja_steering.ges_rack_housing  &
   location =   &
      (LOC_ALONG_LINE(._baja_steering.ground.hpl_rack_house_mount, ._baja_steering.ground.hpr_rack_house_mount, 0.5 * DM(._baja_steering.ground.hpl_rack_house_mount, ._baja_steering.ground.hpr_rack_house_mount)))  &
   orientation =   &
      (ORI_ALONG_AXIS(._baja_steering.ges_rack_housing, ._baja_steering.ground.hpl_rack_house_mount, "Z"))
!
marker modify  &
   marker_name = ._baja_steering.mts_rack_housing_to_suspension_subframe.sws_switch_j_2  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._baja_steering.sws_rack_house_mount))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._baja_steering.sws_rack_house_mount))  &
   relative_to = ._baja_steering.mts_rack_housing_to_suspension_subframe
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_steering.ground
!
part modify rigid_body name_and_position  &
   part_name = ._baja_steering.mts_rack_housing_to_suspension_subframe  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._baja_steering.ground.cfs_rack_mount))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._baja_steering.ground.origo))
!
marker modify  &
   marker_name = ._baja_steering.mts_steering_column_to_body.jxs_joint_j_11  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}mm, ._baja_steering.ground.hps_steering_wheel_center))  &
   orientation =   &
      (ORI_RELATIVE_TO({0.0, 180.0, 0.0}degrees, ._baja_steering.ground.cfs_steering_wheel_center))  &
   relative_to = ._baja_steering.mts_steering_column_to_body
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_steering.ground
!
marker modify  &
   marker_name = ._baja_steering.mts_steering_column_to_body.jxs_joint_j_13  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._baja_steering.ground.cfs_steering_column_to_body))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._baja_steering.ground.cfs_steering_column_to_body))  &
   relative_to = ._baja_steering.mts_steering_column_to_body
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_steering.ground
!
geometry modify shape cylinder  &
   cylinder_name = ._baja_steering.mts_steering_column_to_body.steering_column_housing  &
   length = (0.5 * DM(._baja_steering.ground.hps_steering_wheel_center, ._baja_steering.ground.hps_intermediate_shaft_rearward))
!
part modify rigid_body name_and_position  &
   part_name = ._baja_steering.mts_steering_column_to_body  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._baja_steering.ground.hps_intermediate_shaft_rearward))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._baja_steering.ground.origo))
!
marker modify  &
   marker_name = ._baja_steering.mts_rack_to_body.sws_switch_j_1  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._baja_steering.sws_rack_house_mount))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._baja_steering.sws_rack_house_mount))  &
   relative_to = ._baja_steering.mts_rack_to_body
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_steering.ground
!
part modify rigid_body name_and_position  &
   part_name = ._baja_steering.mts_rack_to_body  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._baja_steering.ground.cfs_rack_mount))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._baja_steering.ground.origo))
!
marker modify  &
   marker_name = ._baja_steering.sws_rack_house_mount.jxs_joint_j_15  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._baja_steering.ground.cfs_rack_mount))  &
   orientation =   &
      (ORI_ALONG_AXIS(._baja_steering.sws_rack_house_mount.jxs_joint_j_15, ._baja_steering.ground.hpr_tierod_inner, "Z"))  &
   relative_to = ._baja_steering.sws_rack_house_mount
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_steering.ground
!
marker modify  &
   marker_name = ._baja_steering.sws_rack_house_mount.bxl_bushing_j_1  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._baja_steering.bkl_rack_housing_bushing))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._baja_steering.bkl_rack_housing_bushing))  &
   relative_to = ._baja_steering.sws_rack_house_mount
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_steering.ground
!
marker modify  &
   marker_name = ._baja_steering.sws_rack_house_mount.bxr_bushing_j_1  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._baja_steering.bkr_rack_housing_bushing))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._baja_steering.bkr_rack_housing_bushing))  &
   relative_to = ._baja_steering.sws_rack_house_mount
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_steering.ground
!
marker modify  &
   marker_name = ._baja_steering.sws_rack_house_mount.bxl_bushgeom_j_1  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, -._baja_steering.bkl_rack_housing_bushing.geoLength / 2}, ._baja_steering.sws_rack_house_mount.bxl_bushing_j_1))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._baja_steering.sws_rack_house_mount.bxl_bushing_j_1))  &
   relative_to = ._baja_steering.sws_rack_house_mount
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_steering.ground
!
marker modify  &
   marker_name = ._baja_steering.sws_rack_house_mount.bxr_bushgeom_j_1  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, -._baja_steering.bkr_rack_housing_bushing.geoLength / 2}, ._baja_steering.sws_rack_house_mount.bxr_bushing_j_1))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._baja_steering.sws_rack_house_mount.bxr_bushing_j_1))  &
   relative_to = ._baja_steering.sws_rack_house_mount
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_steering.ground
!
part modify rigid_body name_and_position  &
   part_name = ._baja_steering.sws_rack_house_mount  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._baja_steering.ground.cfs_rack_mount))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._baja_steering.ground.origo))
!
constraint modify joint fixed  &
   joint_name = ._baja_steering.sws_fixed_1  &
   j_marker_name = (._baja_steering.sws_rack_house_mount.j_marker_list[._baja_steering.sws_rack_house_mount.index])
!
constraint modify complex_joint coupler  &
   coupler_name = ._baja_steering.gksred_input_shaft_pinion_lock  &
   motion_multipliers =   &
      (._baja_steering.gksred_input_shaft_pinion_lock.invert_input ? 1.0 : -1.0),  &
      (._baja_steering.gksred_input_shaft_pinion_lock.reduction_ratio)
!
constraint modify complex_joint coupler  &
   coupler_name = ._baja_steering.grsred_steering_wheel_column_lock  &
   motion_multipliers =   &
      (._baja_steering.grsred_steering_wheel_column_lock.invert_input ? 1.0 : -1.0),  &
      (._baja_steering.grsred_steering_wheel_column_lock.reduction_ratio)
!
constraint modify complex_joint coupler  &
   coupler_name = ._baja_steering.grsred_pinion_to_rack  &
   motion_multipliers =   &
      (._baja_steering.grsred_pinion_to_rack.invert_input ? 1.0 : -1.0),  &
      (._baja_steering.grsred_pinion_to_rack.reduction_ratio)
!
ude modify instance  &
   instance_name = ._baja_steering.bgs_torsion_bar  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}mm, ._baja_steering.ground.hps_pinion_pivot))  &
   orientation =   &
      (ORI_ALONG_AXIS(._baja_steering.bgs_torsion_bar, ._baja_steering.ground.hps_intermediate_shaft_forward, "Z"))
!
ude modify instance  &
   instance_name = ._baja_steering.bkl_rack_housing_bushing  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}mm, ._baja_steering.ground.hpl_rack_house_mount))  &
   orientation =   &
      (ORI_ALONG_AXIS(._baja_steering.bkl_rack_housing_bushing, ._baja_steering.ground.hpr_rack_house_mount, "Z"))
!
ude modify instance  &
   instance_name = ._baja_steering.bkr_rack_housing_bushing  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}mm, ._baja_steering.ground.hpr_rack_house_mount))  &
   orientation =   &
      (ORI_ALONG_AXIS(._baja_steering.bkr_rack_housing_bushing, ._baja_steering.ground.hpl_rack_house_mount, "Z"))
!
variable modify  &
   variable_name = ._baja_steering.cis_rack_housing_to_suspension_subframe.minor_role  &
   string_value = (._baja_steering.mts_rack_housing_to_suspension_subframe.minor_role)
!
variable modify  &
   variable_name = ._baja_steering.cis_rack_housing_to_suspension_subframe  &
   comments = ("Autocreated for mount part: " // ._baja_steering.cis_rack_housing_to_suspension_subframe[2].name)
!
variable modify  &
   variable_name = ._baja_steering.cis_steering_column_to_body.minor_role  &
   string_value = (._baja_steering.mts_steering_column_to_body.minor_role)
!
variable modify  &
   variable_name = ._baja_steering.cis_steering_column_to_body  &
   comments = ("Autocreated for mount part: " // ._baja_steering.cis_steering_column_to_body[2].name)
!
variable modify  &
   variable_name = ._baja_steering.cis_rack_to_body.minor_role  &
   string_value = (._baja_steering.mts_rack_to_body.minor_role)
!
variable modify  &
   variable_name = ._baja_steering.cis_rack_to_body  &
   comments = ("Autocreated for mount part: " // ._baja_steering.cis_rack_to_body[2].name)
!
group modify  &
   group_name = ._baja_steering.steering_assist_inactive  &
   expr_active = (._baja_steering.phs_kinematic_flag ||  ! ._baja_steering.phs_steering_assist_active)
!
group modify  &
   group_name = ._baja_steering.kinematic_mode_active  &
   expr_active = (._baja_steering.phs_kinematic_flag || ._baja_steering.model_class == "template" ? 1 : 0)
!
group modify  &
   group_name = ._baja_steering.kinematic_mode_inactive  &
   expr_active = ( ! ._baja_steering.phs_kinematic_flag || ._baja_steering.model_class == "template" ? 1 : 0)
!
model display  &
   model_name = _baja_steering
!
!-------------------------- Custom Dboxes for Template ------------------------!
!
!
if condition=(!db_exists(".ACAR.custom.dbox_steering_assist"))
!
interface dialog_box create  &
   dialog_box_name = .ACAR.custom.dbox_steering_assist  &
   location = 33.0, 154.0  &
   height = 98.0  &
   width = 400.0  &
   units = pixel  &
   horiz_resizing = scale_all  &
   vert_resizing = scale_all  &
   title = "Modify Steering Assist"  &
   iconifiable = no  &
   start_commands = "variable set variable_name=$_self.errorFlag int=0",  &
                    "variable set variable_name=$_self.defaultModel &",  &
                    " object_value=(eval(db_default(.system_defaults, \"model\")))",  &
                    "if condition=(db_exists($_self.defaultModel//\".gss_steering_assist\"))",  &
                    "   interface field set &",  &
                    "    field_name=$_self.f_property_file &",  &
                    "    string=(eval($_self.defaultModel[1].gss_steering_assist.property_file.string_value[1]))",  &
                    "   interface toggle_button set &",  &
                    "    toggle_button=$_self.t_active &",  &
                    "    state=(eval($_self.defaultModel[1].phs_steering_assist_active.integer_value[1] == 1 ? \"on\" : \"off\"))",  &
                    "else",  &
                    "   acar toolkit warning &",  &
                    "    warning=\"The default model does not contain an steering assist entity!\"",  &
                    "   interface dialog_box undisplay dialog_box_name=$_self",  &
                    "end"  &
   finish_commands = "for var=$_self.loopobj object=(eval(db_children($_self,\"graphic_interface_field\")))",  &
                     "   interface field set field=(eval($_self.loopobj[1])) &",  &
                     "    string=\"\" execute=no",  &
                     "end",  &
                     "variable delete variable_name=(eval(db_children($_self,\"variable\")))"  &
   execution_commands = "variable set variable_name=$_self.errorFlag int=0",  &
                        "!----",  &
                        "!---- Update pv for steering_assist activity",  &
                        "variable modify variable=(eval($_self.defaultModel[1].phs_steering_assist_active)) &",  &
                        " integer_value=(eval(\"$t_active\" == \"yes\" ? 1 : 0))",  &
                        "",  &
                        "!---- Update the property file for the steering_assist general spline ----",  &
                        "acar standard_interface general_spline &",  &
                        " general_spline=(eval($_self.defaultModel[1].gss_steering_assist)) &",  &
                        " property_file=$f_property_file &",  &
                        " symmetric=no",  &
                        "",  &
                        "!---- Update the property file for the torsion_bar general spline ----",  &
                        "if condition=(db_exists($_self.defaultModel[1]//\".gss_torsion_bar\"))",  &
                        "   acar standard_interface general_spline &",  &
                        "    general_spline=(eval($_self.defaultModel[1].gss_torsion_bar)) &",  &
                        "    property_file=$f_property_file &",  &
                        "    symmetric=no",  &
                        "end",  &
                        "",  &
                        "!---- Update the property file for the rack_piston_area general parameter ----",  &
                        "acar standard_interface general_parameter &",  &
                        " general_parameter=(eval($_self.defaultModel[1].gps_rack_piston_area)) &",  &
                        " property_file=$f_property_file &",  &
                        " symmetric=no"  &
   decorate = yes  &
   resizable = yes  &
   height_minimum = 98.0  &
   height_maximum = 98.0  &
   grab_all_input = no
!
interface push_button create  &
   push_button_name = .ACAR.custom.dbox_steering_assist.Ok  &
   location = 164.0, 69.0  &
   height = 25.0  &
   width = 76.0  &
   units = pixel  &
   horiz_resizing = attach_right  &
   vert_resizing = attach_bottom  &
   label = "OK"  &
   commands = "interface dialog execute dialog=$_parent undisplay=no",  &
              "if condition=(!$_parent.errorFlag)",  &
              "   interface dialog undisplay dialog=$_parent",  &
              "end"
!
interface push_button create  &
   push_button_name = .ACAR.custom.dbox_steering_assist.Apply  &
   location = 242.0, 69.0  &
   height = 25.0  &
   width = 76.0  &
   units = pixel  &
   horiz_resizing = attach_right  &
   vert_resizing = attach_bottom  &
   label = "Apply"  &
   commands = "interface dialog execute dialog=$_parent undisp=no"
!
interface push_button create  &
   push_button_name = .ACAR.custom.dbox_steering_assist.Cancel  &
   location = 320.0, 69.0  &
   height = 25.0  &
   width = 76.0  &
   units = pixel  &
   horiz_resizing = attach_right  &
   vert_resizing = attach_bottom  &
   label = "Cancel"  &
   commands = "interface dialog undisplay dialog=$_parent"
!
interface label create  &
   label_name = .ACAR.custom.dbox_steering_assist.l_property_file  &
   location = 4.0, 4.0  &
   height = 25.0  &
   width = 150.0  &
   units = pixel  &
   horiz_resizing = attach_left  &
   vert_resizing = attach_top  &
   justified = left  &
   text = "Property File"
!
interface field create  &
   field_name = .ACAR.custom.dbox_steering_assist.f_property_file  &
   location = 156.0, 4.0  &
   height = 25.0  &
   width = 240.0  &
   units = pixel  &
   horiz_resizing = expand  &
   vert_resizing = attach_top  &
   scrollable = no  &
   editable = yes  &
   required = yes  &
   execute_cmds_on_exit = no  &
   number_of_values = 1  &
   file_type = old_file  &
   filter = "*.ste"  &
   alert_on_overwrite = no
!
interface toggle_button create  &
   toggle_button_name = .ACAR.custom.dbox_steering_assist.t_active  &
   location = 4.0, 31.0  &
   height = 25.0  &
   width = 178.0  &
   units = pixel  &
   horiz_resizing = attach_left  &
   vert_resizing = attach_top  &
   label = "Steering Assist Active"  &
   state = off  &
   on_value = "yes"  &
   off_value = "no"
!
interface push_button create  &
   push_button_name = .ACAR.custom.dbox_steering_assist.b_view_file  &
   help_text = "View property file in info window"  &
   location = 4.0, 58.0  &
   height = 36.0  &
   width = 36.0  &
   units = pixel  &
   horiz_resizing = attach_left  &
   vert_resizing = attach_bottom  &
   icon_file = "acar_view_file"  &
   commands = "if condition=($f_property_file == \"\")",  &
              "   acar toolkit warning &",  &
              "    warning=\"You must specify a property file!\"",  &
              "   return",  &
              "end",  &
              "info empty",  &
              "info read file=$f_property_file"
end
