$---------------------------------------------------------------------MDI_HEADER
[MDI_HEADER]
 FILE_TYPE     =  'tpl'
 FILE_VERSION  =  13.9
 FILE_FORMAT   =  'ASCII'
 HEADER_SIZE   =  9
(COMMENTS)
{comment_string}
'ADAMS/Car suspension template'
$----------------------------------------------------------------TEMPLATE_HEADER
[TEMPLATE_HEADER]
 TEMPLATE_NAME  =  '_baja_swingarm'
 MAJOR_ROLE     =  'suspension'
 TIMESTAMP      =  '2006/03/08,11:12:50'
 HEADER_SIZE    =  6
!
!-------------------------- Default Units for Model ---------------------------!
!
!
defaults units  &
   length = mm  &
   angle = deg  &
   force = newton  &
   mass = kg  &
   time = sec
!
defaults units  &
   coordinate_system_type = cartesian  &
   orientation_type = body313
!
!--------------------------- Model Specific Colors ----------------------------!
!
!
if condition = (! db_exists(".colors.tmp_color"))
!
color create  &
   color_name = .colors.tmp_color  &
   red_component = 1.0  &
   blue_component = 1.0  &
   green_component = 1.0
!
else 
!
color modify  &
   color_name = .colors.tmp_color  &
   red_component = 1.0  &
   blue_component = 1.0  &
   green_component = 1.0
!
end 
!
!------------------------ Default Attributes for Model ------------------------!
!
!
defaults attributes  &
   inheritance = bottom_up  &
   icon_visibility = off  &
   grid_visibility = off  &
   size_of_icons = 50.0  &
   spacing_for_grid = 50.0
!
!--------------------------- Plugins used by Model ----------------------------!
!
!
plugin load  &
   plugin_name = .MDI.plugins.acar
!
!------------------------------ Adams/View Model ------------------------------!
!
!
model create  &
   model_name = _baja_swingarm  &
   title = "ADAMS/Car template"
!
view erase
!
!-------------------------------- Data storage --------------------------------!
!
!
data_element create variable  &
   variable_name = ._baja_swingarm._cv_solver_variable  &
   comments = "Dummy for communicators"  &
   initial_condition = 0.0  &
   function = ""
!
data_element attributes  &
   data_element_name = ._baja_swingarm._cv_solver_variable  &
   visibility = off
!
data_element create array ic_array  &
   array_name = ._baja_swingarm._cv_array  &
   comments = "Dummy for communicators"  &
   size = 1  &
   numbers = 0.0
!
data_element attributes  &
   data_element_name = ._baja_swingarm._cv_array  &
   visibility = off
!
data_element create array ic_array  &
   array_name = ._baja_swingarm.suspension_parameters_ARRAY  &
   comments = "STEER AXIS CALCULATION METHOD=: compliant"  &
   size = 6  &
   numbers = 0.0, 0.0, 0.0, 0.0, 0.0, 1.0
!
data_element create spline  &
   spline_name = ._baja_swingarm._cv_spline  &
   comments = "Dummy for communicators"  &
   x = 1.0, 2.0, 3.0, 4.0  &
   y = 1.0, 2.0, 3.0, 4.0, 1.0, 2.0, 3.0, 4.0  &
   z = 1.0, 2.0  &
   linear_extrapolate = no
!
data_element attributes  &
   data_element_name = ._baja_swingarm._cv_spline  &
   visibility = off
!
data_element create string  &
   string_name = ._baja_swingarm.minor_role_string  &
   comments = "Memory for ADAMS/Car minor role for solver"  &
   string = "unassigned"
!
data_element attributes  &
   data_element_name = ._baja_swingarm.minor_role_string  &
   visibility = off
!
!--------------------------------- Materials ----------------------------------!
!
!
material create  &
   material_name = ._baja_swingarm.steel  &
   youngs_modulus = 2.07E+005  &
   poissons_ratio = 0.29  &
   density = 7.801E-006
!
!-------------------------------- Rigid Parts ---------------------------------!
!
! Create parts and their dependent markers and graphics
!
!----------------------------------- ground -----------------------------------!
!
!
! ****** Ground Part ******
!
part modify rigid_body name_and_position  &
   part_name = ground
!
defaults model  &
   part_name = ground
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_swingarm.ground
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = ._baja_swingarm.ground.origo  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker create  &
   marker_name = ._baja_swingarm.ground._cv_marker  &
   comments = "Dummy for communicators"  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._baja_swingarm.ground._cv_marker  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._baja_swingarm.ground.mtl_mount_j_2  &
   location = 25.4, -304.8, -25.4  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._baja_swingarm.ground.mtl_mount_j_2  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._baja_swingarm.ground.mtr_mount_j_2  &
   location = 25.4, 304.8, -25.4  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._baja_swingarm.ground.mtr_mount_j_2  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._baja_swingarm.ground.mtl_mount_j_3  &
   location = 25.4, -304.8, 304.8  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._baja_swingarm.ground.mtl_mount_j_3  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._baja_swingarm.ground.mtr_mount_j_3  &
   location = 25.4, 304.8, 304.8  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._baja_swingarm.ground.mtr_mount_j_3  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._baja_swingarm.ground.cfl_rear_spring_seat  &
   location = 179.07, -304.8, 77.089  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._baja_swingarm.ground.cfl_rear_spring_seat  &
   color = MAIZE
!
marker create  &
   marker_name = ._baja_swingarm.ground.cfr_rear_spring_seat  &
   location = 179.07, 304.8, 77.089  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._baja_swingarm.ground.cfr_rear_spring_seat  &
   color = MAIZE
!
marker create  &
   marker_name = ._baja_swingarm.ground.cfs_rotor_center  &
   location = 485.14, 86.36, -246.888  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._baja_swingarm.ground.cfs_rotor_center  &
   color = MAIZE
!
marker create  &
   marker_name = ._baja_swingarm.ground.cfs_sprocket_center  &
   location = 485.14, -86.36, -246.888  &
   orientation = 0.0d, 90.0d, 0.0d
!
marker attributes  &
   marker_name = ._baja_swingarm.ground.cfs_sprocket_center  &
   color = MAIZE
!
! ****** Points for current part ******
!
point create  &
   point_name = ._baja_swingarm.ground.hpl_swingarm_to_body  &
   location = 25.4, -304.8, -25.4
!
point create  &
   point_name = ._baja_swingarm.ground.hpr_swingarm_to_body  &
   location = 25.4, 304.8, -25.4
!
point create  &
   point_name = ._baja_swingarm.ground.hpl_rear_wheel_center  &
   location = 485.14, -431.8, -246.888
!
point create  &
   point_name = ._baja_swingarm.ground.hpr_rear_wheel_center  &
   location = 485.14, 431.8, -246.888
!
point create  &
   point_name = ._baja_swingarm.ground.hpl_rear_lower_shock_mount  &
   location = 304.8, -304.8, -109.22
!
point create  &
   point_name = ._baja_swingarm.ground.hpr_rear_lower_shock_mount  &
   location = 304.8, 304.8, -109.22
!
point create  &
   point_name = ._baja_swingarm.ground.hpl_rear_top_shock_mount  &
   location = 25.4, -304.8, 304.8
!
point create  &
   point_name = ._baja_swingarm.ground.hpr_rear_top_shock_mount  &
   location = 25.4, 304.8, 304.8
!
! ****** Graphics for current part ******
!
!---------------------------------- _cv_part ----------------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_swingarm.ground
!
part create rigid_body name_and_position  &
   part_name = ._baja_swingarm._cv_part  &
   comments = "Dummy for communicators"  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_swingarm._cv_part
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = ._baja_swingarm._cv_part.marker  &
   comments = "Dummy for communicators"  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._baja_swingarm._cv_part.marker  &
   visibility = off  &
   name_visibility = off
!
part create rigid_body mass_properties  &
   part_name = ._baja_swingarm._cv_part  &
   mass = 0.0  &
   center_of_mass_marker = ._baja_swingarm._cv_part.marker  &
   ixx = 0.0  &
   iyy = 0.0  &
   izz = 0.0  &
   ixy = 0.0  &
   izx = 0.0  &
   iyz = 0.0
!
part attributes  &
   part_name = ._baja_swingarm._cv_part  &
   visibility = off  &
   name_visibility = off
!
!-------------------------------- ges_swingarm --------------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_swingarm.ground
!
part create rigid_body name_and_position  &
   part_name = ._baja_swingarm.ges_swingarm  &
   location = 25.4, 304.8, -25.4  &
   orientation = 270.0d, 160.0d, 270.0d
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_swingarm.ges_swingarm
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = ._baja_swingarm.ges_swingarm.cm  &
   location = 440.0066461343, 304.7899094182, 11.6826043386  &
   orientation = 270.0015229825d, 1.599682355d, 89.997438261d
!
marker attributes  &
   marker_name = ._baja_swingarm.ges_swingarm.cm  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._baja_swingarm.ges_swingarm.inertia_frame  &
   location = 440.0066461343, 304.7899094182, 11.6826043386  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker create  &
   marker_name = ._baja_swingarm.ges_swingarm.MARKER_1  &
   location = -32.5555042084, 304.8, -15.1808809275  &
   orientation = 90.0d, 110.0d, 180.0d
!
marker attributes  &
   marker_name = ._baja_swingarm.ges_swingarm.MARKER_1  &
   visibility = off
!
marker create  &
   marker_name = ._baja_swingarm.ges_swingarm.bxl_bushing_j_1  &
   location = 291.2182466611, 609.6, -16.7953925709  &
   orientation = 180.0d, 90.0d, 200.0d
!
marker attributes  &
   marker_name = ._baja_swingarm.ges_swingarm.bxl_bushing_j_1  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._baja_swingarm.ges_swingarm.bxl_bushgeom_j_1  &
   location = 291.2182466611, 599.6, -16.7953925709  &
   orientation = 180.0d, 90.0d, 200.0d
!
marker attributes  &
   marker_name = ._baja_swingarm.ges_swingarm.bxl_bushgeom_j_1  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._baja_swingarm.ges_swingarm.bxr_bushing_j_1  &
   location = 291.2182466611, 0.0, -16.7953925709  &
   orientation = 0.0d, 90.0d, 340.0d
!
marker attributes  &
   marker_name = ._baja_swingarm.ges_swingarm.bxr_bushing_j_1  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._baja_swingarm.ges_swingarm.bxr_bushgeom_j_1  &
   location = 291.2182466611, 9.9999999999, -16.7953925709  &
   orientation = 0.0d, 90.0d, 340.0d
!
marker attributes  &
   marker_name = ._baja_swingarm.ges_swingarm.bxr_bushgeom_j_1  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._baja_swingarm.ges_swingarm.bxl_bushing_j_3  &
   location = 0.0, 609.6, 0.0  &
   orientation = 0.0d, 90.0d, 340.0d
!
marker attributes  &
   marker_name = ._baja_swingarm.ges_swingarm.bxl_bushing_j_3  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._baja_swingarm.ges_swingarm.bxl_bushgeom_j_3  &
   location = 0.0, 619.6, 0.0  &
   orientation = 0.0d, 90.0d, 340.0d
!
marker attributes  &
   marker_name = ._baja_swingarm.ges_swingarm.bxl_bushgeom_j_3  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._baja_swingarm.ges_swingarm.bxr_bushing_j_3  &
   location = 0.0, 0.0, 0.0  &
   orientation = 180.0d, 90.0d, 200.0d
!
marker attributes  &
   marker_name = ._baja_swingarm.ges_swingarm.bxr_bushing_j_3  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._baja_swingarm.ges_swingarm.bxr_bushgeom_j_3  &
   location = 0.0, -9.9999999999, 0.0  &
   orientation = 180.0d, 90.0d, 200.0d
!
marker attributes  &
   marker_name = ._baja_swingarm.ges_swingarm.bxr_bushgeom_j_3  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._baja_swingarm.ges_swingarm.jxs_joint_i_8  &
   location = 507.767642985, 304.8, 50.8902985001  &
   orientation = 0.0d, 90.0d, 340.0d
!
marker attributes  &
   marker_name = ._baja_swingarm.ges_swingarm.jxs_joint_i_8  &
   visibility = off  &
   name_visibility = off
!
part create rigid_body mass_properties  &
   part_name = ._baja_swingarm.ges_swingarm  &
   mass = 5.3040777002  &
   center_of_mass_marker = ._baja_swingarm.ges_swingarm.cm  &
   inertia_marker = ._baja_swingarm.ges_swingarm.inertia_frame  &
   ixx = 4.255922646E+005  &
   iyy = 1.547725621E+005  &
   izz = 5.7536455074E+005  &
   ixy = 0.0  &
   izx = 0.0  &
   iyz = 0.0
!
! ****** Graphics for current part ******
!
geometry create shape shell  &
   shell_name = ._baja_swingarm.ges_swingarm.swingarm  &
   reference_marker = ._baja_swingarm.ges_swingarm.MARKER_1  &
   file_name = "<mini_baja>/shell_graphics.tbl/baja_swingarm.shl"  &
   wireframe_only = no
!
geometry attributes  &
   geometry_name = ._baja_swingarm.ges_swingarm.swingarm  &
   color = tmp_color
!
part attributes  &
   part_name = ._baja_swingarm.ges_swingarm  &
   visibility = on  &
   name_visibility = on
!
!--------------------------- mtl_swingarm_to_frame ----------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_swingarm.ground
!
part create rigid_body name_and_position  &
   part_name = ._baja_swingarm.mtl_swingarm_to_frame  &
   location = 25.4, -304.8, -25.4  &
   orientation = 0.0d, 0.0d, 0.0d
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_swingarm.mtl_swingarm_to_frame
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = ._baja_swingarm.mtl_swingarm_to_frame.mount_i  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._baja_swingarm.mtl_swingarm_to_frame.mount_i  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._baja_swingarm.mtl_swingarm_to_frame.bxl_bushing_i_9  &
   location = 0.0, 0.0, 0.0  &
   orientation = 180.0d, 90.0d, 180.0d
!
marker attributes  &
   marker_name = ._baja_swingarm.mtl_swingarm_to_frame.bxl_bushing_i_9  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._baja_swingarm.mtl_swingarm_to_frame.bxl_bushgeom_i_9  &
   location = 0.0, -9.9999999999, 0.0  &
   orientation = 180.0d, 90.0d, 90.0d
!
marker attributes  &
   marker_name = ._baja_swingarm.mtl_swingarm_to_frame.bxl_bushgeom_i_9  &
   visibility = off  &
   name_visibility = off
!
part attributes  &
   part_name = ._baja_swingarm.mtl_swingarm_to_frame  &
   visibility = on  &
   name_visibility = on
!
!--------------------------- mtr_swingarm_to_frame ----------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_swingarm.ground
!
part create rigid_body name_and_position  &
   part_name = ._baja_swingarm.mtr_swingarm_to_frame  &
   location = 25.4, 304.8, -25.4  &
   orientation = 0.0d, 0.0d, 0.0d
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_swingarm.mtr_swingarm_to_frame
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = ._baja_swingarm.mtr_swingarm_to_frame.mount_i  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._baja_swingarm.mtr_swingarm_to_frame.mount_i  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._baja_swingarm.mtr_swingarm_to_frame.bxr_bushing_i_9  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 90.0d, 0.0d
!
marker attributes  &
   marker_name = ._baja_swingarm.mtr_swingarm_to_frame.bxr_bushing_i_9  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._baja_swingarm.mtr_swingarm_to_frame.bxr_bushgeom_i_9  &
   location = 0.0, 9.9999999999, 0.0  &
   orientation = 0.0d, 90.0d, 270.0d
!
marker attributes  &
   marker_name = ._baja_swingarm.mtr_swingarm_to_frame.bxr_bushgeom_i_9  &
   visibility = off  &
   name_visibility = off
!
part attributes  &
   part_name = ._baja_swingarm.mtr_swingarm_to_frame  &
   visibility = on  &
   name_visibility = on
!
!------------------------------- ges_rear_axle --------------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_swingarm.ground
!
part create rigid_body name_and_position  &
   part_name = ._baja_swingarm.ges_rear_axle  &
   location = 485.14, 0.0, -246.888  &
   orientation = 180.0d, 90.0d, 180.0d
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_swingarm.ges_rear_axle
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = ._baja_swingarm.ges_rear_axle.cm  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._baja_swingarm.ges_rear_axle.cm  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._baja_swingarm.ges_rear_axle.inertia_frame  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker create  &
   marker_name = ._baja_swingarm.ges_rear_axle.gralin_1  &
   location = 0.0, 0.0, -431.8  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._baja_swingarm.ges_rear_axle.gralin_1  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._baja_swingarm.ges_rear_axle.jxs_joint_j_8  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._baja_swingarm.ges_rear_axle.jxs_joint_j_8  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._baja_swingarm.ges_rear_axle.pts_actuator_j_1  &
   location = 0.0, 0.0, -86.36  &
   orientation = 0.0d, 180.0d, 0.0d
!
marker attributes  &
   marker_name = ._baja_swingarm.ges_rear_axle.pts_actuator_j_1  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._baja_swingarm.ges_rear_axle.pts_actuator_i_1  &
   location = 0.0, 0.0, -86.36  &
   orientation = 0.0d, 180.0d, 0.0d
!
marker attributes  &
   marker_name = ._baja_swingarm.ges_rear_axle.pts_actuator_i_1  &
   visibility = off  &
   name_visibility = off
!
part create rigid_body mass_properties  &
   part_name = ._baja_swingarm.ges_rear_axle  &
   mass = 3.314705255  &
   center_of_mass_marker = ._baja_swingarm.ges_rear_axle.cm  &
   inertia_marker = ._baja_swingarm.ges_rear_axle.inertia_frame  &
   ixx = 2.0614010712E+005  &
   iyy = 2.0614010712E+005  &
   izz = 259.6108904164  &
   ixy = 0.0  &
   izx = 0.0  &
   iyz = 0.0
!
! ****** Graphics for current part ******
!
geometry create shape cylinder  &
   cylinder_name = ._baja_swingarm.ges_rear_axle.gralin_rear_axle  &
   center_marker = ._baja_swingarm.ges_rear_axle.gralin_1  &
   angle_extent = 360.0  &
   length = 863.6  &
   radius = 12.7  &
   side_count_for_body = 15  &
   segment_count_for_ends = 15
!
geometry attributes  &
   geometry_name = ._baja_swingarm.ges_rear_axle.gralin_rear_axle  &
   color = SILVER
!
part attributes  &
   part_name = ._baja_swingarm.ges_rear_axle  &
   visibility = on  &
   name_visibility = on
!
!---------------------------- mtl_rear_shock_mount ----------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_swingarm.ground
!
part create rigid_body name_and_position  &
   part_name = ._baja_swingarm.mtl_rear_shock_mount  &
   location = 25.4, -304.8, 304.8  &
   orientation = 0.0d, 0.0d, 0.0d
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_swingarm.mtl_rear_shock_mount
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = ._baja_swingarm.mtl_rear_shock_mount.mount_i  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._baja_swingarm.mtl_rear_shock_mount.mount_i  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._baja_swingarm.mtl_rear_shock_mount.bxl_bushing_j_2  &
   location = 0.0, 0.0, 0.0  &
   orientation = 180.0d, 90.0d, 180.0d
!
marker attributes  &
   marker_name = ._baja_swingarm.mtl_rear_shock_mount.bxl_bushing_j_2  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._baja_swingarm.mtl_rear_shock_mount.bxl_bushgeom_j_2  &
   location = 0.0, -9.9999999999, 0.0  &
   orientation = 180.0d, 90.0d, 180.0d
!
marker attributes  &
   marker_name = ._baja_swingarm.mtl_rear_shock_mount.bxl_bushgeom_j_2  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._baja_swingarm.mtl_rear_shock_mount.nsl_spring_j_2  &
   location = 0.0, 0.0, 0.0  &
   orientation = 270.0d, 34.0133124999d, 90.0d
!
marker attributes  &
   marker_name = ._baja_swingarm.mtl_rear_shock_mount.nsl_spring_j_2  &
   visibility = off  &
   name_visibility = off
!
part attributes  &
   part_name = ._baja_swingarm.mtl_rear_shock_mount  &
   visibility = on  &
   name_visibility = on
!
!---------------------------- mtr_rear_shock_mount ----------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_swingarm.ground
!
part create rigid_body name_and_position  &
   part_name = ._baja_swingarm.mtr_rear_shock_mount  &
   location = 25.4, 304.8, 304.8  &
   orientation = 0.0d, 0.0d, 0.0d
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_swingarm.mtr_rear_shock_mount
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = ._baja_swingarm.mtr_rear_shock_mount.mount_i  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._baja_swingarm.mtr_rear_shock_mount.mount_i  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._baja_swingarm.mtr_rear_shock_mount.bxr_bushing_j_2  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 90.0d, 0.0d
!
marker attributes  &
   marker_name = ._baja_swingarm.mtr_rear_shock_mount.bxr_bushing_j_2  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._baja_swingarm.mtr_rear_shock_mount.bxr_bushgeom_j_2  &
   location = 0.0, 9.9999999999, 0.0  &
   orientation = 0.0d, 90.0d, 0.0d
!
marker attributes  &
   marker_name = ._baja_swingarm.mtr_rear_shock_mount.bxr_bushgeom_j_2  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._baja_swingarm.mtr_rear_shock_mount.nsr_spring_j_2  &
   location = 0.0, 0.0, 0.0  &
   orientation = 270.0d, 34.0133124999d, 90.0d
!
marker attributes  &
   marker_name = ._baja_swingarm.mtr_rear_shock_mount.nsr_spring_j_2  &
   visibility = off  &
   name_visibility = off
!
part attributes  &
   part_name = ._baja_swingarm.mtr_rear_shock_mount  &
   visibility = on  &
   name_visibility = on
!
!------------------------------ gel_upper_strut -------------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_swingarm.ground
!
part create rigid_body name_and_position  &
   part_name = ._baja_swingarm.gel_upper_strut  &
   location = 117.602, -304.8, 168.1734  &
   orientation = 270.0d, 34.0133124999d, 90.0d
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_swingarm.gel_upper_strut
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = ._baja_swingarm.gel_upper_strut.cm  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._baja_swingarm.gel_upper_strut.cm  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._baja_swingarm.gel_upper_strut.inertia_frame  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker create  &
   marker_name = ._baja_swingarm.gel_upper_strut.bxl_bushing_i_4  &
   location = 0.0, 0.0, 164.8272933454  &
   orientation = 180.0d, 90.0d, 214.0133124999d
!
marker attributes  &
   marker_name = ._baja_swingarm.gel_upper_strut.bxl_bushing_i_4  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._baja_swingarm.gel_upper_strut.bxl_bushgeom_i_4  &
   location = 0.0, -10.0, 164.8272933454  &
   orientation = 180.0d, 90.0d, 124.0133124999d
!
marker attributes  &
   marker_name = ._baja_swingarm.gel_upper_strut.bxl_bushgeom_i_4  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._baja_swingarm.gel_upper_strut.jxl_joint_i_21  &
   location = 0.0, 0.0, -84.9110299052  &
   orientation = 180.0d, 180.0d, 0.0d
!
marker attributes  &
   marker_name = ._baja_swingarm.gel_upper_strut.jxl_joint_i_21  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._baja_swingarm.gel_upper_strut.dal_damper_j_1  &
   location = 0.0, 0.0, 164.8272933454  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._baja_swingarm.gel_upper_strut.dal_damper_j_1  &
   visibility = off  &
   name_visibility = off
!
part create rigid_body mass_properties  &
   part_name = ._baja_swingarm.gel_upper_strut  &
   mass = 3.0  &
   center_of_mass_marker = ._baja_swingarm.gel_upper_strut.cm  &
   inertia_marker = ._baja_swingarm.gel_upper_strut.inertia_frame  &
   ixx = 1.0  &
   iyy = 1.0  &
   izz = 1.0  &
   ixy = 0.0  &
   izx = 0.0  &
   iyz = 0.0
!
part attributes  &
   part_name = ._baja_swingarm.gel_upper_strut  &
   visibility = on  &
   name_visibility = on
!
!------------------------------ ger_upper_strut -------------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_swingarm.ground
!
part create rigid_body name_and_position  &
   part_name = ._baja_swingarm.ger_upper_strut  &
   location = 117.602, 304.8, 168.1734  &
   orientation = 270.0d, 34.0133124999d, 90.0d
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_swingarm.ger_upper_strut
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = ._baja_swingarm.ger_upper_strut.cm  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._baja_swingarm.ger_upper_strut.cm  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._baja_swingarm.ger_upper_strut.inertia_frame  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker create  &
   marker_name = ._baja_swingarm.ger_upper_strut.bxr_bushing_i_4  &
   location = 0.0, 0.0, 164.8272933454  &
   orientation = 0.0d, 90.0d, 325.9866875001d
!
marker attributes  &
   marker_name = ._baja_swingarm.ger_upper_strut.bxr_bushing_i_4  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._baja_swingarm.ger_upper_strut.bxr_bushgeom_i_4  &
   location = 0.0, 9.9999999999, 164.8272933454  &
   orientation = 0.0d, 90.0d, 235.9866875001d
!
marker attributes  &
   marker_name = ._baja_swingarm.ger_upper_strut.bxr_bushgeom_i_4  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._baja_swingarm.ger_upper_strut.jxr_joint_i_21  &
   location = 0.0, 0.0, -84.9110299052  &
   orientation = 180.0d, 180.0d, 0.0d
!
marker attributes  &
   marker_name = ._baja_swingarm.ger_upper_strut.jxr_joint_i_21  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._baja_swingarm.ger_upper_strut.dar_damper_j_1  &
   location = 0.0, 0.0, 164.8272933454  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._baja_swingarm.ger_upper_strut.dar_damper_j_1  &
   visibility = off  &
   name_visibility = off
!
part create rigid_body mass_properties  &
   part_name = ._baja_swingarm.ger_upper_strut  &
   mass = 3.0  &
   center_of_mass_marker = ._baja_swingarm.ger_upper_strut.cm  &
   inertia_marker = ._baja_swingarm.ger_upper_strut.inertia_frame  &
   ixx = 1.0  &
   iyy = 1.0  &
   izz = 1.0  &
   ixy = 0.0  &
   izx = 0.0  &
   iyz = 0.0
!
part attributes  &
   part_name = ._baja_swingarm.ger_upper_strut  &
   visibility = on  &
   name_visibility = on
!
!------------------------------ gel_lower_strut -------------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_swingarm.ground
!
part create rigid_body name_and_position  &
   part_name = ._baja_swingarm.gel_lower_strut  &
   location = 212.598, -304.8, 27.4066  &
   orientation = 270.0d, 34.0133124999d, 90.0d
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_swingarm.gel_lower_strut
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = ._baja_swingarm.gel_lower_strut.cm  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._baja_swingarm.gel_lower_strut.cm  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._baja_swingarm.gel_lower_strut.inertia_frame  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker create  &
   marker_name = ._baja_swingarm.gel_lower_strut.bxl_bushing_i_3  &
   location = 0.0, 0.0, -164.8272933454  &
   orientation = 0.0d, 90.0d, 325.9866875001d
!
marker attributes  &
   marker_name = ._baja_swingarm.gel_lower_strut.bxl_bushing_i_3  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._baja_swingarm.gel_lower_strut.bxl_bushgeom_i_3  &
   location = 0.0, 10.0, -164.8272933454  &
   orientation = 0.0d, 90.0d, 235.9866875001d
!
marker attributes  &
   marker_name = ._baja_swingarm.gel_lower_strut.bxl_bushgeom_i_3  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._baja_swingarm.gel_lower_strut.jxl_joint_j_21  &
   location = 0.0, 0.0, 84.9110299052  &
   orientation = 180.0d, 180.0d, 0.0d
!
marker attributes  &
   marker_name = ._baja_swingarm.gel_lower_strut.jxl_joint_j_21  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._baja_swingarm.gel_lower_strut.nsl_spring_i_2  &
   location = 0.0, 0.0, 59.9371975801  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._baja_swingarm.gel_lower_strut.nsl_spring_i_2  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._baja_swingarm.gel_lower_strut.kp3_1  &
   location = 0.0, 0.0, 59.9371975801  &
   orientation = 90.0d, 34.0133124999d, 270.0d
!
marker create  &
   marker_name = ._baja_swingarm.gel_lower_strut.dal_damper_i_1  &
   location = 0.0, 0.0, -164.8272933454  &
   orientation = 270.0d, 160.0d, 270.0d
!
marker attributes  &
   marker_name = ._baja_swingarm.gel_lower_strut.dal_damper_i_1  &
   visibility = off  &
   name_visibility = off
!
part create rigid_body mass_properties  &
   part_name = ._baja_swingarm.gel_lower_strut  &
   mass = 3.0  &
   center_of_mass_marker = ._baja_swingarm.gel_lower_strut.cm  &
   inertia_marker = ._baja_swingarm.gel_lower_strut.inertia_frame  &
   ixx = 1.0  &
   iyy = 1.0  &
   izz = 1.0  &
   ixy = 0.0  &
   izx = 0.0  &
   iyz = 0.0
!
part attributes  &
   part_name = ._baja_swingarm.gel_lower_strut  &
   visibility = on  &
   name_visibility = on
!
!------------------------------ ger_lower_strut -------------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_swingarm.ground
!
part create rigid_body name_and_position  &
   part_name = ._baja_swingarm.ger_lower_strut  &
   location = 212.598, 304.8, 27.4066  &
   orientation = 270.0d, 34.0133124999d, 90.0d
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_swingarm.ger_lower_strut
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = ._baja_swingarm.ger_lower_strut.cm  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._baja_swingarm.ger_lower_strut.cm  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._baja_swingarm.ger_lower_strut.inertia_frame  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker create  &
   marker_name = ._baja_swingarm.ger_lower_strut.bxr_bushing_i_3  &
   location = 0.0, 0.0, -164.8272933454  &
   orientation = 180.0d, 90.0d, 214.0133124999d
!
marker attributes  &
   marker_name = ._baja_swingarm.ger_lower_strut.bxr_bushing_i_3  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._baja_swingarm.ger_lower_strut.bxr_bushgeom_i_3  &
   location = 0.0, -9.9999999999, -164.8272933454  &
   orientation = 180.0d, 90.0d, 124.0133124999d
!
marker attributes  &
   marker_name = ._baja_swingarm.ger_lower_strut.bxr_bushgeom_i_3  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._baja_swingarm.ger_lower_strut.jxr_joint_j_21  &
   location = 0.0, 0.0, 84.9110299052  &
   orientation = 180.0d, 180.0d, 0.0d
!
marker attributes  &
   marker_name = ._baja_swingarm.ger_lower_strut.jxr_joint_j_21  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._baja_swingarm.ger_lower_strut.nsr_spring_i_2  &
   location = 0.0, 0.0, 59.9371975801  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._baja_swingarm.ger_lower_strut.nsr_spring_i_2  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._baja_swingarm.ger_lower_strut.kp3_2  &
   location = 0.0, 0.0, 59.9371975801  &
   orientation = 90.0d, 34.0133124999d, 270.0d
!
marker create  &
   marker_name = ._baja_swingarm.ger_lower_strut.dar_damper_i_1  &
   location = 0.0, 0.0, -164.8272933454  &
   orientation = 270.0d, 160.0d, 270.0d
!
marker attributes  &
   marker_name = ._baja_swingarm.ger_lower_strut.dar_damper_i_1  &
   visibility = off  &
   name_visibility = off
!
part create rigid_body mass_properties  &
   part_name = ._baja_swingarm.ger_lower_strut  &
   mass = 3.0  &
   center_of_mass_marker = ._baja_swingarm.ger_lower_strut.cm  &
   inertia_marker = ._baja_swingarm.ger_lower_strut.inertia_frame  &
   ixx = 1.0  &
   iyy = 1.0  &
   izz = 1.0  &
   ixy = 0.0  &
   izx = 0.0  &
   iyz = 0.0
!
part attributes  &
   part_name = ._baja_swingarm.ger_lower_strut  &
   visibility = on  &
   name_visibility = on
!
!--------------------------------- Equations ----------------------------------!
!
!
part create equation differential_equation  &
   differential_equation_name = ._baja_swingarm._cv_diff  &
   comments = "Dummy for communicators"  &
   initial_condition = 0.0  &
   function = ""  &
   implicit = off  &
   static_hold = off
!
part attributes  &
   equation_name = ._baja_swingarm._cv_diff  &
   visibility = off
!
!----------------------------------- Joints -----------------------------------!
!
!
constraint create joint cylindrical  &
   joint_name = ._baja_swingarm._cv_joint_for_motion  &
   comments = "Dummy for communicators"  &
   i_marker_name = ._baja_swingarm._cv_part.marker  &
   j_marker_name = ._baja_swingarm.ground._cv_marker
!
constraint attributes  &
   constraint_name = ._baja_swingarm._cv_joint_for_motion  &
   visibility = off  &
   name_visibility = off
!
constraint create joint fixed  &
   joint_name = ._baja_swingarm.mtl_fixed_2  &
   i_marker_name = ._baja_swingarm.mtl_swingarm_to_frame.mount_i  &
   j_marker_name = ._baja_swingarm.ground.mtl_mount_j_2
!
constraint attributes  &
   constraint_name = ._baja_swingarm.mtl_fixed_2  &
   visibility = off  &
   name_visibility = off
!
constraint create joint fixed  &
   joint_name = ._baja_swingarm.mtr_fixed_2  &
   i_marker_name = ._baja_swingarm.mtr_swingarm_to_frame.mount_i  &
   j_marker_name = ._baja_swingarm.ground.mtr_mount_j_2
!
constraint attributes  &
   constraint_name = ._baja_swingarm.mtr_fixed_2  &
   visibility = off  &
   name_visibility = off
!
constraint create joint fixed  &
   joint_name = ._baja_swingarm.mtl_fixed_3  &
   i_marker_name = ._baja_swingarm.mtl_rear_shock_mount.mount_i  &
   j_marker_name = ._baja_swingarm.ground.mtl_mount_j_3
!
constraint attributes  &
   constraint_name = ._baja_swingarm.mtl_fixed_3  &
   visibility = off  &
   name_visibility = off
!
constraint create joint fixed  &
   joint_name = ._baja_swingarm.mtr_fixed_3  &
   i_marker_name = ._baja_swingarm.mtr_rear_shock_mount.mount_i  &
   j_marker_name = ._baja_swingarm.ground.mtr_mount_j_3
!
constraint attributes  &
   constraint_name = ._baja_swingarm.mtr_fixed_3  &
   visibility = off  &
   name_visibility = off
!
constraint create joint revolute  &
   joint_name = ._baja_swingarm.josrev_axle_to_swingarm  &
   i_marker_name = ._baja_swingarm.ges_swingarm.jxs_joint_i_8  &
   j_marker_name = ._baja_swingarm.ges_rear_axle.jxs_joint_j_8
!
constraint create joint cylindrical  &
   joint_name = ._baja_swingarm.jolcyl_rear_shock  &
   i_marker_name = ._baja_swingarm.gel_upper_strut.jxl_joint_i_21  &
   j_marker_name = ._baja_swingarm.gel_lower_strut.jxl_joint_j_21
!
constraint create joint cylindrical  &
   joint_name = ._baja_swingarm.jorcyl_rear_shock  &
   i_marker_name = ._baja_swingarm.ger_upper_strut.jxr_joint_i_21  &
   j_marker_name = ._baja_swingarm.ger_lower_strut.jxr_joint_j_21
!
!------------------------------ Joint Primitives ------------------------------!
!
!
constraint create primitive_joint inplane  &
   jprim_name = ._baja_swingarm._cv_joint  &
   comments = "Dummy for communicators"  &
   i_marker_name = ._baja_swingarm._cv_part.marker  &
   j_marker_name = ._baja_swingarm.ground._cv_marker
!
constraint attributes  &
   constraint_name = ._baja_swingarm._cv_joint  &
   visibility = off  &
   name_visibility = off
!
!----------------------------------- Forces -----------------------------------!
!
!
force create element_like field  &
   field_name = ._baja_swingarm._cv_bushing  &
   comments = "Dummy for communicators"  &
   i_marker_name = ._baja_swingarm._cv_part.marker  &
   j_marker_name = ._baja_swingarm.ground._cv_marker  &
   translation_at_preload = 0.0, 0.0, 0.0  &
   rotation_at_preload = 0.0d, 0.0d, 0.0d  &
   damping_ratio = 0.0  &
   stiffness_matrix =  &
      0.0, 0.0, 0.0, 0.0, 0.0, 0.0,  &
      0.0, 0.0, 0.0, 0.0, 0.0, 0.0,  &
      0.0, 0.0, 0.0, 0.0, 0.0, 0.0,  &
      0.0, 0.0, 0.0, 0.0, 0.0, 0.0,  &
      0.0, 0.0, 0.0, 0.0, 0.0, 0.0,  &
      0.0, 0.0, 0.0, 0.0, 0.0, 0.0  &
   force_preload = 0.0, 0.0, 0.0  &
   torque_preload = 0.0, 0.0, 0.0
!
force attributes  &
   force_name = ._baja_swingarm._cv_bushing  &
   visibility = off  &
   name_visibility = off
!
!---------------------------------- Motions -----------------------------------!
!
!
constraint create motion_generator  &
   motion_name = ._baja_swingarm._cv_motion  &
   comments = "Dummy for communicators"  &
   type_of_freedom = rotational  &
   joint_name = ._baja_swingarm._cv_joint_for_motion  &
   function = ""
!
constraint attributes  &
   constraint_name = ._baja_swingarm._cv_motion  &
   visibility = off  &
   name_visibility = off
!
!---------------------------- ADAMS/View Variables ----------------------------!
!
!
variable create  &
   variable_name = ._baja_swingarm.cis_drive_torque_adams_id  &
   integer_value = 0  &
   comments =   &
              "Passes the adams_id of the solver_variable (used in function expressions)"
!
!-------------------------- Adams/View UDE Instances --------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_swingarm.ground
!
undo begin_block suppress = yes
!
ude create instance  &
   instance_name = ._baja_swingarm.bkl_lower_strut_mount  &
   definition_name = .ACAR.attachments.ac_bushing  &
   location = 304.8, -304.8, -109.22  &
   orientation = 0.0, 90.0, 0.0
!
ude create instance  &
   instance_name = ._baja_swingarm.bkr_lower_strut_mount  &
   definition_name = .ACAR.attachments.ac_bushing  &
   location = 304.8, 304.8, -109.22  &
   orientation = 180.0, 90.0, 180.0
!
ude create instance  &
   instance_name = ._baja_swingarm.bgl_upper_strut_mount  &
   definition_name = .ACAR.attachments.ac_bushing  &
   location = 25.4, -304.8, 304.8  &
   orientation = 180.0, 90.0, 180.0
!
ude create instance  &
   instance_name = ._baja_swingarm.bgr_upper_strut_mount  &
   definition_name = .ACAR.attachments.ac_bushing  &
   location = 25.4, 304.8, 304.8  &
   orientation = 0.0, 90.0, 0.0
!
ude create instance  &
   instance_name = ._baja_swingarm.bgl_swingarm_mount  &
   definition_name = .ACAR.attachments.ac_bushing  &
   location = 25.4, -304.8, -25.4  &
   orientation = 180.0, 90.0, 180.0
!
ude create instance  &
   instance_name = ._baja_swingarm.bgr_swingarm_mount  &
   definition_name = .ACAR.attachments.ac_bushing  &
   location = 25.4, 304.8, -25.4  &
   orientation = 0.0, 90.0, 0.0
!
ude create instance  &
   instance_name = ._baja_swingarm.dal_rear_shock  &
   definition_name = .ACAR.forces.ac_damper  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0, 0.0, 0.0
!
ude attributes  &
   instance_name = ._baja_swingarm.dal_rear_shock  &
   color = MAIZE
!
ude create instance  &
   instance_name = ._baja_swingarm.nsr_rear_spring  &
   definition_name = .ACAR.forces.ac_spring  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0, 0.0, 0.0
!
ude attributes  &
   instance_name = ._baja_swingarm.nsr_rear_spring  &
   color = WHITE
!
ude create instance  &
   instance_name = ._baja_swingarm.nsl_rear_spring  &
   definition_name = .ACAR.forces.ac_spring  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0, 0.0, 0.0
!
ude attributes  &
   instance_name = ._baja_swingarm.nsl_rear_spring  &
   color = WHITE
!
ude create instance  &
   instance_name = ._baja_swingarm.dar_rear_shock  &
   definition_name = .ACAR.forces.ac_damper  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0, 0.0, 0.0
!
ude attributes  &
   instance_name = ._baja_swingarm.dar_rear_shock  &
   color = MAIZE
!
ude create instance  &
   instance_name = ._baja_swingarm.pts_drive_torque  &
   definition_name = .ACAR.inputs.ac_point_torque_actuator  &
   location = 485.14, -86.36, -246.888  &
   orientation = 0.0, 90.0, 0.0
!
ude attributes  &
   instance_name = ._baja_swingarm.pts_drive_torque  &
   active = on
!
!-------------------------- Adams/View UDE Instance ---------------------------!
!
!
variable modify  &
   variable_name = ._baja_swingarm.bkl_lower_strut_mount.property_file  &
   string_value = "<mini_baja>\\bushings.tbl\\swingarm.bus"
!
variable modify  &
   variable_name = ._baja_swingarm.bkl_lower_strut_mount.t_preload_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_swingarm.bkl_lower_strut_mount.t_preload_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_swingarm.bkl_lower_strut_mount.t_preload_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_swingarm.bkl_lower_strut_mount.r_preload_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_swingarm.bkl_lower_strut_mount.r_preload_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_swingarm.bkl_lower_strut_mount.r_preload_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_swingarm.bkl_lower_strut_mount.t_offset_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_swingarm.bkl_lower_strut_mount.t_offset_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_swingarm.bkl_lower_strut_mount.t_offset_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_swingarm.bkl_lower_strut_mount.r_offset_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_swingarm.bkl_lower_strut_mount.r_offset_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_swingarm.bkl_lower_strut_mount.r_offset_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_swingarm.bkl_lower_strut_mount.t_displ_scale_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bkl_lower_strut_mount.t_displ_scale_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bkl_lower_strut_mount.t_displ_scale_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bkl_lower_strut_mount.r_displ_scale_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bkl_lower_strut_mount.r_displ_scale_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bkl_lower_strut_mount.r_displ_scale_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bkl_lower_strut_mount.t_velo_offset_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_swingarm.bkl_lower_strut_mount.t_velo_offset_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_swingarm.bkl_lower_strut_mount.t_velo_offset_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_swingarm.bkl_lower_strut_mount.r_velo_offset_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_swingarm.bkl_lower_strut_mount.r_velo_offset_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_swingarm.bkl_lower_strut_mount.r_velo_offset_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_swingarm.bkl_lower_strut_mount.t_velo_scale_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bkl_lower_strut_mount.t_velo_scale_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bkl_lower_strut_mount.t_velo_scale_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bkl_lower_strut_mount.r_velo_scale_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bkl_lower_strut_mount.r_velo_scale_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bkl_lower_strut_mount.r_velo_scale_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bkl_lower_strut_mount.t_velo_threshold_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bkl_lower_strut_mount.t_velo_threshold_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bkl_lower_strut_mount.t_velo_threshold_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bkl_lower_strut_mount.r_velo_threshold_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bkl_lower_strut_mount.r_velo_threshold_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bkl_lower_strut_mount.r_velo_threshold_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bkl_lower_strut_mount.i_geoMarker  &
   object_value = ._baja_swingarm.gel_lower_strut.bxl_bushgeom_i_3
!
variable modify  &
   variable_name = ._baja_swingarm.bkl_lower_strut_mount.j_geoMarker  &
   object_value = ._baja_swingarm.ges_swingarm.bxl_bushgeom_j_1
!
variable modify  &
   variable_name = ._baja_swingarm.bkl_lower_strut_mount.bushing_shape  &
   integer_value = 2
!
variable modify  &
   variable_name = ._baja_swingarm.bkl_lower_strut_mount.fx_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bkl_lower_strut_mount.fy_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bkl_lower_strut_mount.fz_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bkl_lower_strut_mount.tx_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bkl_lower_strut_mount.ty_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bkl_lower_strut_mount.tz_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bkl_lower_strut_mount.tx_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bkl_lower_strut_mount.ty_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bkl_lower_strut_mount.tz_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bkl_lower_strut_mount.rx_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bkl_lower_strut_mount.ry_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bkl_lower_strut_mount.rz_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bkl_lower_strut_mount.geoRadius  &
   real_value = 29.9999999999
!
variable modify  &
   variable_name = ._baja_swingarm.bkl_lower_strut_mount.geoLength  &
   real_value = 19.9999999999
!
variable modify  &
   variable_name = ._baja_swingarm.bkl_lower_strut_mount.i_marker  &
   object_value = ._baja_swingarm.gel_lower_strut.bxl_bushing_i_3
!
variable modify  &
   variable_name = ._baja_swingarm.bkl_lower_strut_mount.j_marker  &
   object_value = ._baja_swingarm.ges_swingarm.bxl_bushing_j_1
!
variable modify  &
   variable_name = ._baja_swingarm.bkl_lower_strut_mount.udedef_name  &
   string_value = ".ACAR.attachments.ac_bushing"
!
ude modify instance  &
   instance_name = ._baja_swingarm.bkl_lower_strut_mount
!
!-------------------------- Adams/View UDE Instance ---------------------------!
!
!
variable modify  &
   variable_name = ._baja_swingarm.bkr_lower_strut_mount.property_file  &
   string_value = "<mini_baja>\\bushings.tbl\\swingarm.bus"
!
variable modify  &
   variable_name = ._baja_swingarm.bkr_lower_strut_mount.t_preload_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_swingarm.bkr_lower_strut_mount.t_preload_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_swingarm.bkr_lower_strut_mount.t_preload_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_swingarm.bkr_lower_strut_mount.r_preload_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_swingarm.bkr_lower_strut_mount.r_preload_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_swingarm.bkr_lower_strut_mount.r_preload_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_swingarm.bkr_lower_strut_mount.t_offset_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_swingarm.bkr_lower_strut_mount.t_offset_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_swingarm.bkr_lower_strut_mount.t_offset_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_swingarm.bkr_lower_strut_mount.r_offset_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_swingarm.bkr_lower_strut_mount.r_offset_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_swingarm.bkr_lower_strut_mount.r_offset_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_swingarm.bkr_lower_strut_mount.t_displ_scale_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bkr_lower_strut_mount.t_displ_scale_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bkr_lower_strut_mount.t_displ_scale_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bkr_lower_strut_mount.r_displ_scale_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bkr_lower_strut_mount.r_displ_scale_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bkr_lower_strut_mount.r_displ_scale_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bkr_lower_strut_mount.t_velo_offset_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_swingarm.bkr_lower_strut_mount.t_velo_offset_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_swingarm.bkr_lower_strut_mount.t_velo_offset_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_swingarm.bkr_lower_strut_mount.r_velo_offset_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_swingarm.bkr_lower_strut_mount.r_velo_offset_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_swingarm.bkr_lower_strut_mount.r_velo_offset_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_swingarm.bkr_lower_strut_mount.t_velo_scale_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bkr_lower_strut_mount.t_velo_scale_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bkr_lower_strut_mount.t_velo_scale_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bkr_lower_strut_mount.r_velo_scale_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bkr_lower_strut_mount.r_velo_scale_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bkr_lower_strut_mount.r_velo_scale_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bkr_lower_strut_mount.t_velo_threshold_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bkr_lower_strut_mount.t_velo_threshold_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bkr_lower_strut_mount.t_velo_threshold_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bkr_lower_strut_mount.r_velo_threshold_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bkr_lower_strut_mount.r_velo_threshold_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bkr_lower_strut_mount.r_velo_threshold_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bkr_lower_strut_mount.i_geoMarker  &
   object_value = ._baja_swingarm.ger_lower_strut.bxr_bushgeom_i_3
!
variable modify  &
   variable_name = ._baja_swingarm.bkr_lower_strut_mount.j_geoMarker  &
   object_value = ._baja_swingarm.ges_swingarm.bxr_bushgeom_j_1
!
variable modify  &
   variable_name = ._baja_swingarm.bkr_lower_strut_mount.bushing_shape  &
   integer_value = 2
!
variable modify  &
   variable_name = ._baja_swingarm.bkr_lower_strut_mount.fx_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bkr_lower_strut_mount.fy_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bkr_lower_strut_mount.fz_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bkr_lower_strut_mount.tx_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bkr_lower_strut_mount.ty_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bkr_lower_strut_mount.tz_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bkr_lower_strut_mount.tx_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bkr_lower_strut_mount.ty_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bkr_lower_strut_mount.tz_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bkr_lower_strut_mount.rx_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bkr_lower_strut_mount.ry_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bkr_lower_strut_mount.rz_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bkr_lower_strut_mount.geoRadius  &
   real_value = 29.9999999999
!
variable modify  &
   variable_name = ._baja_swingarm.bkr_lower_strut_mount.geoLength  &
   real_value = 19.9999999999
!
variable modify  &
   variable_name = ._baja_swingarm.bkr_lower_strut_mount.i_marker  &
   object_value = ._baja_swingarm.ger_lower_strut.bxr_bushing_i_3
!
variable modify  &
   variable_name = ._baja_swingarm.bkr_lower_strut_mount.j_marker  &
   object_value = ._baja_swingarm.ges_swingarm.bxr_bushing_j_1
!
variable modify  &
   variable_name = ._baja_swingarm.bkr_lower_strut_mount.udedef_name  &
   string_value = ".ACAR.attachments.ac_bushing"
!
ude modify instance  &
   instance_name = ._baja_swingarm.bkr_lower_strut_mount
!
!-------------------------- Adams/View UDE Instance ---------------------------!
!
!
variable modify  &
   variable_name = ._baja_swingarm.bgl_upper_strut_mount.property_file  &
   string_value = "<mini_baja>\\bushings.tbl\\swingarm.bus"
!
variable modify  &
   variable_name = ._baja_swingarm.bgl_upper_strut_mount.t_preload_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgl_upper_strut_mount.t_preload_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgl_upper_strut_mount.t_preload_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgl_upper_strut_mount.r_preload_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgl_upper_strut_mount.r_preload_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgl_upper_strut_mount.r_preload_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgl_upper_strut_mount.t_offset_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgl_upper_strut_mount.t_offset_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgl_upper_strut_mount.t_offset_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgl_upper_strut_mount.r_offset_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgl_upper_strut_mount.r_offset_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgl_upper_strut_mount.r_offset_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgl_upper_strut_mount.t_displ_scale_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgl_upper_strut_mount.t_displ_scale_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgl_upper_strut_mount.t_displ_scale_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgl_upper_strut_mount.r_displ_scale_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgl_upper_strut_mount.r_displ_scale_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgl_upper_strut_mount.r_displ_scale_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgl_upper_strut_mount.t_velo_offset_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgl_upper_strut_mount.t_velo_offset_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgl_upper_strut_mount.t_velo_offset_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgl_upper_strut_mount.r_velo_offset_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgl_upper_strut_mount.r_velo_offset_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgl_upper_strut_mount.r_velo_offset_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgl_upper_strut_mount.t_velo_scale_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgl_upper_strut_mount.t_velo_scale_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgl_upper_strut_mount.t_velo_scale_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgl_upper_strut_mount.r_velo_scale_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgl_upper_strut_mount.r_velo_scale_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgl_upper_strut_mount.r_velo_scale_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgl_upper_strut_mount.t_velo_threshold_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgl_upper_strut_mount.t_velo_threshold_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgl_upper_strut_mount.t_velo_threshold_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgl_upper_strut_mount.r_velo_threshold_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgl_upper_strut_mount.r_velo_threshold_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgl_upper_strut_mount.r_velo_threshold_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgl_upper_strut_mount.i_geoMarker  &
   object_value = ._baja_swingarm.gel_upper_strut.bxl_bushgeom_i_4
!
variable modify  &
   variable_name = ._baja_swingarm.bgl_upper_strut_mount.j_geoMarker  &
   object_value = ._baja_swingarm.mtl_rear_shock_mount.bxl_bushgeom_j_2
!
variable modify  &
   variable_name = ._baja_swingarm.bgl_upper_strut_mount.bushing_shape  &
   integer_value = 2
!
variable modify  &
   variable_name = ._baja_swingarm.bgl_upper_strut_mount.fx_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgl_upper_strut_mount.fy_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgl_upper_strut_mount.fz_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgl_upper_strut_mount.tx_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgl_upper_strut_mount.ty_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgl_upper_strut_mount.tz_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgl_upper_strut_mount.tx_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgl_upper_strut_mount.ty_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgl_upper_strut_mount.tz_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgl_upper_strut_mount.rx_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgl_upper_strut_mount.ry_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgl_upper_strut_mount.rz_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgl_upper_strut_mount.geoRadius  &
   real_value = 29.9999999999
!
variable modify  &
   variable_name = ._baja_swingarm.bgl_upper_strut_mount.geoLength  &
   real_value = 19.9999999999
!
variable modify  &
   variable_name = ._baja_swingarm.bgl_upper_strut_mount.i_marker  &
   object_value = ._baja_swingarm.gel_upper_strut.bxl_bushing_i_4
!
variable modify  &
   variable_name = ._baja_swingarm.bgl_upper_strut_mount.j_marker  &
   object_value = ._baja_swingarm.mtl_rear_shock_mount.bxl_bushing_j_2
!
variable modify  &
   variable_name = ._baja_swingarm.bgl_upper_strut_mount.udedef_name  &
   string_value = ".ACAR.attachments.ac_bushing"
!
ude modify instance  &
   instance_name = ._baja_swingarm.bgl_upper_strut_mount
!
!-------------------------- Adams/View UDE Instance ---------------------------!
!
!
variable modify  &
   variable_name = ._baja_swingarm.bgr_upper_strut_mount.property_file  &
   string_value = "<mini_baja>\\bushings.tbl\\swingarm.bus"
!
variable modify  &
   variable_name = ._baja_swingarm.bgr_upper_strut_mount.t_preload_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgr_upper_strut_mount.t_preload_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgr_upper_strut_mount.t_preload_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgr_upper_strut_mount.r_preload_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgr_upper_strut_mount.r_preload_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgr_upper_strut_mount.r_preload_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgr_upper_strut_mount.t_offset_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgr_upper_strut_mount.t_offset_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgr_upper_strut_mount.t_offset_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgr_upper_strut_mount.r_offset_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgr_upper_strut_mount.r_offset_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgr_upper_strut_mount.r_offset_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgr_upper_strut_mount.t_displ_scale_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgr_upper_strut_mount.t_displ_scale_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgr_upper_strut_mount.t_displ_scale_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgr_upper_strut_mount.r_displ_scale_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgr_upper_strut_mount.r_displ_scale_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgr_upper_strut_mount.r_displ_scale_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgr_upper_strut_mount.t_velo_offset_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgr_upper_strut_mount.t_velo_offset_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgr_upper_strut_mount.t_velo_offset_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgr_upper_strut_mount.r_velo_offset_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgr_upper_strut_mount.r_velo_offset_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgr_upper_strut_mount.r_velo_offset_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgr_upper_strut_mount.t_velo_scale_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgr_upper_strut_mount.t_velo_scale_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgr_upper_strut_mount.t_velo_scale_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgr_upper_strut_mount.r_velo_scale_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgr_upper_strut_mount.r_velo_scale_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgr_upper_strut_mount.r_velo_scale_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgr_upper_strut_mount.t_velo_threshold_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgr_upper_strut_mount.t_velo_threshold_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgr_upper_strut_mount.t_velo_threshold_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgr_upper_strut_mount.r_velo_threshold_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgr_upper_strut_mount.r_velo_threshold_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgr_upper_strut_mount.r_velo_threshold_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgr_upper_strut_mount.i_geoMarker  &
   object_value = ._baja_swingarm.ger_upper_strut.bxr_bushgeom_i_4
!
variable modify  &
   variable_name = ._baja_swingarm.bgr_upper_strut_mount.j_geoMarker  &
   object_value = ._baja_swingarm.mtr_rear_shock_mount.bxr_bushgeom_j_2
!
variable modify  &
   variable_name = ._baja_swingarm.bgr_upper_strut_mount.bushing_shape  &
   integer_value = 2
!
variable modify  &
   variable_name = ._baja_swingarm.bgr_upper_strut_mount.fx_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgr_upper_strut_mount.fy_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgr_upper_strut_mount.fz_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgr_upper_strut_mount.tx_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgr_upper_strut_mount.ty_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgr_upper_strut_mount.tz_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgr_upper_strut_mount.tx_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgr_upper_strut_mount.ty_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgr_upper_strut_mount.tz_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgr_upper_strut_mount.rx_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgr_upper_strut_mount.ry_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgr_upper_strut_mount.rz_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgr_upper_strut_mount.geoRadius  &
   real_value = 29.9999999999
!
variable modify  &
   variable_name = ._baja_swingarm.bgr_upper_strut_mount.geoLength  &
   real_value = 19.9999999999
!
variable modify  &
   variable_name = ._baja_swingarm.bgr_upper_strut_mount.i_marker  &
   object_value = ._baja_swingarm.ger_upper_strut.bxr_bushing_i_4
!
variable modify  &
   variable_name = ._baja_swingarm.bgr_upper_strut_mount.j_marker  &
   object_value = ._baja_swingarm.mtr_rear_shock_mount.bxr_bushing_j_2
!
variable modify  &
   variable_name = ._baja_swingarm.bgr_upper_strut_mount.udedef_name  &
   string_value = ".ACAR.attachments.ac_bushing"
!
ude modify instance  &
   instance_name = ._baja_swingarm.bgr_upper_strut_mount
!
!-------------------------- Adams/View UDE Instance ---------------------------!
!
!
variable modify  &
   variable_name = ._baja_swingarm.bgl_swingarm_mount.property_file  &
   string_value = "<mini_baja>\\bushings.tbl\\swingarm_mount.bus"
!
variable modify  &
   variable_name = ._baja_swingarm.bgl_swingarm_mount.t_preload_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgl_swingarm_mount.t_preload_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgl_swingarm_mount.t_preload_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgl_swingarm_mount.r_preload_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgl_swingarm_mount.r_preload_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgl_swingarm_mount.r_preload_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgl_swingarm_mount.t_offset_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgl_swingarm_mount.t_offset_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgl_swingarm_mount.t_offset_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgl_swingarm_mount.r_offset_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgl_swingarm_mount.r_offset_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgl_swingarm_mount.r_offset_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgl_swingarm_mount.t_displ_scale_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgl_swingarm_mount.t_displ_scale_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgl_swingarm_mount.t_displ_scale_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgl_swingarm_mount.r_displ_scale_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgl_swingarm_mount.r_displ_scale_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgl_swingarm_mount.r_displ_scale_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgl_swingarm_mount.t_velo_offset_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgl_swingarm_mount.t_velo_offset_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgl_swingarm_mount.t_velo_offset_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgl_swingarm_mount.r_velo_offset_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgl_swingarm_mount.r_velo_offset_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgl_swingarm_mount.r_velo_offset_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgl_swingarm_mount.t_velo_scale_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgl_swingarm_mount.t_velo_scale_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgl_swingarm_mount.t_velo_scale_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgl_swingarm_mount.r_velo_scale_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgl_swingarm_mount.r_velo_scale_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgl_swingarm_mount.r_velo_scale_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgl_swingarm_mount.t_velo_threshold_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgl_swingarm_mount.t_velo_threshold_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgl_swingarm_mount.t_velo_threshold_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgl_swingarm_mount.r_velo_threshold_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgl_swingarm_mount.r_velo_threshold_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgl_swingarm_mount.r_velo_threshold_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgl_swingarm_mount.i_geoMarker  &
   object_value = ._baja_swingarm.mtl_swingarm_to_frame.bxl_bushgeom_i_9
!
variable modify  &
   variable_name = ._baja_swingarm.bgl_swingarm_mount.j_geoMarker  &
   object_value = ._baja_swingarm.ges_swingarm.bxl_bushgeom_j_3
!
variable modify  &
   variable_name = ._baja_swingarm.bgl_swingarm_mount.bushing_shape  &
   integer_value = 2
!
variable modify  &
   variable_name = ._baja_swingarm.bgl_swingarm_mount.fx_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgl_swingarm_mount.fy_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgl_swingarm_mount.fz_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgl_swingarm_mount.tx_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgl_swingarm_mount.ty_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgl_swingarm_mount.tz_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgl_swingarm_mount.tx_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgl_swingarm_mount.ty_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgl_swingarm_mount.tz_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgl_swingarm_mount.rx_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgl_swingarm_mount.ry_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgl_swingarm_mount.rz_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgl_swingarm_mount.geoRadius  &
   real_value = 29.9999999999
!
variable modify  &
   variable_name = ._baja_swingarm.bgl_swingarm_mount.geoLength  &
   real_value = 19.9999999999
!
variable modify  &
   variable_name = ._baja_swingarm.bgl_swingarm_mount.i_marker  &
   object_value = ._baja_swingarm.mtl_swingarm_to_frame.bxl_bushing_i_9
!
variable modify  &
   variable_name = ._baja_swingarm.bgl_swingarm_mount.j_marker  &
   object_value = ._baja_swingarm.ges_swingarm.bxl_bushing_j_3
!
variable modify  &
   variable_name = ._baja_swingarm.bgl_swingarm_mount.udedef_name  &
   string_value = ".ACAR.attachments.ac_bushing"
!
ude modify instance  &
   instance_name = ._baja_swingarm.bgl_swingarm_mount
!
!-------------------------- Adams/View UDE Instance ---------------------------!
!
!
variable modify  &
   variable_name = ._baja_swingarm.bgr_swingarm_mount.property_file  &
   string_value = "<mini_baja>\\bushings.tbl\\swingarm_mount.bus"
!
variable modify  &
   variable_name = ._baja_swingarm.bgr_swingarm_mount.t_preload_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgr_swingarm_mount.t_preload_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgr_swingarm_mount.t_preload_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgr_swingarm_mount.r_preload_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgr_swingarm_mount.r_preload_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgr_swingarm_mount.r_preload_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgr_swingarm_mount.t_offset_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgr_swingarm_mount.t_offset_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgr_swingarm_mount.t_offset_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgr_swingarm_mount.r_offset_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgr_swingarm_mount.r_offset_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgr_swingarm_mount.r_offset_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgr_swingarm_mount.t_displ_scale_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgr_swingarm_mount.t_displ_scale_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgr_swingarm_mount.t_displ_scale_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgr_swingarm_mount.r_displ_scale_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgr_swingarm_mount.r_displ_scale_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgr_swingarm_mount.r_displ_scale_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgr_swingarm_mount.t_velo_offset_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgr_swingarm_mount.t_velo_offset_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgr_swingarm_mount.t_velo_offset_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgr_swingarm_mount.r_velo_offset_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgr_swingarm_mount.r_velo_offset_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgr_swingarm_mount.r_velo_offset_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgr_swingarm_mount.t_velo_scale_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgr_swingarm_mount.t_velo_scale_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgr_swingarm_mount.t_velo_scale_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgr_swingarm_mount.r_velo_scale_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgr_swingarm_mount.r_velo_scale_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgr_swingarm_mount.r_velo_scale_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgr_swingarm_mount.t_velo_threshold_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgr_swingarm_mount.t_velo_threshold_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgr_swingarm_mount.t_velo_threshold_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgr_swingarm_mount.r_velo_threshold_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgr_swingarm_mount.r_velo_threshold_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgr_swingarm_mount.r_velo_threshold_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgr_swingarm_mount.i_geoMarker  &
   object_value = ._baja_swingarm.mtr_swingarm_to_frame.bxr_bushgeom_i_9
!
variable modify  &
   variable_name = ._baja_swingarm.bgr_swingarm_mount.j_geoMarker  &
   object_value = ._baja_swingarm.ges_swingarm.bxr_bushgeom_j_3
!
variable modify  &
   variable_name = ._baja_swingarm.bgr_swingarm_mount.bushing_shape  &
   integer_value = 2
!
variable modify  &
   variable_name = ._baja_swingarm.bgr_swingarm_mount.fx_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgr_swingarm_mount.fy_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgr_swingarm_mount.fz_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgr_swingarm_mount.tx_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgr_swingarm_mount.ty_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgr_swingarm_mount.tz_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgr_swingarm_mount.tx_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgr_swingarm_mount.ty_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgr_swingarm_mount.tz_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgr_swingarm_mount.rx_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgr_swingarm_mount.ry_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgr_swingarm_mount.rz_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.bgr_swingarm_mount.geoRadius  &
   real_value = 29.9999999999
!
variable modify  &
   variable_name = ._baja_swingarm.bgr_swingarm_mount.geoLength  &
   real_value = 19.9999999999
!
variable modify  &
   variable_name = ._baja_swingarm.bgr_swingarm_mount.i_marker  &
   object_value = ._baja_swingarm.mtr_swingarm_to_frame.bxr_bushing_i_9
!
variable modify  &
   variable_name = ._baja_swingarm.bgr_swingarm_mount.j_marker  &
   object_value = ._baja_swingarm.ges_swingarm.bxr_bushing_j_3
!
variable modify  &
   variable_name = ._baja_swingarm.bgr_swingarm_mount.udedef_name  &
   string_value = ".ACAR.attachments.ac_bushing"
!
ude modify instance  &
   instance_name = ._baja_swingarm.bgr_swingarm_mount
!
!-------------------------- Adams/View UDE Instance ---------------------------!
!
!
variable modify  &
   variable_name = ._baja_swingarm.dal_rear_shock.property_file  &
   string_value = "<mini_baja>/dampers.tbl/baja_rear_damper.dpr"
!
variable modify  &
   variable_name = ._baja_swingarm.dal_rear_shock.scale_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.dal_rear_shock.method  &
   integer_value = 0
!
variable modify  &
   variable_name = ._baja_swingarm.dal_rear_shock.geoScale  &
   real_value = 8.0E-002
!
variable modify  &
   variable_name = ._baja_swingarm.dal_rear_shock.i_marker  &
   object_value = ._baja_swingarm.gel_lower_strut.dal_damper_i_1
!
variable modify  &
   variable_name = ._baja_swingarm.dal_rear_shock.j_marker  &
   object_value = ._baja_swingarm.gel_upper_strut.dal_damper_j_1
!
variable modify  &
   variable_name = ._baja_swingarm.dal_rear_shock.udedef_name  &
   string_value = ".ACAR.forces.ac_damper"
!
ude modify instance  &
   instance_name = ._baja_swingarm.dal_rear_shock
!
!-------------------------- Adams/View UDE Instance ---------------------------!
!
!
variable modify  &
   variable_name = ._baja_swingarm.nsr_rear_spring.property_file  &
   string_value = "<mini_baja>/springs.tbl/baja_rear_spring.spr"
!
variable modify  &
   variable_name = ._baja_swingarm.nsr_rear_spring.user_value  &
   real_value = 889.644323052
!
variable modify  &
   variable_name = ._baja_swingarm.nsr_rear_spring.value_type  &
   string_value = "preload"
!
variable modify  &
   variable_name = ._baja_swingarm.nsr_rear_spring.scale_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.nsr_rear_spring.diameter  &
   real_value = (._baja_swingarm.nsr_rear_spring.dmCalc * ._baja_swingarm.nsr_rear_spring.geoScale)
!
variable modify  &
   variable_name = ._baja_swingarm.nsr_rear_spring.geoScale  &
   real_value = 0.23
!
variable modify  &
   variable_name = ._baja_swingarm.nsr_rear_spring.numCoils  &
   integer_value = 12
!
variable modify  &
   variable_name = ._baja_swingarm.nsr_rear_spring.method  &
   integer_value = 0
!
variable modify  &
   variable_name = ._baja_swingarm.nsr_rear_spring.independentAxis  &
   integer_value = 1
!
variable modify  &
   variable_name = ._baja_swingarm.nsr_rear_spring.i_marker  &
   object_value = ._baja_swingarm.ger_lower_strut.nsr_spring_i_2
!
variable modify  &
   variable_name = ._baja_swingarm.nsr_rear_spring.j_marker  &
   object_value = ._baja_swingarm.mtr_rear_shock_mount.nsr_spring_j_2
!
variable modify  &
   variable_name = ._baja_swingarm.nsr_rear_spring.udedef_name  &
   string_value = ".ACAR.forces.ac_spring"
!
ude modify instance  &
   instance_name = ._baja_swingarm.nsr_rear_spring
!
!-------------------------- Adams/View UDE Instance ---------------------------!
!
!
variable modify  &
   variable_name = ._baja_swingarm.nsl_rear_spring.property_file  &
   string_value = "<mini_baja>/springs.tbl/baja_rear_spring.spr"
!
variable modify  &
   variable_name = ._baja_swingarm.nsl_rear_spring.user_value  &
   real_value = 889.644323052
!
variable modify  &
   variable_name = ._baja_swingarm.nsl_rear_spring.value_type  &
   string_value = "preload"
!
variable modify  &
   variable_name = ._baja_swingarm.nsl_rear_spring.scale_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.nsl_rear_spring.diameter  &
   real_value = (._baja_swingarm.nsl_rear_spring.dmCalc * ._baja_swingarm.nsl_rear_spring.geoScale)
!
variable modify  &
   variable_name = ._baja_swingarm.nsl_rear_spring.geoScale  &
   real_value = 0.23
!
variable modify  &
   variable_name = ._baja_swingarm.nsl_rear_spring.numCoils  &
   integer_value = 12
!
variable modify  &
   variable_name = ._baja_swingarm.nsl_rear_spring.method  &
   integer_value = 0
!
variable modify  &
   variable_name = ._baja_swingarm.nsl_rear_spring.independentAxis  &
   integer_value = 1
!
variable modify  &
   variable_name = ._baja_swingarm.nsl_rear_spring.i_marker  &
   object_value = ._baja_swingarm.gel_lower_strut.nsl_spring_i_2
!
variable modify  &
   variable_name = ._baja_swingarm.nsl_rear_spring.j_marker  &
   object_value = ._baja_swingarm.mtl_rear_shock_mount.nsl_spring_j_2
!
variable modify  &
   variable_name = ._baja_swingarm.nsl_rear_spring.udedef_name  &
   string_value = ".ACAR.forces.ac_spring"
!
ude modify instance  &
   instance_name = ._baja_swingarm.nsl_rear_spring
!
!-------------------------- Adams/View UDE Instance ---------------------------!
!
!
variable modify  &
   variable_name = ._baja_swingarm.dar_rear_shock.property_file  &
   string_value = "<mini_baja>/dampers.tbl/baja_rear_damper.dpr"
!
variable modify  &
   variable_name = ._baja_swingarm.dar_rear_shock.scale_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._baja_swingarm.dar_rear_shock.method  &
   integer_value = 0
!
variable modify  &
   variable_name = ._baja_swingarm.dar_rear_shock.geoScale  &
   real_value = 8.0E-002
!
variable modify  &
   variable_name = ._baja_swingarm.dar_rear_shock.i_marker  &
   object_value = ._baja_swingarm.ger_lower_strut.dar_damper_i_1
!
variable modify  &
   variable_name = ._baja_swingarm.dar_rear_shock.j_marker  &
   object_value = ._baja_swingarm.ger_upper_strut.dar_damper_j_1
!
variable modify  &
   variable_name = ._baja_swingarm.dar_rear_shock.udedef_name  &
   string_value = ".ACAR.forces.ac_damper"
!
ude modify instance  &
   instance_name = ._baja_swingarm.dar_rear_shock
!
!-------------------------- Adams/View UDE Instance ---------------------------!
!
!
variable modify  &
   variable_name = ._baja_swingarm.pts_drive_torque.function  &
   string_value = "varval(cis_drive_torque_adams_id)"
!
variable modify  &
   variable_name = ._baja_swingarm.pts_drive_torque.application  &
   string_value = "unknown"
!
variable modify  &
   variable_name = ._baja_swingarm.pts_drive_torque.identifier  &
   string_value = "unknown"
!
variable modify  &
   variable_name = ._baja_swingarm.pts_drive_torque.force_limits  &
   real_value =   &
      0.0,  &
      0.0
!
variable modify  &
   variable_name = ._baja_swingarm.pts_drive_torque.displacement_limits  &
   real_value =   &
      0.0,  &
      0.0
!
variable modify  &
   variable_name = ._baja_swingarm.pts_drive_torque.velocity_limits  &
   real_value =   &
      0.0,  &
      0.0
!
variable modify  &
   variable_name = ._baja_swingarm.pts_drive_torque.acceleration_limits  &
   real_value =   &
      0.0,  &
      0.0
!
variable modify  &
   variable_name = ._baja_swingarm.pts_drive_torque.unit_string  &
   string_value = "no_units"
!
variable modify  &
   variable_name = ._baja_swingarm.pts_drive_torque.action_only  &
   integer_value = 1
!
variable modify  &
   variable_name = ._baja_swingarm.pts_drive_torque.i_marker  &
   object_value = ._baja_swingarm.ges_rear_axle.pts_actuator_i_1
!
variable modify  &
   variable_name = ._baja_swingarm.pts_drive_torque.j_marker  &
   object_value = ._baja_swingarm.ges_rear_axle.pts_actuator_j_1
!
variable modify  &
   variable_name = ._baja_swingarm.pts_drive_torque.udedef_name  &
   string_value = ".ACAR.inputs.ac_point_torque_actuator"
!
ude modify instance  &
   instance_name = ._baja_swingarm.pts_drive_torque
!
undo end_block
!
!---------------------------------- Accgrav -----------------------------------!
!
!
force create body gravitational  &
   gravity_field_name = gravity  &
   z_component_gravity = -9810.0
!
!----------------------------- Analysis settings ------------------------------!
!
!
!---------------------------- ADAMS/View Variables ----------------------------!
!
!
variable create  &
   variable_name = ._baja_swingarm.suspension_parameters_ARRAY.kp3  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._baja_swingarm.suspension_parameters_ARRAY.type_flag  &
   integer_value = 0  &
   comments = "1=Independent, 0=Dependent"
!
variable create  &
   variable_name = ._baja_swingarm.suspension_parameters_ARRAY.steer_axis_calc_method  &
   integer_value = 1  &
   comments = "0=Geometric, 1=Instant Axis"
!
variable create  &
   variable_name = ._baja_swingarm.mtl_swingarm_to_frame.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._baja_swingarm.mtl_swingarm_to_frame.dependents  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._baja_swingarm.mtr_swingarm_to_frame.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._baja_swingarm.mtr_swingarm_to_frame.dependents  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._baja_swingarm.mtl_rear_shock_mount.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._baja_swingarm.mtl_rear_shock_mount.dependents  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._baja_swingarm.mtr_rear_shock_mount.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._baja_swingarm.mtr_rear_shock_mount.dependents  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._baja_swingarm.speed  &
   units = "velocity"  &
   real_value = 0.0
!
variable create  &
   variable_name = ._baja_swingarm.template_creation_date  &
   string_value = "2000/10/05,15:50:32"  &
   comments = "Do not remove"
!
variable create  &
   variable_name = ._baja_swingarm.role  &
   string_value = "suspension"  &
   comments = "Memory for ADAMS/Car major role"
!
variable create  &
   variable_name = ._baja_swingarm.minor_role  &
   string_value = "unassigned"  &
   comments = "Memory for ADAMS/Car minor role"
!
variable create  &
   variable_name = ._baja_swingarm.model_class  &
   string_value = "template"  &
   comments = "Memory for ADAMS/Car model class"
!
variable create  &
   variable_name = ._baja_swingarm.phs_kinematic_flag  &
   integer_value = 0  &
   comments =   &
              "Flag that determines if kinematic joints or bushings are active"
!
variable create  &
   variable_name = ._baja_swingarm.cil_swingarm_to_frame  &
   object_value = (NONE)  &
   comments = "Autocreated for mount part: mtl_swingarm_to_frame"
!
variable create  &
   variable_name = ._baja_swingarm.cil_swingarm_to_frame.matching_name  &
   string_value = "swingarm_to_frame"
!
variable create  &
   variable_name = ._baja_swingarm.cil_swingarm_to_frame.entity  &
   string_value = "mount"
!
variable create  &
   variable_name = ._baja_swingarm.cil_swingarm_to_frame.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._baja_swingarm.cir_swingarm_to_frame  &
   object_value = (NONE)  &
   comments = "Autocreated for mount part: mtr_swingarm_to_frame"
!
variable create  &
   variable_name = ._baja_swingarm.cir_swingarm_to_frame.matching_name  &
   string_value = "swingarm_to_frame"
!
variable create  &
   variable_name = ._baja_swingarm.cir_swingarm_to_frame.entity  &
   string_value = "mount"
!
variable create  &
   variable_name = ._baja_swingarm.cir_swingarm_to_frame.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._baja_swingarm.cil_rear_shock_mount  &
   object_value = (NONE)  &
   comments = "Autocreated for mount part: mtl_rear_shock_mount"
!
variable create  &
   variable_name = ._baja_swingarm.cil_rear_shock_mount.matching_name  &
   string_value = "rear_shock_mount"
!
variable create  &
   variable_name = ._baja_swingarm.cil_rear_shock_mount.entity  &
   string_value = "mount"
!
variable create  &
   variable_name = ._baja_swingarm.cil_rear_shock_mount.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._baja_swingarm.cir_rear_shock_mount  &
   object_value = (NONE)  &
   comments = "Autocreated for mount part: mtr_rear_shock_mount"
!
variable create  &
   variable_name = ._baja_swingarm.cir_rear_shock_mount.matching_name  &
   string_value = "rear_shock_mount"
!
variable create  &
   variable_name = ._baja_swingarm.cir_rear_shock_mount.entity  &
   string_value = "mount"
!
variable create  &
   variable_name = ._baja_swingarm.cir_rear_shock_mount.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._baja_swingarm.cil_swingarm_location  &
   units = "length"  &
   real_value = 25.4, -304.8, -25.4
!
variable create  &
   variable_name = ._baja_swingarm.cil_swingarm_location.matching_name  &
   string_value = "swingarm_location"
!
variable create  &
   variable_name = ._baja_swingarm.cil_swingarm_location.entity  &
   string_value = "location"
!
variable create  &
   variable_name = ._baja_swingarm.cil_swingarm_location.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._baja_swingarm.cir_swingarm_location  &
   units = "length"  &
   real_value = 25.4, 304.8, -25.4
!
variable create  &
   variable_name = ._baja_swingarm.cir_swingarm_location.matching_name  &
   string_value = "swingarm_location"
!
variable create  &
   variable_name = ._baja_swingarm.cir_swingarm_location.entity  &
   string_value = "location"
!
variable create  &
   variable_name = ._baja_swingarm.cir_swingarm_location.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._baja_swingarm.cil_rear_shock_location  &
   units = "length"  &
   real_value = 304.8, -304.8, 254.0
!
variable create  &
   variable_name = ._baja_swingarm.cil_rear_shock_location.matching_name  &
   string_value = "rear_shock_location"
!
variable create  &
   variable_name = ._baja_swingarm.cil_rear_shock_location.entity  &
   string_value = "location"
!
variable create  &
   variable_name = ._baja_swingarm.cil_rear_shock_location.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._baja_swingarm.cir_rear_shock_location  &
   units = "length"  &
   real_value = 304.8, 304.8, 254.0
!
variable create  &
   variable_name = ._baja_swingarm.cir_rear_shock_location.matching_name  &
   string_value = "rear_shock_location"
!
variable create  &
   variable_name = ._baja_swingarm.cir_rear_shock_location.entity  &
   string_value = "location"
!
variable create  &
   variable_name = ._baja_swingarm.cir_rear_shock_location.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._baja_swingarm.col_wheel_center  &
   units = "length"  &
   real_value = 485.14, -431.8, -246.888
!
variable create  &
   variable_name = ._baja_swingarm.col_wheel_center.matching_name  &
   string_value = "wheel_center"
!
variable create  &
   variable_name = ._baja_swingarm.col_wheel_center.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._baja_swingarm.col_wheel_center.entity  &
   string_value = "location"
!
variable create  &
   variable_name = ._baja_swingarm.cor_wheel_center  &
   units = "length"  &
   real_value = 485.14, 431.8, -246.888
!
variable create  &
   variable_name = ._baja_swingarm.cor_wheel_center.matching_name  &
   string_value = "wheel_center"
!
variable create  &
   variable_name = ._baja_swingarm.cor_wheel_center.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._baja_swingarm.cor_wheel_center.entity  &
   string_value = "location"
!
variable create  &
   variable_name = ._baja_swingarm.col_suspension_mount  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._baja_swingarm.col_suspension_mount.matching_name  &
   string_value = "suspension_mount"
!
variable create  &
   variable_name = ._baja_swingarm.col_suspension_mount.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._baja_swingarm.col_suspension_mount.entity  &
   string_value = "mount"
!
variable create  &
   variable_name = ._baja_swingarm.cor_suspension_mount  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._baja_swingarm.cor_suspension_mount.matching_name  &
   string_value = "suspension_mount"
!
variable create  &
   variable_name = ._baja_swingarm.cor_suspension_mount.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._baja_swingarm.cor_suspension_mount.entity  &
   string_value = "mount"
!
variable create  &
   variable_name = ._baja_swingarm.cos_suspension_parameters_ARRAY  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._baja_swingarm.cos_suspension_parameters_ARRAY.matching_name  &
   string_value = "suspension_parameters_ARRAY"
!
variable create  &
   variable_name = ._baja_swingarm.cos_suspension_parameters_ARRAY.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._baja_swingarm.cos_suspension_parameters_ARRAY.entity  &
   string_value = "array"
!
variable create  &
   variable_name = ._baja_swingarm.cos_rear_rotor_center  &
   units = "length"  &
   real_value = 485.14, 86.36, -246.888
!
variable create  &
   variable_name = ._baja_swingarm.cos_rear_rotor_center.matching_name  &
   string_value = "rear_rotor_center"
!
variable create  &
   variable_name = ._baja_swingarm.cos_rear_rotor_center.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._baja_swingarm.cos_rear_rotor_center.entity  &
   string_value = "location"
!
variable create  &
   variable_name = ._baja_swingarm.cos_caliper_mount_part  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._baja_swingarm.cos_caliper_mount_part.matching_name  &
   string_value = "suspension_upright"
!
variable create  &
   variable_name = ._baja_swingarm.cos_caliper_mount_part.minor_role  &
   string_value = "rear"
!
variable create  &
   variable_name = ._baja_swingarm.cos_caliper_mount_part.entity  &
   string_value = "mount"
!
variable create  &
   variable_name = ._baja_swingarm.cos_rear_rotor_to_axle  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._baja_swingarm.cos_rear_rotor_to_axle.matching_name  &
   string_value = "rear_rotor_to_axle"
!
variable create  &
   variable_name = ._baja_swingarm.cos_rear_rotor_to_axle.minor_role  &
   string_value = "rear"
!
variable create  &
   variable_name = ._baja_swingarm.cos_rear_rotor_to_axle.entity  &
   string_value = "mount"
!
variable create  &
   variable_name = ._baja_swingarm.col_suspension_upright  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._baja_swingarm.col_suspension_upright.matching_name  &
   string_value = "suspension_upright"
!
variable create  &
   variable_name = ._baja_swingarm.col_suspension_upright.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._baja_swingarm.col_suspension_upright.entity  &
   string_value = "mount"
!
variable create  &
   variable_name = ._baja_swingarm.cor_suspension_upright  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._baja_swingarm.cor_suspension_upright.matching_name  &
   string_value = "suspension_upright"
!
variable create  &
   variable_name = ._baja_swingarm.cor_suspension_upright.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._baja_swingarm.cor_suspension_upright.entity  &
   string_value = "mount"
!
variable create  &
   variable_name = ._baja_swingarm.pvs_driveline_active  &
   integer_value = 1
!
variable create  &
   variable_name = ._baja_swingarm.cos_driveline_active  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._baja_swingarm.cos_driveline_active.matching_name  &
   string_value = "driveline_active"
!
variable create  &
   variable_name = ._baja_swingarm.cos_driveline_active.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._baja_swingarm.cos_driveline_active.entity  &
   string_value = "parameter_integer"
!
variable create  &
   variable_name = ._baja_swingarm.cis_final_drive_ratio  &
   units = "no_units"  &
   real_value = 5.0
!
variable create  &
   variable_name = ._baja_swingarm.cis_final_drive_ratio.matching_name  &
   string_value = "final_drive_ratio", "diff_ratio"
!
variable create  &
   variable_name = ._baja_swingarm.cis_final_drive_ratio.entity  &
   string_value = "parameter_real"
!
variable create  &
   variable_name = ._baja_swingarm.cis_final_drive_ratio.minor_role  &
   string_value = "any"
!
variable create  &
   variable_name = ._baja_swingarm.cis_drive_torque  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._baja_swingarm.cis_drive_torque.matching_name  &
   string_value = "drive_torque"
!
variable create  &
   variable_name = ._baja_swingarm.cis_drive_torque.entity  &
   string_value = "solver_variable"
!
variable create  &
   variable_name = ._baja_swingarm.cis_drive_torque.minor_role  &
   string_value = "any"
!
variable create  &
   variable_name = ._baja_swingarm.cis_drive_torque_adams_id.matching_name  &
   string_value = "drive_torque_adams_id"
!
variable create  &
   variable_name = ._baja_swingarm.cis_drive_torque_adams_id.entity  &
   string_value = "solver_variable"
!
variable create  &
   variable_name = ._baja_swingarm.cis_drive_torque_adams_id.minor_role  &
   string_value = "any"
!
!---------------------------- ADAMS/View Functions ----------------------------!
!
!
function create  &
   function_name = .SYMMETRY  &
   text_of_expression = "LOC_MIRROR(location, .__ACAR.ground.origo, .ACAR.variables.symmetry_plane)"  &
   argument_names = "location"  &
   type = location_orientation  &
   comments =   &
              "Compute mirrored location over the symmetry plane given 3x1 location vector"
!
!------------------------- Groups Owned By This Model -------------------------!
!
!
group create  &
   group_name = ._baja_swingarm.kinematic_mode_active  &
   expr_active = 1
!
group create  &
   group_name = ._baja_swingarm.kinematic_mode_inactive  &
   expr_active = 1
!
!---------------------- Set ADAMS/View Object Variables -----------------------!
!
!
variable modify  &
   variable_name = ._baja_swingarm.suspension_parameters_ARRAY.kp3  &
   object_value = ._baja_swingarm.gel_lower_strut.kp3_1,  &
                  ._baja_swingarm.ger_lower_strut.kp3_2
!
variable modify  &
   variable_name = ._baja_swingarm.mtl_swingarm_to_frame.dependents  &
   object_value = ._baja_swingarm.mtl_fixed_2,  &
                  ._baja_swingarm.cil_swingarm_to_frame
!
variable modify  &
   variable_name = ._baja_swingarm.mtr_swingarm_to_frame.dependents  &
   object_value = ._baja_swingarm.mtr_fixed_2,  &
                  ._baja_swingarm.cir_swingarm_to_frame
!
variable modify  &
   variable_name = ._baja_swingarm.mtl_rear_shock_mount.dependents  &
   object_value = ._baja_swingarm.mtl_fixed_3,  &
                  ._baja_swingarm.cil_rear_shock_mount
!
variable modify  &
   variable_name = ._baja_swingarm.mtr_rear_shock_mount.dependents  &
   object_value = ._baja_swingarm.mtr_fixed_3,  &
                  ._baja_swingarm.cir_rear_shock_mount
!
variable modify  &
   variable_name = ._baja_swingarm.cil_swingarm_to_frame  &
   object_value = ._baja_swingarm.ground.mtl_mount_j_2,  &
                  ._baja_swingarm.mtl_swingarm_to_frame,  &
                  ._baja_swingarm.mtl_fixed_2
!
variable modify  &
   variable_name = ._baja_swingarm.cir_swingarm_to_frame  &
   object_value = ._baja_swingarm.ground.mtr_mount_j_2,  &
                  ._baja_swingarm.mtr_swingarm_to_frame,  &
                  ._baja_swingarm.mtr_fixed_2
!
variable modify  &
   variable_name = ._baja_swingarm.cil_rear_shock_mount  &
   object_value = ._baja_swingarm.ground.mtl_mount_j_3,  &
                  ._baja_swingarm.mtl_rear_shock_mount,  &
                  ._baja_swingarm.mtl_fixed_3
!
variable modify  &
   variable_name = ._baja_swingarm.cir_rear_shock_mount  &
   object_value = ._baja_swingarm.ground.mtr_mount_j_3,  &
                  ._baja_swingarm.mtr_rear_shock_mount,  &
                  ._baja_swingarm.mtr_fixed_3
!
variable modify  &
   variable_name = ._baja_swingarm.col_suspension_mount  &
   object_value = ._baja_swingarm.ges_rear_axle
!
variable modify  &
   variable_name = ._baja_swingarm.cor_suspension_mount  &
   object_value = ._baja_swingarm.ges_rear_axle
!
variable modify  &
   variable_name = ._baja_swingarm.cos_suspension_parameters_ARRAY  &
   object_value = ._baja_swingarm.suspension_parameters_ARRAY
!
variable modify  &
   variable_name = ._baja_swingarm.cos_caliper_mount_part  &
   object_value = ._baja_swingarm.ges_swingarm
!
variable modify  &
   variable_name = ._baja_swingarm.cos_rear_rotor_to_axle  &
   object_value = ._baja_swingarm.ges_rear_axle
!
variable modify  &
   variable_name = ._baja_swingarm.col_suspension_upright  &
   object_value = ._baja_swingarm.ges_swingarm
!
variable modify  &
   variable_name = ._baja_swingarm.cor_suspension_upright  &
   object_value = ._baja_swingarm.ges_swingarm
!
variable modify  &
   variable_name = ._baja_swingarm.cos_driveline_active  &
   object_value = ._baja_swingarm.pvs_driveline_active
!
variable modify  &
   variable_name = ._baja_swingarm.cis_drive_torque  &
   object_value = ._baja_swingarm._cv_solver_variable
!
!--------------------------- Add Objects To Groups ----------------------------!
!
!
group modify  &
   group_name = ._baja_swingarm.kinematic_mode_active
!
group modify  &
   group_name = ._baja_swingarm.kinematic_mode_inactive  &
   objects_in_group = ._baja_swingarm.gel_lower_strut.bxl_bushing_i_3,  &
      ._baja_swingarm.gel_lower_strut.bxl_bushgeom_i_3,  &
      ._baja_swingarm.ges_swingarm.bxl_bushing_j_1,  &
      ._baja_swingarm.ges_swingarm.bxl_bushgeom_j_1,  &
      ._baja_swingarm.ger_lower_strut.bxr_bushing_i_3,  &
      ._baja_swingarm.ger_lower_strut.bxr_bushgeom_i_3,  &
      ._baja_swingarm.ges_swingarm.bxr_bushing_j_1,  &
      ._baja_swingarm.ges_swingarm.bxr_bushgeom_j_1,  &
      ._baja_swingarm.bkl_lower_strut_mount,  &
      ._baja_swingarm.bkr_lower_strut_mount
!
!---------------------------- Function definitions ----------------------------!
!
!
constraint modify motion_generator  &
   motion_name = ._baja_swingarm._cv_motion  &
   function = "0"
!
data_element modify variable  &
   variable_name = ._baja_swingarm._cv_solver_variable  &
   function = "0"
!
part modify equation differential_equation  &
   differential_equation_name = ._baja_swingarm._cv_diff  &
   function = "0"
!
!-------------------------- Adams/View UDE Instance ---------------------------!
!
!
ude modify instance  &
   instance_name = ._baja_swingarm.bkl_lower_strut_mount
!
!-------------------------- Adams/View UDE Instance ---------------------------!
!
!
ude modify instance  &
   instance_name = ._baja_swingarm.bkr_lower_strut_mount
!
!-------------------------- Adams/View UDE Instance ---------------------------!
!
!
ude modify instance  &
   instance_name = ._baja_swingarm.bgl_upper_strut_mount
!
!-------------------------- Adams/View UDE Instance ---------------------------!
!
!
ude modify instance  &
   instance_name = ._baja_swingarm.bgr_upper_strut_mount
!
!-------------------------- Adams/View UDE Instance ---------------------------!
!
!
ude modify instance  &
   instance_name = ._baja_swingarm.bgl_swingarm_mount
!
!-------------------------- Adams/View UDE Instance ---------------------------!
!
!
ude modify instance  &
   instance_name = ._baja_swingarm.bgr_swingarm_mount
!
!-------------------------- Adams/View UDE Instance ---------------------------!
!
!
ude modify instance  &
   instance_name = ._baja_swingarm.dal_rear_shock
!
!-------------------------- Adams/View UDE Instance ---------------------------!
!
!
ude modify instance  &
   instance_name = ._baja_swingarm.nsr_rear_spring
!
!-------------------------- Adams/View UDE Instance ---------------------------!
!
!
ude modify instance  &
   instance_name = ._baja_swingarm.nsl_rear_spring
!
!-------------------------- Adams/View UDE Instance ---------------------------!
!
!
ude modify instance  &
   instance_name = ._baja_swingarm.dar_rear_shock
!
!-------------------------- Adams/View UDE Instance ---------------------------!
!
!
ude modify instance  &
   instance_name = ._baja_swingarm.pts_drive_torque
!
!--------------------------- Expression definitions ---------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ground
!
marker modify  &
   marker_name = ._baja_swingarm.ground.mtl_mount_j_2  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._baja_swingarm.mtl_swingarm_to_frame))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._baja_swingarm.mtl_swingarm_to_frame))
!
marker modify  &
   marker_name = ._baja_swingarm.ground.mtr_mount_j_2  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._baja_swingarm.mtr_swingarm_to_frame))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._baja_swingarm.mtr_swingarm_to_frame))
!
marker modify  &
   marker_name = ._baja_swingarm.ground.mtl_mount_j_3  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._baja_swingarm.mtl_rear_shock_mount))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._baja_swingarm.mtl_rear_shock_mount))
!
marker modify  &
   marker_name = ._baja_swingarm.ground.mtr_mount_j_3  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._baja_swingarm.mtr_rear_shock_mount))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._baja_swingarm.mtr_rear_shock_mount))
!
marker modify  &
   marker_name = ._baja_swingarm.ground.cfl_rear_spring_seat  &
   location =   &
      (LOC_ALONG_LINE(._baja_swingarm.ground.hpl_rear_top_shock_mount, ._baja_swingarm.ground.hpl_rear_lower_shock_mount, 0.55 * DM(._baja_swingarm.ground.hpl_rear_top_shock_mount, ._baja_swingarm.ground.hpl_rear_lower_shock_mount)))  &
   orientation =   &
      (ORI_RELATIVE_TO({0.0, 0.0, 0.0}degrees, ._baja_swingarm.ground.origo))
!
marker modify  &
   marker_name = ._baja_swingarm.ground.cfr_rear_spring_seat  &
   location =   &
      (LOC_ALONG_LINE(._baja_swingarm.ground.hpr_rear_top_shock_mount, ._baja_swingarm.ground.hpr_rear_lower_shock_mount, 0.55 * DM(._baja_swingarm.ground.hpr_rear_top_shock_mount, ._baja_swingarm.ground.hpr_rear_lower_shock_mount)))  &
   orientation =   &
      (ORI_RELATIVE_TO({0.0, 0.0, 0.0}degrees, ._baja_swingarm.ground.origo))
!
marker modify  &
   marker_name = ._baja_swingarm.ground.cfs_rotor_center  &
   location =   &
      (LOC_ALONG_LINE(._baja_swingarm.ground.hpl_rear_wheel_center, ._baja_swingarm.ground.hpr_rear_wheel_center, 0.6 * DM(._baja_swingarm.ground.hpl_rear_wheel_center, ._baja_swingarm.ground.hpr_rear_wheel_center)))  &
   orientation =   &
      (ORI_RELATIVE_TO({0.0, 0.0, 0.0}degrees, ._baja_swingarm.ground.origo))
!
marker modify  &
   marker_name = ._baja_swingarm.ground.cfs_sprocket_center  &
   location =   &
      (LOC_ALONG_LINE(._baja_swingarm.ground.hpl_rear_wheel_center, ._baja_swingarm.ground.hpr_rear_wheel_center, 0.4 * DM(._baja_swingarm.ground.hpl_rear_wheel_center, ._baja_swingarm.ground.hpr_rear_wheel_center)))  &
   orientation =   &
      (ORI_RELATIVE_TO({0.0, 90.0, 0.0}degrees, ._baja_swingarm.ground.origo))
!
variable modify  &
   variable_name = ._baja_swingarm.suspension_parameters_ARRAY.type_flag  &
   integer_value = ("Dependent" == "Independent")
!
data_element modify array ic_array  &
   array_name = ._baja_swingarm.suspension_parameters_ARRAY  &
   numbers =   &
      (._baja_swingarm.suspension_parameters_ARRAY.type_flag),  &
      0.0,  &
      (._baja_swingarm.gel_lower_strut.kp3_1.adams_id),  &
      0.0,  &
      (._baja_swingarm.ger_lower_strut.kp3_2.adams_id),  &
      (._baja_swingarm.minor_role != "rear")
!
data_element modify string  &
   string_name = ._baja_swingarm.minor_role_string  &
   string = (._baja_swingarm.minor_role)
!
material modify  &
   material_name = ._baja_swingarm.steel  &
   youngs_modulus = (2.07E+011(Newton/meter**2))  &
   density = (7801.0(kg/meter**3))
!
marker modify  &
   marker_name = ._baja_swingarm.ges_swingarm.inertia_frame  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._baja_swingarm.ges_swingarm.cm))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._baja_swingarm.ges_swingarm))  &
   relative_to = ._baja_swingarm.ges_swingarm
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_swingarm.ground
!
marker modify  &
   marker_name = ._baja_swingarm.ges_swingarm.bxl_bushing_j_1  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._baja_swingarm.bkl_lower_strut_mount))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._baja_swingarm.bkl_lower_strut_mount))  &
   relative_to = ._baja_swingarm.ges_swingarm
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_swingarm.ground
!
marker modify  &
   marker_name = ._baja_swingarm.ges_swingarm.bxl_bushgeom_j_1  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, -._baja_swingarm.bkl_lower_strut_mount.geoLength / 2}, ._baja_swingarm.ges_swingarm.bxl_bushing_j_1))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._baja_swingarm.ges_swingarm.bxl_bushing_j_1))  &
   relative_to = ._baja_swingarm.ges_swingarm
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_swingarm.ground
!
marker modify  &
   marker_name = ._baja_swingarm.ges_swingarm.bxr_bushing_j_1  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._baja_swingarm.bkr_lower_strut_mount))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._baja_swingarm.bkr_lower_strut_mount))  &
   relative_to = ._baja_swingarm.ges_swingarm
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_swingarm.ground
!
marker modify  &
   marker_name = ._baja_swingarm.ges_swingarm.bxr_bushgeom_j_1  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, -._baja_swingarm.bkr_lower_strut_mount.geoLength / 2}, ._baja_swingarm.ges_swingarm.bxr_bushing_j_1))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._baja_swingarm.ges_swingarm.bxr_bushing_j_1))  &
   relative_to = ._baja_swingarm.ges_swingarm
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_swingarm.ground
!
marker modify  &
   marker_name = ._baja_swingarm.ges_swingarm.bxl_bushing_j_3  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._baja_swingarm.bgl_swingarm_mount))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._baja_swingarm.bgl_swingarm_mount))  &
   relative_to = ._baja_swingarm.ges_swingarm
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_swingarm.ground
!
marker modify  &
   marker_name = ._baja_swingarm.ges_swingarm.bxl_bushgeom_j_3  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, -._baja_swingarm.bgl_swingarm_mount.geoLength / 2}, ._baja_swingarm.ges_swingarm.bxl_bushing_j_3))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._baja_swingarm.ges_swingarm.bxl_bushing_j_3))  &
   relative_to = ._baja_swingarm.ges_swingarm
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_swingarm.ground
!
marker modify  &
   marker_name = ._baja_swingarm.ges_swingarm.bxr_bushing_j_3  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._baja_swingarm.bgr_swingarm_mount))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._baja_swingarm.bgr_swingarm_mount))  &
   relative_to = ._baja_swingarm.ges_swingarm
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_swingarm.ground
!
marker modify  &
   marker_name = ._baja_swingarm.ges_swingarm.bxr_bushgeom_j_3  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, -._baja_swingarm.bgr_swingarm_mount.geoLength / 2}, ._baja_swingarm.ges_swingarm.bxr_bushing_j_3))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._baja_swingarm.ges_swingarm.bxr_bushing_j_3))  &
   relative_to = ._baja_swingarm.ges_swingarm
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_swingarm.ground
!
marker modify  &
   marker_name = ._baja_swingarm.ges_swingarm.jxs_joint_i_8  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._baja_swingarm.ges_rear_axle.jxs_joint_j_8))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._baja_swingarm.ges_rear_axle.jxs_joint_j_8))  &
   relative_to = ._baja_swingarm.ges_swingarm
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_swingarm.ground
!
part modify rigid_body name_and_position  &
   part_name = ._baja_swingarm.ges_swingarm  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}inch, ._baja_swingarm.ground.hpr_swingarm_to_body))
!
marker modify  &
   marker_name = ._baja_swingarm.mtl_swingarm_to_frame.bxl_bushing_i_9  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._baja_swingarm.ges_swingarm.bxl_bushing_j_3))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._baja_swingarm.ges_swingarm.bxl_bushing_j_3))  &
   relative_to = ._baja_swingarm.mtl_swingarm_to_frame
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_swingarm.ground
!
marker modify  &
   marker_name = ._baja_swingarm.mtl_swingarm_to_frame.bxl_bushgeom_i_9  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, -._baja_swingarm.bgl_swingarm_mount.geoLength / 2}, ._baja_swingarm.mtl_swingarm_to_frame.bxl_bushing_i_9))  &
   orientation =   &
      (ORI_RELATIVE_TO({270deg, 0, 0}, ._baja_swingarm.mtl_swingarm_to_frame.bxl_bushing_i_9))  &
   relative_to = ._baja_swingarm.mtl_swingarm_to_frame
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_swingarm.ground
!
part modify rigid_body name_and_position  &
   part_name = ._baja_swingarm.mtl_swingarm_to_frame  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._baja_swingarm.ground.hpl_swingarm_to_body))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._baja_swingarm.ground.origo))
!
marker modify  &
   marker_name = ._baja_swingarm.mtr_swingarm_to_frame.bxr_bushing_i_9  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._baja_swingarm.ges_swingarm.bxr_bushing_j_3))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._baja_swingarm.ges_swingarm.bxr_bushing_j_3))  &
   relative_to = ._baja_swingarm.mtr_swingarm_to_frame
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_swingarm.ground
!
marker modify  &
   marker_name = ._baja_swingarm.mtr_swingarm_to_frame.bxr_bushgeom_i_9  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, -._baja_swingarm.bgr_swingarm_mount.geoLength / 2}, ._baja_swingarm.mtr_swingarm_to_frame.bxr_bushing_i_9))  &
   orientation =   &
      (ORI_RELATIVE_TO({270deg, 0, 0}, ._baja_swingarm.mtr_swingarm_to_frame.bxr_bushing_i_9))  &
   relative_to = ._baja_swingarm.mtr_swingarm_to_frame
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_swingarm.ground
!
part modify rigid_body name_and_position  &
   part_name = ._baja_swingarm.mtr_swingarm_to_frame  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._baja_swingarm.ground.hpr_swingarm_to_body))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._baja_swingarm.ground.origo))
!
marker modify  &
   marker_name = ._baja_swingarm.ges_rear_axle.inertia_frame  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._baja_swingarm.ges_rear_axle.cm))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._baja_swingarm.ges_rear_axle))  &
   relative_to = ._baja_swingarm.ges_rear_axle
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_swingarm.ground
!
marker modify  &
   marker_name = ._baja_swingarm.ges_rear_axle.gralin_1  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._baja_swingarm.ground.hpl_rear_wheel_center))  &
   orientation =   &
      (ORI_ALONG_AXIS(._baja_swingarm.ground.hpl_rear_wheel_center, ._baja_swingarm.ground.hpr_rear_wheel_center, "Z"))  &
   relative_to = ._baja_swingarm.ges_rear_axle
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_swingarm.ground
!
marker modify  &
   marker_name = ._baja_swingarm.ges_rear_axle.jxs_joint_j_8  &
   location =   &
      (LOC_RELATIVE_TO(LOC_CENTERED({._baja_swingarm.ground.hpl_rear_wheel_center.loc, ._baja_swingarm.ground.hpr_rear_wheel_center.loc}, 2), ._baja_swingarm.ground))  &
   orientation =   &
      (ORI_ALONG_AXIS(._baja_swingarm.ground.hpl_rear_wheel_center, ._baja_swingarm.ground.hpr_rear_wheel_center, "Z"))  &
   relative_to = ._baja_swingarm.ges_rear_axle
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_swingarm.ground
!
geometry modify shape cylinder  &
   cylinder_name = ._baja_swingarm.ges_rear_axle.gralin_rear_axle  &
   length = (DM(._baja_swingarm.ground.hpl_rear_wheel_center, ._baja_swingarm.ground.hpr_rear_wheel_center))
!
part modify rigid_body name_and_position  &
   part_name = ._baja_swingarm.ges_rear_axle  &
   location =   &
      (LOC_CENTERED({._baja_swingarm.ground.hpl_rear_wheel_center.loc, ._baja_swingarm.ground.hpr_rear_wheel_center.loc}, 2))  &
   orientation =   &
      (ORI_ALONG_AXIS(._baja_swingarm.ground.hpl_rear_wheel_center, ._baja_swingarm.ground.hpr_rear_wheel_center, "Z"))
!
marker modify  &
   marker_name = ._baja_swingarm.ges_rear_axle.pts_actuator_j_1  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._baja_swingarm.pts_drive_torque))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0d, 0}, ._baja_swingarm.pts_drive_torque))  &
   relative_to = ._baja_swingarm.ges_rear_axle
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_swingarm.ground
!
marker modify  &
   marker_name = ._baja_swingarm.ges_rear_axle.pts_actuator_i_1  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._baja_swingarm.ges_rear_axle.pts_actuator_j_1))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._baja_swingarm.ges_rear_axle.pts_actuator_j_1))  &
   relative_to = ._baja_swingarm.ges_rear_axle
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_swingarm.ground
!
marker modify  &
   marker_name = ._baja_swingarm.mtl_rear_shock_mount.bxl_bushing_j_2  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._baja_swingarm.bgl_upper_strut_mount))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._baja_swingarm.bgl_upper_strut_mount))  &
   relative_to = ._baja_swingarm.mtl_rear_shock_mount
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_swingarm.ground
!
marker modify  &
   marker_name = ._baja_swingarm.mtl_rear_shock_mount.bxl_bushgeom_j_2  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, -._baja_swingarm.bgl_upper_strut_mount.geoLength / 2}, ._baja_swingarm.mtl_rear_shock_mount.bxl_bushing_j_2))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._baja_swingarm.mtl_rear_shock_mount.bxl_bushing_j_2))  &
   relative_to = ._baja_swingarm.mtl_rear_shock_mount
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_swingarm.ground
!
marker modify  &
   marker_name = ._baja_swingarm.mtl_rear_shock_mount.nsl_spring_j_2  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._baja_swingarm.ground.hpl_rear_top_shock_mount))  &
   relative_to = ._baja_swingarm.mtl_rear_shock_mount
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_swingarm.ground
!
part modify rigid_body name_and_position  &
   part_name = ._baja_swingarm.mtl_rear_shock_mount  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._baja_swingarm.ground.hpl_rear_top_shock_mount))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._baja_swingarm.ground.origo))
!
marker modify  &
   marker_name = ._baja_swingarm.mtr_rear_shock_mount.bxr_bushing_j_2  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._baja_swingarm.bgr_upper_strut_mount))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._baja_swingarm.bgr_upper_strut_mount))  &
   relative_to = ._baja_swingarm.mtr_rear_shock_mount
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_swingarm.ground
!
marker modify  &
   marker_name = ._baja_swingarm.mtr_rear_shock_mount.bxr_bushgeom_j_2  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, -._baja_swingarm.bgr_upper_strut_mount.geoLength / 2}, ._baja_swingarm.mtr_rear_shock_mount.bxr_bushing_j_2))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._baja_swingarm.mtr_rear_shock_mount.bxr_bushing_j_2))  &
   relative_to = ._baja_swingarm.mtr_rear_shock_mount
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_swingarm.ground
!
marker modify  &
   marker_name = ._baja_swingarm.mtr_rear_shock_mount.nsr_spring_j_2  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._baja_swingarm.ground.hpr_rear_top_shock_mount))  &
   relative_to = ._baja_swingarm.mtr_rear_shock_mount
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_swingarm.ground
!
part modify rigid_body name_and_position  &
   part_name = ._baja_swingarm.mtr_rear_shock_mount  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._baja_swingarm.ground.hpr_rear_top_shock_mount))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._baja_swingarm.ground.origo))
!
marker modify  &
   marker_name = ._baja_swingarm.gel_upper_strut.inertia_frame  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._baja_swingarm.gel_upper_strut.cm))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._baja_swingarm.gel_upper_strut))  &
   relative_to = ._baja_swingarm.gel_upper_strut
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_swingarm.ground
!
marker modify  &
   marker_name = ._baja_swingarm.gel_upper_strut.bxl_bushing_i_4  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._baja_swingarm.mtl_rear_shock_mount.bxl_bushing_j_2))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._baja_swingarm.mtl_rear_shock_mount.bxl_bushing_j_2))  &
   relative_to = ._baja_swingarm.gel_upper_strut
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_swingarm.ground
!
marker modify  &
   marker_name = ._baja_swingarm.gel_upper_strut.bxl_bushgeom_i_4  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, -._baja_swingarm.bgl_upper_strut_mount.geoLength / 2}, ._baja_swingarm.gel_upper_strut.bxl_bushing_i_4))  &
   orientation =   &
      (ORI_RELATIVE_TO({270deg, 0, 0}, ._baja_swingarm.gel_upper_strut.bxl_bushing_i_4))  &
   relative_to = ._baja_swingarm.gel_upper_strut
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_swingarm.ground
!
marker modify  &
   marker_name = ._baja_swingarm.gel_upper_strut.jxl_joint_i_21  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._baja_swingarm.gel_lower_strut.jxl_joint_j_21))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._baja_swingarm.gel_lower_strut.jxl_joint_j_21))  &
   relative_to = ._baja_swingarm.gel_upper_strut
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_swingarm.ground
!
part modify rigid_body name_and_position  &
   part_name = ._baja_swingarm.gel_upper_strut  &
   location =   &
      (LOC_ALONG_LINE(._baja_swingarm.ground.hpl_rear_top_shock_mount, ._baja_swingarm.ground.hpl_rear_lower_shock_mount, 0.33 * DM(._baja_swingarm.ground.hpl_rear_top_shock_mount, ._baja_swingarm.ground.hpl_rear_lower_shock_mount)))  &
   orientation =   &
      (ORI_ALONG_AXIS(._baja_swingarm.gel_upper_strut, ._baja_swingarm.ground.hpl_rear_top_shock_mount, "Z"))
!
marker modify  &
   marker_name = ._baja_swingarm.gel_upper_strut.dal_damper_j_1  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._baja_swingarm.ground.hpl_rear_top_shock_mount))  &
   relative_to = ._baja_swingarm.gel_upper_strut
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_swingarm.ground
!
marker modify  &
   marker_name = ._baja_swingarm.ger_upper_strut.inertia_frame  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._baja_swingarm.ger_upper_strut.cm))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._baja_swingarm.ger_upper_strut))  &
   relative_to = ._baja_swingarm.ger_upper_strut
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_swingarm.ground
!
marker modify  &
   marker_name = ._baja_swingarm.ger_upper_strut.bxr_bushing_i_4  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._baja_swingarm.mtr_rear_shock_mount.bxr_bushing_j_2))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._baja_swingarm.mtr_rear_shock_mount.bxr_bushing_j_2))  &
   relative_to = ._baja_swingarm.ger_upper_strut
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_swingarm.ground
!
marker modify  &
   marker_name = ._baja_swingarm.ger_upper_strut.bxr_bushgeom_i_4  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, -._baja_swingarm.bgr_upper_strut_mount.geoLength / 2}, ._baja_swingarm.ger_upper_strut.bxr_bushing_i_4))  &
   orientation =   &
      (ORI_RELATIVE_TO({270deg, 0, 0}, ._baja_swingarm.ger_upper_strut.bxr_bushing_i_4))  &
   relative_to = ._baja_swingarm.ger_upper_strut
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_swingarm.ground
!
marker modify  &
   marker_name = ._baja_swingarm.ger_upper_strut.jxr_joint_i_21  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._baja_swingarm.ger_lower_strut.jxr_joint_j_21))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._baja_swingarm.ger_lower_strut.jxr_joint_j_21))  &
   relative_to = ._baja_swingarm.ger_upper_strut
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_swingarm.ground
!
part modify rigid_body name_and_position  &
   part_name = ._baja_swingarm.ger_upper_strut  &
   location =   &
      (LOC_ALONG_LINE(._baja_swingarm.ground.hpr_rear_top_shock_mount, ._baja_swingarm.ground.hpr_rear_lower_shock_mount, 0.33 * DM(._baja_swingarm.ground.hpr_rear_top_shock_mount, ._baja_swingarm.ground.hpr_rear_lower_shock_mount)))  &
   orientation =   &
      (ORI_ALONG_AXIS(._baja_swingarm.ger_upper_strut, ._baja_swingarm.ground.hpr_rear_top_shock_mount, "Z"))
!
marker modify  &
   marker_name = ._baja_swingarm.ger_upper_strut.dar_damper_j_1  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._baja_swingarm.ground.hpr_rear_top_shock_mount))  &
   relative_to = ._baja_swingarm.ger_upper_strut
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_swingarm.ground
!
marker modify  &
   marker_name = ._baja_swingarm.gel_lower_strut.inertia_frame  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._baja_swingarm.gel_lower_strut.cm))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._baja_swingarm.gel_lower_strut))  &
   relative_to = ._baja_swingarm.gel_lower_strut
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_swingarm.ground
!
marker modify  &
   marker_name = ._baja_swingarm.gel_lower_strut.bxl_bushing_i_3  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._baja_swingarm.ges_swingarm.bxl_bushing_j_1))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._baja_swingarm.ges_swingarm.bxl_bushing_j_1))  &
   relative_to = ._baja_swingarm.gel_lower_strut
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_swingarm.ground
!
marker modify  &
   marker_name = ._baja_swingarm.gel_lower_strut.bxl_bushgeom_i_3  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, -._baja_swingarm.bkl_lower_strut_mount.geoLength / 2}, ._baja_swingarm.gel_lower_strut.bxl_bushing_i_3))  &
   orientation =   &
      (ORI_RELATIVE_TO({270deg, 0, 0}, ._baja_swingarm.gel_lower_strut.bxl_bushing_i_3))  &
   relative_to = ._baja_swingarm.gel_lower_strut
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_swingarm.ground
!
marker modify  &
   marker_name = ._baja_swingarm.gel_lower_strut.jxl_joint_j_21  &
   location =   &
      (LOC_RELATIVE_TO(LOC_CENTERED({._baja_swingarm.ground.hpl_rear_top_shock_mount.loc, ._baja_swingarm.ground.hpl_rear_lower_shock_mount.loc}, 2), ._baja_swingarm.ground))  &
   orientation =   &
      (ORI_ALONG_AXIS(._baja_swingarm.ground.hpl_rear_top_shock_mount, ._baja_swingarm.ground.hpl_rear_lower_shock_mount, "Z"))  &
   relative_to = ._baja_swingarm.gel_lower_strut
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_swingarm.ground
!
marker modify  &
   marker_name = ._baja_swingarm.gel_lower_strut.nsl_spring_i_2  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._baja_swingarm.ground.cfl_rear_spring_seat))  &
   relative_to = ._baja_swingarm.gel_lower_strut
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_swingarm.ground
!
marker modify  &
   marker_name = ._baja_swingarm.gel_lower_strut.kp3_1  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._baja_swingarm.ground.cfl_rear_spring_seat))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._baja_swingarm.ground.origo))  &
   relative_to = ._baja_swingarm.gel_lower_strut
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_swingarm.ground
!
part modify rigid_body name_and_position  &
   part_name = ._baja_swingarm.gel_lower_strut  &
   location =   &
      (LOC_ALONG_LINE(._baja_swingarm.ground.hpl_rear_lower_shock_mount, ._baja_swingarm.ground.hpl_rear_top_shock_mount, 0.33 * DM(._baja_swingarm.ground.hpl_rear_lower_shock_mount, ._baja_swingarm.ground.hpl_rear_top_shock_mount)))  &
   orientation =   &
      (ORI_ALONG_AXIS(._baja_swingarm.gel_lower_strut, ._baja_swingarm.ground.hpl_rear_top_shock_mount, "Z"))
!
marker modify  &
   marker_name = ._baja_swingarm.gel_lower_strut.dal_damper_i_1  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._baja_swingarm.ground.hpl_rear_lower_shock_mount))  &
   relative_to = ._baja_swingarm.gel_lower_strut
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_swingarm.ground
!
marker modify  &
   marker_name = ._baja_swingarm.ger_lower_strut.inertia_frame  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._baja_swingarm.ger_lower_strut.cm))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._baja_swingarm.ger_lower_strut))  &
   relative_to = ._baja_swingarm.ger_lower_strut
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_swingarm.ground
!
marker modify  &
   marker_name = ._baja_swingarm.ger_lower_strut.bxr_bushing_i_3  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._baja_swingarm.ges_swingarm.bxr_bushing_j_1))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._baja_swingarm.ges_swingarm.bxr_bushing_j_1))  &
   relative_to = ._baja_swingarm.ger_lower_strut
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_swingarm.ground
!
marker modify  &
   marker_name = ._baja_swingarm.ger_lower_strut.bxr_bushgeom_i_3  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, -._baja_swingarm.bkr_lower_strut_mount.geoLength / 2}, ._baja_swingarm.ger_lower_strut.bxr_bushing_i_3))  &
   orientation =   &
      (ORI_RELATIVE_TO({270deg, 0, 0}, ._baja_swingarm.ger_lower_strut.bxr_bushing_i_3))  &
   relative_to = ._baja_swingarm.ger_lower_strut
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_swingarm.ground
!
marker modify  &
   marker_name = ._baja_swingarm.ger_lower_strut.jxr_joint_j_21  &
   location =   &
      (LOC_RELATIVE_TO(LOC_CENTERED({._baja_swingarm.ground.hpr_rear_top_shock_mount.loc, ._baja_swingarm.ground.hpr_rear_lower_shock_mount.loc}, 2), ._baja_swingarm.ground))  &
   orientation =   &
      (ORI_ALONG_AXIS(._baja_swingarm.ground.hpr_rear_top_shock_mount, ._baja_swingarm.ground.hpr_rear_lower_shock_mount, "Z"))  &
   relative_to = ._baja_swingarm.ger_lower_strut
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_swingarm.ground
!
marker modify  &
   marker_name = ._baja_swingarm.ger_lower_strut.nsr_spring_i_2  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._baja_swingarm.ground.cfr_rear_spring_seat))  &
   relative_to = ._baja_swingarm.ger_lower_strut
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_swingarm.ground
!
marker modify  &
   marker_name = ._baja_swingarm.ger_lower_strut.kp3_2  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._baja_swingarm.ground.cfr_rear_spring_seat))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._baja_swingarm.ground.origo))  &
   relative_to = ._baja_swingarm.ger_lower_strut
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_swingarm.ground
!
part modify rigid_body name_and_position  &
   part_name = ._baja_swingarm.ger_lower_strut  &
   location =   &
      (LOC_ALONG_LINE(._baja_swingarm.ground.hpr_rear_lower_shock_mount, ._baja_swingarm.ground.hpr_rear_top_shock_mount, 0.33 * DM(._baja_swingarm.ground.hpr_rear_lower_shock_mount, ._baja_swingarm.ground.hpr_rear_top_shock_mount)))  &
   orientation =   &
      (ORI_ALONG_AXIS(._baja_swingarm.ger_lower_strut, ._baja_swingarm.ground.hpr_rear_top_shock_mount, "Z"))
!
marker modify  &
   marker_name = ._baja_swingarm.ger_lower_strut.dar_damper_i_1  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._baja_swingarm.ground.hpr_rear_lower_shock_mount))  &
   relative_to = ._baja_swingarm.ger_lower_strut
!
defaults coordinate_system  &
   default_coordinate_system = ._baja_swingarm.ground
!
variable modify  &
   variable_name = ._baja_swingarm.cil_swingarm_to_frame.minor_role  &
   string_value = (._baja_swingarm.mtl_swingarm_to_frame.minor_role)
!
variable modify  &
   variable_name = ._baja_swingarm.cil_swingarm_to_frame  &
   comments = ("Autocreated for mount part: " // ._baja_swingarm.cil_swingarm_to_frame[2].name)
!
variable modify  &
   variable_name = ._baja_swingarm.cir_swingarm_to_frame.minor_role  &
   string_value = (._baja_swingarm.mtr_swingarm_to_frame.minor_role)
!
variable modify  &
   variable_name = ._baja_swingarm.cir_swingarm_to_frame  &
   comments = ("Autocreated for mount part: " // ._baja_swingarm.cir_swingarm_to_frame[2].name)
!
variable modify  &
   variable_name = ._baja_swingarm.cil_rear_shock_mount.minor_role  &
   string_value = (._baja_swingarm.mtl_rear_shock_mount.minor_role)
!
variable modify  &
   variable_name = ._baja_swingarm.cil_rear_shock_mount  &
   comments = ("Autocreated for mount part: " // ._baja_swingarm.cil_rear_shock_mount[2].name)
!
variable modify  &
   variable_name = ._baja_swingarm.cir_rear_shock_mount.minor_role  &
   string_value = (._baja_swingarm.mtr_rear_shock_mount.minor_role)
!
variable modify  &
   variable_name = ._baja_swingarm.cir_rear_shock_mount  &
   comments = ("Autocreated for mount part: " // ._baja_swingarm.cir_rear_shock_mount[2].name)
!
variable modify  &
   variable_name = ._baja_swingarm.col_wheel_center  &
   real_value =   &
      (._baja_swingarm.ground.hpl_rear_wheel_center.location[1]),  &
      (._baja_swingarm.ground.hpl_rear_wheel_center.location[2]),  &
      (._baja_swingarm.ground.hpl_rear_wheel_center.location[3])
!
variable modify  &
   variable_name = ._baja_swingarm.cor_wheel_center  &
   real_value =   &
      (._baja_swingarm.ground.hpr_rear_wheel_center.location[1]),  &
      (._baja_swingarm.ground.hpr_rear_wheel_center.location[2]),  &
      (._baja_swingarm.ground.hpr_rear_wheel_center.location[3])
!
group modify  &
   group_name = ._baja_swingarm.kinematic_mode_active  &
   expr_active = (._baja_swingarm.phs_kinematic_flag || ._baja_swingarm.model_class == "template" ? 1 : 0)
!
group modify  &
   group_name = ._baja_swingarm.kinematic_mode_inactive  &
   expr_active = ( ! ._baja_swingarm.phs_kinematic_flag || ._baja_swingarm.model_class == "template" ? 1 : 0)
!
ude modify instance  &
   instance_name = ._baja_swingarm.bkl_lower_strut_mount  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}inch, ._baja_swingarm.ground.hpl_rear_lower_shock_mount))  &
   orientation =   &
      (ORI_ALONG_AXIS(._baja_swingarm.ground.hpr_rear_lower_shock_mount, ._baja_swingarm.ground.hpl_rear_lower_shock_mount, "Z"))
!
ude modify instance  &
   instance_name = ._baja_swingarm.bkr_lower_strut_mount  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}inch, ._baja_swingarm.ground.hpr_rear_lower_shock_mount))  &
   orientation =   &
      (ORI_ALONG_AXIS(._baja_swingarm.ground.hpl_rear_lower_shock_mount, ._baja_swingarm.ground.hpr_rear_lower_shock_mount, "Z"))
!
ude modify instance  &
   instance_name = ._baja_swingarm.bgl_upper_strut_mount  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}mm, ._baja_swingarm.ground.hpl_rear_top_shock_mount))  &
   orientation =   &
      (ORI_ALONG_AXIS(._baja_swingarm.bgl_upper_strut_mount, ._baja_swingarm.ground.hpr_rear_top_shock_mount, "Z"))
!
ude modify instance  &
   instance_name = ._baja_swingarm.bgr_upper_strut_mount  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}mm, ._baja_swingarm.ground.hpr_rear_top_shock_mount))  &
   orientation =   &
      (ORI_ALONG_AXIS(._baja_swingarm.bgr_upper_strut_mount, ._baja_swingarm.ground.hpl_rear_top_shock_mount, "Z"))
!
ude modify instance  &
   instance_name = ._baja_swingarm.bgl_swingarm_mount  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}inch, ._baja_swingarm.ground.hpl_swingarm_to_body))  &
   orientation =   &
      (ORI_ALONG_AXIS(._baja_swingarm.ground.hpl_swingarm_to_body, ._baja_swingarm.ground.hpr_swingarm_to_body, "Z"))
!
ude modify instance  &
   instance_name = ._baja_swingarm.bgr_swingarm_mount  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}inch, ._baja_swingarm.ground.hpr_swingarm_to_body))  &
   orientation =   &
      (ORI_ALONG_AXIS(._baja_swingarm.ground.hpr_swingarm_to_body, ._baja_swingarm.ground.hpl_swingarm_to_body, "Z"))
!
ude modify instance  &
   instance_name = ._baja_swingarm.dal_rear_shock  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._baja_swingarm.ground.origo))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._baja_swingarm.ground.origo))
!
ude modify instance  &
   instance_name = ._baja_swingarm.nsr_rear_spring  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._baja_swingarm.ground.origo))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._baja_swingarm.ground.origo))
!
ude modify instance  &
   instance_name = ._baja_swingarm.nsl_rear_spring  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._baja_swingarm.ground.origo))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._baja_swingarm.ground.origo))
!
ude modify instance  &
   instance_name = ._baja_swingarm.dar_rear_shock  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._baja_swingarm.ground.origo))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._baja_swingarm.ground.origo))
!
variable modify  &
   variable_name = ._baja_swingarm.cos_rear_rotor_center  &
   real_value =   &
      (._baja_swingarm.ground.cfs_rotor_center.location[1]),  &
      (._baja_swingarm.ground.cfs_rotor_center.location[2]),  &
      (._baja_swingarm.ground.cfs_rotor_center.location[3])
!
variable modify  &
   variable_name = ._baja_swingarm.cis_drive_torque_adams_id  &
   integer_value = (._baja_swingarm.cis_drive_torque.object_value.adams_id)
!
ude modify instance  &
   instance_name = ._baja_swingarm.pts_drive_torque  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}mm, ._baja_swingarm.ground.cfs_sprocket_center))  &
   orientation =   &
      (ORI_RELATIVE_TO({0.0, 0.0, 0.0}degrees, ._baja_swingarm.ground.cfs_sprocket_center))
!
model display  &
   model_name = _baja_swingarm
